<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_person;
	private $obj_registrasi;
	private $obj_notify;
	private $obj_captcha;
	private $obj_mail;
	private $obj_crypt;
	// init variable
	private $arr_params;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form', array($this->arr_params['id_periode'], '#form'));
	}
	
	protected function PageLoad(){ 
		// load business
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		$this->obj_person->UseQuery(array("account"));	
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		
		// load library
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');
		// load plugins
		$this->obj_ctrl->LoadFile('securimage/securimage.php', 'plugins');
		$this->obj_captcha = $this->obj_ctrl->LoadClass('Securimage');
		$this->obj_ctrl->LoadFile('class.phpmailer.php', 'plugins/phpmailer');
		$this->obj_mail = new PHPMailer;
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'forget':
				self::ForgetPassword();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	private function ForgetPassword(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		
		// --
		if(empty($this->arr_params['email'])){ $err[] = '<br /><strong>Email</strong> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><strong>Email</strong> tidak sesuai dengan contoh format';
			}
		}
		// kode validasi
		if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			$err[] = '<br /><strong>Kode validasi</strong> yang dimasukkan tidak valid';
		}
		// processing -----------------------------------------------------
		if(empty($err)){			
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array(trim($this->arr_params['email']));
			$result = $this->obj_person->GetDataAsSingleArray("GetUserAccountByEmail",$params);	
			if(!empty($result)){
				// send email
				if(self::SendEmail($result)){
					self::SendNotification($err, $filled, 'Email sudah terkirim.', 'success');
					// redirect to page error page ------------------------------------
				}else{
					self::SendNotification($err, $filled, 'Email tidak terkirim, mohon diulangi kembali.', 'error');
					// redirect to page error page ------------------------------------
				}
			}else{
				// filled last field
				$filled = array( "EMAIL" => $this->arr_params['email']);
				// error message
				self::SendNotification($err, $filled, 'System gagal melakukan proses.', 'error');
				// redirect to page error page ------------------------------------
			}
		}else{
			// filled last field
			$filled = array( "EMAIL" => $this->arr_params['email']);
			// error message
			self::SendNotification($err, $filled, 'Kotak dengan tanda (*) harus diisi.', 'error');
			// redirect to page error page --------------------------------				
		}	
		// redirect page --------------------------------------------------	
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'], 'forget-password');	
	}
	
	private function SendEmail($result){
		$pass = $this->obj_crypt->StandardDecrypt($result['pass'], $result['hash_key']);
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 400px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>Program Pemberian Bantuan Pendidikan Dokter Spesialis dan Dokter Gigi Spesialis</h3>
						<h3>BPPSDMK DEPKES</h3>
						<p>Informasi Account Anda</p>
						<p><strong>".$result['fullname']."</strong></p>
						<p>User account anda adalah sebagai berikut :</p>
						<p> User Id : ".$result['userid']."</p>
						<p> Password : ".$pass."</p>
						<p> Terima kasih.</p>
						<br />
						<br />
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Lupa Password";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);		
		$this->obj_mail->AddAddress($result['email'], $result['fullname']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}
}

?>