<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_dpp;
	protected $obj_date;
	protected $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_dpp = $this->obj_ctrl->LoadBusiness('dpp', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
	}
	
	public function PageView(){
		// display link
		self::DisplayPageLink();
		// display profile
		self::DisplayMdviStructure();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_PENGURUS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		$this->obj_tmpl->addVar('content', 'URL_PERWAKILAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('perwakilan')));
		$this->obj_tmpl->addVar('content', 'URL_PENGADUAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('pengaduan')));
		$this->obj_tmpl->addVar('content', 'URL_BUKU', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('buku')));
	}
	
	private function DisplayMdviStructure(){
		// get id
		$display = "";
		if(isset($this->arr_routes['params'][0])){
			$display = $this->arr_routes['params'][0];
		}
		// parse data
		switch($display){
			case 'perwakilan':
				// get result
				$result = $this->obj_dpp->GetDataAsSingleArray("GetPerwakilanCabang", array());
				$this->obj_tmpl->addVar('display', 'view', 'perwakilan');
				$this->obj_tmpl->addVar('display', 'PERWAKILAN_CABANG', $result['perwakilan_per_cabang']);
				break;
			/*case 'pengaduan':
				// get result
				$result = $this->obj_dpp->GetDataAsSingleArray("GetTatalaksanaPengaduan", array());
				$this->obj_tmpl->addVar('display', 'view', 'pengaduan');
				$this->obj_tmpl->addVar('display', 'PENGADUAN', $result['alur_pengaduan']);
				break;*/
			case 'buku':
				$this->obj_tmpl->addVar('display', 'view', 'buku');
				self::DisplayListBuku();
				break;
			default:
				// get result
				$result = $this->obj_dpp->GetDataAsSingleArray("GetPengurusDPP", array());
				$this->obj_tmpl->addVar('display', 'PENGURUS_PUSAT', $result['pengurus_pusat']);
				break;
		}	
	}
	
	private function DisplayListBuku(){
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		if(!isset($this->arr_routes['params'][1])) {
			$page = 1;
		}else{
			$page = $this->arr_routes['params'][1];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_dpp->GetDataAsSingleArray("GetTotalBuku", array());
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('buku', '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// get data
		$rs_id = $this->obj_dpp->GetResourceId("GetListBuku", array($start, $max));
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url_download = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'download', array(md5(sha1($rec['id']))));
				// --
				$this->obj_tmpl->addVar('list_data', 'NO', $no);	
				$this->obj_tmpl->addVar('list_data', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_data', 'FILE', $rec['filepath']);
				$files = "doc/dpp/".$rec['id'].'/'.$rec['filepath'];	
				if(is_file($files)){
					$this->obj_tmpl->addVar('list_data', 'URL_DOWNLOAD', $url_download);
				}else{
					$this->obj_tmpl->addVar('list_data', 'URL_DOWNLOAD', '#');
				}	
				$this->obj_tmpl->ParseTemplate('list_data', 'a');
				$no++;
			}
		}	
	}	
}

?>