<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_info;
	private $obj_summary;
	private $obj_date;
	private $obj_chart;
	private $obj_paging;
	private $int_program;
	function __construct(){ }
	
	function __destruct(){ }
	
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_info = $this->obj_ctrl->LoadBusiness('profile_organisasi', 'mysql', $this->arr_config['db']);
		// load business
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('pendaftaran','staff','pendidikan'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		$this->obj_maps = $this->obj_ctrl->LoadLibrary('FusionMaps');	
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// fusioncharts object loaded
		$param['type'] = '';
		$param['width'] = '';
		$param['height'] = '';
		$param['ID'] = '';
		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);
		// load javascript 
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.accordion', 'jquery.ui');
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');	
		// load javascript
		$this->obj_ctrl->LoadJavascript('tabber', 'tab_js');
		
		// load javascript
		$this->obj_ctrl->LoadStyle('tab_js', 'otherstyle');
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		self::DisplayListVisiMisi();
		// display page link
		self::DisplayPageLink();
		
		// display summary staff 
		self::DisplayStaffFak();
		// display detail staff
		self::DisplayListStaff();
		
		self::DisplayPesertaPendidikanPerFakultas();			
		
		// display list pelamar
		self::DisplayListPeserta();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		// default tab
		$active_tab = isset($this->arr_routes['params'][0]) ? $this->arr_routes['params'][0] : 0;
		$this->obj_tmpl->addVar('content', 'ACTIVE_TAB', $active_tab);	
		$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'staff');
		$this->obj_tmpl->addVar('content', 'URL_RASIO', $url);
		$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']);
		$this->obj_tmpl->addVar('content', 'URL_STAFF', $url);
		
	}
	private function DisplayListVisiMisi(){
		$info = $this->obj_info->GetInfoStrukturKolegium();
		$this->obj_tmpl->addVar('content', 'TITLE', 'Struktur Organisasi');
		$this->obj_tmpl->addVar('content', 'STRUKTUR', $info['0']['struktur_kolegium']);
		$this->obj_tmpl->addVar('content', 'VISI', $info['0']['visi_kolegium']);
		$this->obj_tmpl->addVar('content', 'MISI', $info['0']['misi_kolegium']);
		$this->obj_tmpl->addVar('content', 'CONTACT', $info['0']['contact_us_kolegium']);
	}
	
	private function DisplayStaffFak(){
		// get chart data
		
		
		$jml_staff = 0;
		$jml_diterima = 0;
		$arr_umur = array(1 => Array(31,40,'FDC12E'),2 =>Array(41,50,'56B9F9'),3 =>Array(51,60,'C9198D'),4=>Array(61,70,'FF0000'));
		
			$data = "";  
			
			$color = array("AFD8F8","F6BD0F", "8BBA00", "FF8E46" , "008E8E", "D64646", "8E468E", "588526" , "B3AA00", "008ED6", "9D080D", 
"A186BE" , "CC6600", "FDC689", "ABA000", "F26D7D" , "FFF200", "0054A6", "F7941C", "CC3300" , "006600", "663300", "6DCFF6");
			$rs_id = $this->obj_summary->GetResourceId("GetStaffByFak", array());
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					// url
					$gol = str_replace(" ","_",$rec['nama']);
					$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_fakultas']));
					//content chart
					$data .= "<set name='".$rec['nama']."' value='".$rec['jml_fak']."' link='".$url_detail."' color='".$color[$rec['id_fakultas']]."'/>";
					// compute
					$jml_staff = $jml_staff + $rec['jml_fak'];
					//$jml_diterima = $jml_diterima + $rec['diterima'];
				}
			}
			
			/*$dataset .= "<dataset seriesname='Jumlah Staff' color='".$color[rand(0,22)]."'>
				  		$umur
			   		</dataset>";*/
			
		// display total
		$this->obj_tmpl->addVar('content', 'TOTAL_STAFF', $jml_staff);
		
		// display chart
		$strXML = "<graph caption='IPDS Staff' xAxisName='IPDS' yAxisName='Jumlah'  decimalPrecision='0' formatNumberScale='0'>
			   		$data
					</graph>";
		$path_chart = $this->obj_chart->UseChart("FCF_Column2D");
		$this->obj_tmpl->addVar('content', 'CHART_FAKULTAS', renderChartHTML($path_chart, "", $strXML, "", 740, 300, false));
		
	}
	
	private function DisplayListStaff(){
		//condition
		$fak ='';
		if(isset($this->arr_routes['params'][0]) ){
			$this->obj_tmpl->setAttribute('detail_staff', 'visibility', 'show');
			$fak = $this->arr_routes['params'][0];
		}else{
			$this->obj_tmpl->setAttribute('detail_staff', 'visibility', 'hidden');
			$fak ='';
		}	
		
		// page
		$this->id_page = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:1);
		// set active page number
		$this->obj_paging->SetPagesNumber($this->id_page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		//echo $this->obj_peserta->DebugQuery("GetListPesertaWithLimit",array($this->str_nomor,$this->str_nama,$this->str_status,$this->str_cari_par,0,10));exit;
		
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalStaffByFak",array($fak));
		//echo $result['TOTAL'];
		$this->obj_paging->SetTotalRecord($result['total']);
		$jumlah_staff = $result['total'];
		$this->obj_tmpl->addVar('content', 'TOTAL_PESERTA', $jumlah_staff);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array($fak))."/");
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		
		$this->obj_tmpl->addVar('detail_staff', 'TOTAL_STAFF', $result['total']);
		
		$rs_id = $this->obj_summary->GetResourceId("GetListStaffByFak", array($fak, $start, $max));
		$no = $start + 0;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('detail_staff', 'FAK', $rec['nama']);
				$this->obj_tmpl->addVar('list_peserta', 'NO', $no + 1);
				$this->obj_tmpl->addVar('list_peserta', 'NAMA', $rec['fullname'].' '."(".$rec['umur']." Thn)");
				$this->obj_tmpl->addVar('list_peserta', 'FAKULTAS', $rec['nama']);
				$this->obj_tmpl->addVar('list_peserta', 'JABATAN', $rec['nama_jabatan']);
				$this->obj_tmpl->addVar('list_peserta', 'PERIODE', $this->obj_date->GetShortDate($rec['periode_selesai']));
				$this->obj_tmpl->addVar('list_peserta', 'SK', $rec['no_sk']);
				if($rec['status']=='0'){
					$this->obj_tmpl->addVar('list_peserta', 'STAT',  $rec['ket_status']);
					$this->obj_tmpl->addVar('list_peserta', 'COLOR',  '#F5182F');
				}else{
					$this->obj_tmpl->addVar('list_peserta', 'COLOR',  '#4AA5FF');
					$this->obj_tmpl->addVar('list_peserta', 'STAT',  'Aktif');
					
				}
				// url link
				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'peserta-data', array( $rec['id_person'], $this->id_page));
				$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'peserta-laporan', array($rec['id_person']));
				$url_penempatan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'penempatan', array($rec['id_person'],$this->id_page));
				// parse url 
				$this->obj_tmpl->addVar('list_peserta', 'URL_DETAIL', $url_detail);
				$this->obj_tmpl->addVar('list_peserta', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->addVar('list_peserta', 'URL_PENEMPATAN', $url_penempatan);
				// append
				$this->obj_tmpl->ParseTemplate('list_peserta', 'a');	
				$no++;
			}
			
			/*$res1 = $this->obj_peserta->GetDataAsSingleArray("GetJumlahPesertaJenjang1",array($this->str_nomor,$this->str_nama,$this->str_cari_par));
			$res2 = $this->obj_peserta->GetDataAsSingleArray("GetJumlahPesertaJenjang2",array($this->str_nomor,$this->str_nama,$this->str_cari_par));
			if(!empty($res1) && !empty($res2)){
				$this->obj_tmpl->addVar('content', 'JML_PESERTA_J1', $res1['JML_JENJANG1']);
				$this->obj_tmpl->addVar('content', 'JML_PESERTA_J2', $res2['JML_JENJANG2']);
			}*/
		}
	}
	

private function DisplayListPeserta(){
		// set active page number
		$this->obj_paging->SetPagesNumber($this->id_page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		$params = array($this->int_program);
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalPesertaByProgramStudi", $params);
		$this->obj_tmpl->addVar('pagination', 'TOTAL_DATA', $result['total']);
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->int_program, '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination_peserta');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$params = array($this->int_program, $start, $max);
		$rs_id = $this->obj_summary->GetResourceId("GetListPesertaByProgramStudi", $params);
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_residen', 'NO', $no);
				$this->obj_tmpl->addVar('list_residen', 'NAMA', $rec['fullname']);
				$this->obj_tmpl->addVar('list_residen', 'SEMESTER', $rec['semester']);
				$this->obj_tmpl->addVar('list_residen', 'FAKULTAS', $rec['fakultas']);
				$this->obj_tmpl->addVar('list_residen', 'LULUS', ucwords($rec['status_peserta']));
				$this->obj_tmpl->addVar('list_residen', 'PENEMPATAN', (!empty($rec['penempatan'])?'YA':'-'));
				$jenjang = self::GetSemesterJenjangPeserta($rec['id_person']);
				$this->obj_tmpl->addVar('list_residen', 'JENJANG', $jenjang);
				// url link
				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'manager', 'person', 'person-peserta', array($rec['id_person'], $this->id_page, 'program', $this->int_program));
				
				// parse url 
				$this->obj_tmpl->addVar('list_residen', 'URL_DETAIL', $url_detail);
				// append
				$this->obj_tmpl->ParseTemplate('list_residen', 'a');	
				$no++;
			}
		}
	}
	
	
	// utility
	
	private function GetSemesterJenjangPeserta($id_person){
		$jenjang = '-';
		$result = $this->obj_summary->GetDataAsSingleArray("GetSemesterPesertaByPerson", array($id_person));
		if(!empty($result)){
			if(($result['semester'] >= $result['smt_jenjang_1']) AND ($result['semester'] < $result['smt_jenjang_2'])){
				$jenjang = '1';
			}
			if(($result['semester'] >= $result['smt_jenjang_2'])){
				$jenjang = '2';
			}
		}
		return $jenjang;
	}
	
	private function DisplayPesertaPendidikanPerFakultas(){
		$rs_id = $this->obj_summary->getResourceId("GetPesertaPendidikanByFakultas", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_fakultas', 'NAMA', $rec['nama']);
				$this->obj_tmpl->addVar('list_fakultas', 'PESERTA', (!empty($rec['jml_peserta'])?$rec['jml_peserta']:'-'));	
				$this->obj_tmpl->addVar('list_fakultas', 'PENEMPATAN', (!empty($rec['jml_penempatan'])?$rec['jml_penempatan']:'-'));	
				$this->obj_tmpl->addVar('list_fakultas', 'JENJANG_1', (!empty($rec['jenjang_1'])?$rec['jenjang_1']:'-'));	
				$this->obj_tmpl->addVar('list_fakultas', 'JENJANG_2', (!empty($rec['jenjang_2'])?$rec['jenjang_2']:'-'));	
				$this->obj_tmpl->addVar('list_fakultas', 'LULUS', (!empty($rec['jml_lulus'])?$rec['jml_lulus']:'-'));	
				// url
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'about', 'information', 'structure', array($rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_fakultas', 'URL_DETAIL', $url);
				// append
				$this->obj_tmpl->parseTemplate('list_fakultas', 'a');	
			}
		}
	}	
	
}

?>