<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 	
	private $obj_dashboard;
	private $obj_date;
	// init variable
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('pelamar'));
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('pendaftaran'));
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// list periode
		//self::DisplayListPeriode();
		self::DisplayPendaftaranOnline();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_PELAMAR', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'dashboard', 'pelamar', 'periode'));
		$this->obj_tmpl->addVar('content', 'URL_RESIDEN', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'dashboard', 'peserta', 'map'));
		$this->obj_tmpl->addVar('content', 'VIEW_ANGGOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
	}
	
	
	private function DisplayPendaftaranOnline(){
		$this->obj_tmpl->addVar('content', 'VIEW_PELAMAR', 'class="tab-nav-active"');
		$rs_id = $this->obj_summary->getResourceId("GetSummaryPendaftaranOnline", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_pendaftaran', 'NAMA', $rec['nama']);	
				$this->obj_tmpl->addVar('list_pendaftaran', 'KUOTA', $rec['kuota']);	
				$this->obj_tmpl->addVar('list_pendaftaran', 'DIBUKA', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));	
				$this->obj_tmpl->addVar('list_pendaftaran', 'DITUTUP', $this->obj_date->GetFullDate($rec['tgl_akhir'], 'ins'));	
				$this->obj_tmpl->addVar('list_pendaftaran', 'DAERAH', (!empty($rec['dinkes'])?$rec['dinkes']:'-'));	
				//$this->obj_tmpl->addVar('list_pendaftaran', 'PUSAT', (!empty($rec['pusat'])?$rec['pusat']:'-'));	
				//$this->obj_tmpl->addVar('list_pendaftaran', 'AKAD', (!empty($rec['akademik'])?$rec['akademik']:'-'));	
				$this->obj_tmpl->addVar('list_pendaftaran', 'DITERIMA', (!empty($rec['diterima'])?$rec['diterima']:'-'));	
				// url
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'],'dashboard', 'pelamar', 'statistik-periode', array($rec['id_periode']));
				$this->obj_tmpl->addVar('list_pendaftaran', 'URL_DETAIL', $url);	
				// append
				$this->obj_tmpl->parseTemplate('list_pendaftaran', 'a');	
			}
		}
	}
	
	private function DisplayListPeriode(){
		$rs_id = $this->obj_dashboard->GetResourceId("GetListPeriodeDashboard", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['nama']);
				$this->obj_tmpl->addVar('list_periode', 'BEASISWA', (empty($rec['kuota'])?'-':$rec['kuota']));
				$this->obj_tmpl->addVar('list_periode', 'PELAMAR', (empty($rec['pelamar'])?'-':$rec['pelamar']));
				$this->obj_tmpl->addVar('list_periode', 'DITERIMA', (empty($rec['diterima'])?'-':$rec['diterima']));
				$this->obj_tmpl->addVar('list_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));
				$this->obj_tmpl->addVar('list_periode', 'TGL_AKHIR', $this->obj_date->GetFullDate($rec['tgl_akhir'], 'ins'));
				// url
				$this->obj_tmpl->addVar('list_periode', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'pelamar', 'statistik-periode', array($rec['id_periode'])));
				$this->obj_tmpl->parseTemplate('list_periode', 'a');
			}
		}
	}
}

?>