<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_registrasi;
	private $obj_dashboard;
	private $obj_date;
	private $obj_maps;
	private $obj_chart;
	// init variable
	private $int_periode;
	private $int_propinsi;
	private $str_propinsi_name;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('pelamar'));	
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('periode'));	
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load plugins
		$param['type'] = '';
		$param['width'] = '';
		$param['height'] = '';
		$param['ID'] = '';
		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display periode
		self::DisplayPeriode();		
		// display propinsi
		self::DisplayPropinsi();	
		// display statistik
		self::DisplayChart();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->int_periode = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$this->int_propinsi = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:0);
		// --
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_PERIODE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'periode'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-periode', array($this->int_periode)));
	}
	
	private function DisplayPeriode(){
		// display data
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetDetailPeriodePendaftaranById", array($this->int_periode));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'JUDUL', $result['nama']);
			$this->obj_tmpl->addVar('content', 'KETERANGAN', $result['keterangan']);
			$this->obj_tmpl->addVar('content', 'TGL_MULAI', $this->obj_date->GetFullDate($result['tgl_mulai']));
			$this->obj_tmpl->addVar('content', 'TGL_AKHIR', $this->obj_date->GetFullDate($result['tgl_akhir']));
		}
	}
	
	private function DisplayPropinsi(){
		// display data
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailPropinsiById", array($this->int_propinsi));
		if(!empty($result)){
			$this->str_propinsi_name = $result['province_name'];
			$this->obj_tmpl->addVar('content', 'PROPINSI', $result['province_name']);
		}
	}
	
	// Charts All
	private function DisplayChart(){
		// get data on Indonesia
		$rs_id = $this->obj_dashboard->GetResourceId("GetStepByIndonesia", array($this->int_periode));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$arr_ind[$rec['id_step']] = $rec['total'];
			}
		}
		$str_ind = '';
		for($i=1;$i<=5;$i++){
			$jumlah = (isset($arr_ind[$i])?$arr_ind[$i]:0);
			$str_ind .= "<set value='".intval($jumlah)."' />";
		}
		// get data on Propinsi
		$rs_id = $this->obj_dashboard->GetResourceId("GetStepByPropinsi", array($this->int_periode, $this->int_propinsi));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$arr_prop[$rec['id_step']] = $rec['total'];
			}
		}
		$str_prop = '';
		for($i=1;$i<=5;$i++){
			$jumlah = (isset($arr_prop[$i])?$arr_prop[$i]:0);
			$str_prop .= "<set value='".intval($jumlah)."' />";
		}
		// strXML
		$strXML = "<graph xaxisname='Tahap Seleksi' yaxisname='Jumlah Pelamar' hovercapbg='DEDEBE' hovercapborder='889E6D' rotateNames='1' yAxisMaxValue='50' numdivlines='9' divLineColor='CCCCCC' divLineAlpha='80' decimalPrecision='0' showAlternateHGridColor='1' AlternateHGridAlpha='30' AlternateHGridColor='CCCCCC' showValues='1'>
   <categories font='Arial' fontSize='11' fontColor='000000'>
      <category name='Kelengkapan Data' hoverText='Kelengkapan Data' />
      <category name='Dinkes Propinsi' hoverText='Dinkes Propinsi' />
      <category name='Panitia Pusat' hoverText='BPPSDMK DEPKES' />
      <category name='Seleksi Akademik' hoverText='Seleksi Akademik' />
      <category name='Seleksi Penerimaan' hoverText='Seleksi Penerimaan Bantuan' />
   </categories>
   <dataset seriesname='Indonesia' color='72ADE9'>
      $str_ind
   </dataset>
    <dataset seriesname='".$this->str_propinsi_name."' color='F17A7A'>
      $str_prop
   </dataset>";
   		$strXML .= "";
		$strXML .= "</graph>";
		$path_chart = $this->obj_chart->UseChart("FCF_MSColumn3D");
		$this->obj_tmpl->addVar('content', 'CHART', renderChartHTML($path_chart, "", $strXML, "ChartExample", 485, 400, false));
	}	
}

?>