<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_dashboard;
	private $obj_date;
	private $obj_maps;
	// init variable
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('peserta'));
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_maps = $this->obj_ctrl->LoadLibrary('FusionMaps');
		// load javascript
		$this->obj_ctrl->LoadJavascript('fusionmaps');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// list map peserta
		self::DisplayMapPeserta();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_PELAMAR', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'dashboard', 'pelamar', 'periode'));
		$this->obj_tmpl->addVar('content', 'URL_RESIDEN', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'dashboard', 'peserta', 'map'));
		$this->obj_tmpl->addVar('content', 'VIEW_ANGGOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
		
	}
	
	private function DisplayMapPeserta(){
		$this->obj_tmpl->addVar('content', 'VIEW_RESIDEN', 'class="tab-nav-active"');
		// init var
		$flag = HTTPPATH.'doc/temp/logo/';
		$marker_definition = '';
		$marker_application = '';
		$marker_shape = '';
		// get data
		$rs_id = $this->obj_dashboard->GetResourceId("GetListFakultasWithPeserta", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$jumlah = intval($rec['jumlah']);
				// url
				$url_link = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'peserta', 'statistik-fakultas', array($rec['id_fakultas']));
				// marker
				$marker_definition .= "<marker id='".$rec['nama_singkat']."' x='".$rec['x']."' y='".$rec['y']."' label='".$jumlah."' labelPos='".$rec['label_pos']."' />";
				$marker_application .= "<marker id='".$rec['nama_singkat']."' shapeId='".$rec['nama_singkat']."_FLAG' toolText='".$rec['nama_singkat']." : ".$jumlah." peserta'  />";
				// shape
				$marker_shape .= "<shape id='".$rec['nama_singkat']."_FLAG' type='image' url='".$flag."/".strtolower($rec['nama_singkat']).".jpg' labelPadding='8' />";
			}
		}
		// map elemen
		$strXML = "<map animation='1' showShadow='0' showBevel='0' showMarkerLabels='1' baseFontColor='333333' fillColor='58B15A' fillAlpha='100' borderColor='156100' baseFontSize='10' bgColor='37ADFF, FFFFFF' bgAlpha='30,30' showToolTip='0' showMarkerToolTip='1' showLabels='0' useHoverColor='0' showLegend='0'>";
		// Setting colors and parameter
		$strXML .= "<data>";		
		$strXML .= "</data>";	
		$strXML .= "<markers>";	
		$strXML .= "<definition>";	
		$strXML .= $marker_definition;
		$strXML .= "</definition>";	
		$strXML .= "<application>";	
		$strXML .= $marker_application;
		$strXML .= "</application>";
		$strXML .= "<shapes>";
		$strXML .= $marker_shape;
		$strXML .= "</shapes>";
		$strXML .= "</markers>";
		$strXML .= "<styles>";
		$strXML .= "<definition>";
		$strXML .= "<style name='TTipFont' type='font' isHTML='1'  color='FFFFFF' bgColor='666666' size='10'/>";
		$strXML .= "<style name='myShadow' type='Shadow' distance='1'/>";
		$strXML .= "<style name='HTMLFont' type='font' color='333333' borderColor='CCCCCC' bgColor='FFFFFF'/>";
		$strXML .= "<style type='animation' name='animX' param='_xscale' start='0' duration='1' />";
		$strXML .= "<style type='animation' name='animY' param='_yscale' start='0' duration='1' />";
		$strXML .= "</definition>";
		$strXML .= "<application>";
		$strXML .= "<apply toObject='TOOLTIP' styles='TTipFont' />";
		$strXML .= "<apply toObject='MARKERS' styles='myShadow' />";
		$strXML .= "<apply toObject='MARKERLABELS' styles='HTMLFont,myShadow' />";
		$strXML .= "<apply toObject='PLOT' styles='animX,animY' />";
		$strXML .= "</application>";
		$strXML .= "</styles>";
		$strXML .= "</map>"; 	
		// print out maps
		$maps = $this->obj_maps->UseMap('FCMap_Indonesia');
		$print_maps = $this->obj_maps->renderMap($maps, "", $strXML, "Peserta", 500, 300, 0, 0);
		$this->obj_tmpl->addVar('content', 'MAP_PESERTA', $print_maps);
	}
}

?>