<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_summary;
	private $obj_date;
	// init variable
	private $int_propinsi;
	private $int_city;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('spesialistik'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display detail propinsi kota
		self::DisplayDetailPropinsiKota();
		// display list kebutuhan spesialis
		self::DisplayKebutuhanSpesialistik();
		// display list header
		self::DisplaySpesialisHeader();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		// set variable
		$this->int_propinsi = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$this->int_city = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:0);
		// url
		$this->obj_tmpl->addVar('content', 'URL_OVERVIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'summary'));
		$this->obj_tmpl->addVar('content', 'URL_PROPINSI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'propinsi', array($this->int_propinsi)));
	}
	
	private function DisplayDetailPropinsiKota(){
		$result = $this->obj_summary->GetDataAsSingleArray("GetDetailKotaById", array($this->int_city));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'PROPINSI', $result['province_name']);
			$this->obj_tmpl->addVar('content', 'KOTA', $result['city_name']);
		}
	}
	
	private function DisplayKebutuhanSpesialistik(){
		// display rumah sakit by city
		$rs_id = $this->obj_summary->GetResourceId("GetSummaryKeadaanKebutuhanSpesialistikByCity", array($this->int_city));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_data', 'RUMAH_SAKIT', $rec['nama']);
				$this->obj_tmpl->addVar('list_data', 'KODE_RS', $rec['kode_rs']);
				$this->obj_tmpl->addVar('list_data', 'KELAS', (!empty($rec['kelas'])?$rec['kelas']:'-'));
				$this->obj_tmpl->addVar('list_data', 'TT', (!empty($rec['tt'])?$rec['tt']:'-'));
				$this->obj_tmpl->addVar('list_data', 'BOR', (!empty($rec['bor'])?$rec['bor']:'-'));
				// head
				$head = self::DisplaySpesialisHeader();
				$this->obj_tmpl->addVar('list_data', 'HEAD', $head);
				// keadaan
				$keadaan = self::DisplayDataKeadaanByHospital($rec['id_hospital']);
				$this->obj_tmpl->addVar('list_data', 'KEADAAN', $keadaan);
				// kebutuhan
				$kebutuhan = self::DisplayDataKebutuhanByHospital($rec['id_hospital']);
				$this->obj_tmpl->addVar('list_data', 'KEBUTUHAN', $kebutuhan);
				// append
				$this->obj_tmpl->parseTemplate('list_data', 'a');	
			}
		}
	}
	
	private function DisplaySpesialisHeader(){
		// display header
		$rs_id = $this->obj_summary->GetResourceId("GetListProgramStudi", array());
		if($rs_id){
			$head = "";
			$width = 0;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$width = $width + 50;
				$head .= '<th width="50px" class="small-font">'.$rec['gelar'].'</th>';
			}
			$this->obj_tmpl->addVar('list_data', 'WIDTH', $width + 100);
			return $head;
		}
	}
	
	// utility
	
	private function DisplayDataKeadaanByHospital($id_hospital){
		$keadaan = "";
		$jumlah = 0;
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKeadaanByKelompokHospital", array($id_hospital));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$jumlah = $jumlah + $rec['jumlah'];
				$keadaan .= '<td class="small-font" align="center">'.(!empty($rec['jumlah'])?$rec['jumlah']:'-').'</td>';
			}
		}
		$this->obj_tmpl->addVar('list_data', 'TOTAL_KEADAAN', $jumlah);
		return $keadaan;
	}
	
	private function DisplayDataKebutuhanByHospital($id_hospital){
		$kebutuhan = "";
		$jumlah = 0;
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKebutuhanByKelompokHospital", array($id_hospital));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$jumlah = $jumlah + $rec['jumlah'];
				$kebutuhan .= '<td class="small-font" align="center">'.(!empty($rec['jumlah'])?$rec['jumlah']:'-').'</td>';
			}
		}
		$this->obj_tmpl->addVar('list_data', 'TOTAL_KEBUTUHAN', $jumlah);
		return $kebutuhan;
	}
	
	
}

?>