<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_summary;
	private $obj_date;
	// init variable
	private $int_propinsi;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('spesialistik'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display detail propinsi
		self::DisplayDetailPropinsi();
		// display list kebutuhan spesialis
		self::DisplayKebutuhanSpesialistik();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		// set variable
		$this->int_propinsi = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		
		// --
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'map'));
	}
	
	private function DisplayDetailPropinsi(){
		$result = $this->obj_summary->GetDataAsSingleArray("GetDetailPropinsiById", array($this->int_propinsi));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'PROPINSI', $result['province_name']);
			$this->obj_tmpl->addVar('pagination', 'PROPINSI', $result['province_name']);
		}
	}
	
	private function DisplayKebutuhanSpesialistik(){
		// get header dasar
		$rs_id = $this->obj_summary->GetResourceId("GetSpesialisKelompok", array('dasar'));
		if($rs_id){
			$index = 1;
			$width = 0;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$width = $width + 7;
				$this->obj_tmpl->addVar('content', 'WIDTH_DASAR', $width);
				$this->obj_tmpl->addVar('content', 'COLSPAN_DASAR', $index);
				$this->obj_tmpl->addVar('list_dasar', 'GELAR', $rec['gelar']);
				$this->obj_tmpl->parseTemplate('list_dasar', 'a');	
				$index++;
			}
		}
		// get header penunjang
		$rs_id = $this->obj_summary->GetResourceId("GetSpesialisKelompok", array('penunjang'));
		if($rs_id){
			$index = 1;
			$width = 0;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$width = $width + 7;
				$this->obj_tmpl->addVar('content', 'WIDTH_PENUNJANG', $width);
				$this->obj_tmpl->addVar('content', 'COLSPAN_PENUNJANG', $index);
				$this->obj_tmpl->addVar('list_penunjang', 'GELAR', $rec['gelar']);
				$this->obj_tmpl->parseTemplate('list_penunjang', 'a');	
				$index++;
			}
		}
		
		// parse data
		//$rs_id = $this->obj_summary->getResourceId("GetSummaryKeadaanKebutuhanSpesialistikByProp", array($this->int_propinsi));
		$rs_id = $this->obj_summary->getResourceId("GetSummaryKeadaanKebutuhanSpesialistikByPropPublic", array($this->int_propinsi, $this->int_propinsi ));
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'KOTA', $rec['city_name']);
				$this->obj_tmpl->addVar('list_data', 'RUMAH_SAKIT', (!empty($rec['rumah_sakit'])?$rec['rumah_sakit']:'-'));
				$this->obj_tmpl->addVar('list_data', 'TT', (!empty($rec['TT'])?$rec['TT']:'-'));
				$this->obj_tmpl->addVar('list_data', 'JML_SP', $rec['jumlah_spes']);
				self::DisplayDataKeadaanDasarByProp($rec['id_city'], 'dasar');
				self::DisplayDataKeadaanPenunjangByProp($rec['id_city'], 'penunjang');
				self::DisplayDataKebutuhanDasarByProp($rec['id_city'], 'dasar');
				self::DisplayDataKebutuhanPenunjangByProp($rec['id_city'], 'penunjang');
				// url
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'program', 'spesialistik', 'kota', array($rec['id_province'], $rec['id_city']));
				$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);	
				// append
				$this->obj_tmpl->parseTemplate('list_data', 'a');	
				$no++;
			}
		}
	}
	
	// utility
	
	private function DisplayDataKeadaanDasarByProp($id_city, $kelompok){
		$this->obj_tmpl->clearTemplate('list_keadaan_dasar');	
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKeadaanByKelompokCity", array($id_city, $kelompok));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_keadaan_dasar', 'JUMLAH', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				// append
				$this->obj_tmpl->parseTemplate('list_keadaan_dasar', 'a');	
			}
		}
	}
	
	private function DisplayDataKeadaanPenunjangByProp($id_city, $kelompok){
		$this->obj_tmpl->clearTemplate('list_keadaan_penunjang');	
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKeadaanByKelompokCity", array($id_city, $kelompok));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_keadaan_penunjang', 'JUMLAH', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				// append
				$this->obj_tmpl->parseTemplate('list_keadaan_penunjang', 'a');	
			}
		}
	}
	
	private function DisplayDataKebutuhanDasarByProp($id_city, $kelompok){
		$this->obj_tmpl->clearTemplate('list_kebutuhan_dasar');	
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKebutuhanByKelompokCity", array($id_city, $kelompok));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_kebutuhan_dasar', 'JUMLAH', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				// append
				$this->obj_tmpl->parseTemplate('list_kebutuhan_dasar', 'a');	
			}
		}
	}
	
	private function DisplayDataKebutuhanPenunjangByProp($id_city, $kelompok){
		$this->obj_tmpl->clearTemplate('list_kebutuhan_penunjang');	
		// parse data
		$rs_id = $this->obj_summary->getResourceId("GetSpesialisKebutuhanByKelompokCity", array($id_city, $kelompok));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_kebutuhan_penunjang', 'JUMLAH', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				// append
				$this->obj_tmpl->parseTemplate('list_kebutuhan_penunjang', 'a');	
			}
		}
	}
}

?>