<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_dashboard;
	private $obj_date;
	// init variable
	private $int_hospital;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('content');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('spesialis'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display detail kebutuhan rumah sakit
		self::DisplayDetailRumahSakit();	
		// display list pelayanan spesialistik
		self::DisplayListPelayanan();	
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		
	}
	
	private function DisplayDetailRumahSakit(){
		$this->int_hospital = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailRumahSakitById", array($this->int_hospital));
		
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'RUMAH_SAKIT', $result['nama']);
			$this->obj_tmpl->addVar('content', 'KODE_RS', $result['kode_rs']);
			$this->obj_tmpl->addVar('content', 'KELAS', (!empty($result['kelas'])?$result['kelas']:'-'));
			$this->obj_tmpl->addVar('content', 'TT', (!empty($result['tt'])?$result['tt']:'-'));
			$this->obj_tmpl->addVar('content', 'BOR', (!empty($result['bor'])?$result['bor']:'-'));
			
		}
		
		
	}
	
	private function DisplayListPelayanan(){
		$rs_id = $this->obj_dashboard->GetResourceId("GetListPelayananByHospital", array($this->int_hospital));
		if($rs_id){
			$no = 1;
			$jml_ada = 0;
			$jml_butuh = 0;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_rumah_sakit', 'NO', $no);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'SPESIALIS', $rec['spesialis']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'GELAR', $rec['gelar']);
				//$this->obj_tmpl->addVar('list_rumah_sakit', 'KEADAAN', $rec['keadaan']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'ADA', $rec['jml_keadaan']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'BUTUH', $rec['jml_kebutuhan']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'PERALATAN', $rec['peralatan']);
				$pelayanan = (($rec['pelayanan'] == 'dibutuhkan')?'<b>'.$rec['pelayanan'].'</b>':$rec['pelayanan']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'PELAYANAN', $pelayanan);
				$this->obj_tmpl->parseTemplate('list_rumah_sakit', 'a');
				$jml_ada +=  $rec['jml_keadaan'];
				$jml_butuh += $rec['jml_kebutuhan'];;
				$no++;
			}
			$this->obj_tmpl->addVar('content', 'T_ADA', $jml_ada);
			$this->obj_tmpl->addVar('content', 'T_BUTUH', $jml_butuh);
		}
	}
}

?>