<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_dashboard;
	private $obj_date;
	// init variable
	private $int_propinsi;
	private $int_kota;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('spesialis'));
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('spesialistik'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery-1.3.2.min', 'jquery');	
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display propinsi
		self::DisplayPropinsi();	
		// display kota
		self::DisplayKota();		
		// display rumah sakit
		self::DisplayListRumahSakit();	
		
		
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->int_propinsi = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$this->int_kota = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:0);
		// --
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'map'));
		$this->obj_tmpl->addVar('content', 'URL_PROPINSI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-propinsi', array($this->int_propinsi)));
	}
	
	private function DisplayPropinsi(){
		
		// display data
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailPropinsiById", array($this->int_propinsi));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'PROPINSI', $result['province_name']);
		}
	}
	
	private function DisplayKota(){
		// display data
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailKotaById", array($this->int_kota));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'KOTA', $result['city_name']);
		}
	}
	
	private function DisplayListRumahSakit(){
		$params = array($this->int_kota);
		$rs_id = $this->obj_dashboard->GetResourceId("GetKebutuhanSpesialisPerRumahSakit", $params);
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url
				$this->obj_tmpl->addVar('list_rumah_sakit', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'rumah-sakit-popin', array($rec['id_hospital'])));
				// get total rumah sakit
				$rumah_sakit = $this->obj_dashboard->GetDataAsSingleArray("GetTotalPelayananByRS", array($rec['id_hospital']));
				$this->obj_tmpl->addVar('list_rumah_sakit','JUMLAH',(!empty($rumah_sakit['total'])?$rumah_sakit['total']:'-'));
				// --
				$this->obj_tmpl->addVar('list_rumah_sakit', 'NO', $no);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'RUMAH_SAKIT', $rec['nama']);
				$this->obj_tmpl->addVar('list_rumah_sakit', 'KEBUTUHAN', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				$this->obj_tmpl->parseTemplate('list_rumah_sakit', 'a');
				$no++;
			}
		}
	}
	
	
}

?>