<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_dashboard;
	private $obj_date;
	// init variable
	private $int_propinsi;
	private $str_propinsi_name;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('spesialis'));
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('spesialistik'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display propinsi
		self::DisplayPropinsi();		
		// display kota
		self::DisplayListKota();	
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->int_propinsi = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		// --
		$this->obj_tmpl->addVar('content', 'URL_DASHBOARD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'informasi', 'dashboard', 'list'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'map'));
	}
	
	private function DisplayPropinsi(){
		// display data
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailPropinsiById", array($this->int_propinsi));
		if(!empty($result)){
			$this->str_propinsi_name = $result['province_name'];
			$this->obj_tmpl->addVar('content', 'PROPINSI', $result['province_name']);
		}
	}
	
	private function DisplayListKota(){
		$params = array($this->int_propinsi, $this->int_propinsi);
		//$rs_id = $this->obj_dashboard->GetResourceId("GetKebutuhanSpesialisPerKota", $params);
		$rs_id = $this->obj_summary->getResourceId("GetSummaryKeadaanKebutuhanSpesialistikByPropPublic", array($this->int_propinsi, $this->int_propinsi ));
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url
				$this->obj_tmpl->addVar('list_kota', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-kota', array($this->int_propinsi, $rec['id_city'])));
				// get total rumah sakit
				$rumah_sakit = $this->obj_dashboard->GetDataAsSingleArray("GetTotalRumahSakitByKota", array($rec['id_city']));
				//$this->obj_tmpl->addVar('list_kota', 'JUMLAH', (!empty($rumah_sakit['total'])?$rumah_sakit['total']:'-'));
				$this->obj_tmpl->addVar('list_kota', 'JUMLAH', (!empty($rec['rumah_sakit'])?$rec['rumah_sakit']:'-'));
				
				// --
				$this->obj_tmpl->addVar('list_kota', 'NO', $no);
				$this->obj_tmpl->addVar('list_kota', 'KOTA', $rec['city_name']);
				//$this->obj_tmpl->addVar('list_kota', 'KEBUTUHAN', (!empty($rec['jumlah'])?$rec['jumlah']:'-'));
				$this->obj_tmpl->addVar('list_kota', 'KEBUTUHAN', (!empty($rec['jumlah_spes'])?$rec['jumlah_spes']:'-'));
				
				$this->obj_tmpl->parseTemplate('list_kota', 'a');
				$no++;
			}
		}
	}
}

?>