<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_fakultas;
	private $obj_person;
	private $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_ipds= $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_ipds->UseQuery(array('fakultas'));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		// loaded style
		
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayListData();
		self::DisplayPageLink();
		//self::GetListStaffStruktural();
		// display template (add, view, edit)
		
		// display get fakultas
		//self::GetFakultas();
		
		// display test cookies
		//self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		// url
			$this->obj_tmpl->addVar('content', 'URL_PERIODE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'periode'));
			$this->obj_tmpl->addVar('content', 'URL_STAFF', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'organisasi','struktural', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'fasilitas','ruangan', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'rs_pendidikan','utama', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_PSTDIDIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'evaluasi_pps','studi_lain', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
	}
	
	
	
	private function DisplayListData(){
		
		$rs_id = $this->obj_fakultas->GetResourceId("GetPejabatByIdFakultas", array($this->str_userid));
		if($rs_id){
		while($rec = mysqli_fetch_assoc($rs_id)){
			$this->obj_tmpl->addVar('list_pejabat', 'JABATAN', $rec['nama_jabatan']);
			$this->obj_tmpl->addVar('list_pejabat', 'NAMA', $rec['nama_lengkap']);
			$this->obj_tmpl->ParseTemplate('list_pejabat', 'a');	
		}
		}
		$rs_id = $this->obj_ipds->GetResourceId("GetListIdentitasIpds", array($this->str_userid));
		if($rs_id){
		while($rec = mysqli_fetch_assoc($rs_id)){
			$this->obj_tmpl->addVar('content', 'TGL_BERDIRI', $rec['thn_berdiri']);
			$this->obj_tmpl->addVar('content', 'VISI', $rec['visi']);
			$this->obj_tmpl->addVar('content', 'SEJARAH', $rec['sejarah']);
		}
		}
		$result = $this->obj_fakultas->GetDataAsSingleArray("GetIpdsByIdFakultas", array($this->str_userid));
		if(!empty($result)){
		//print_r($result['nama']);
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('content', 'ALAMAT', $result['alamat']);
			}
		}	
			
		
		
	
	

	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
