<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_summary;
	private $obj_date;
	private $obj_paging;
	// init variable
	private $int_fakultas;
	private $id_page = 1;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();	
		// load business
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('pendidikan'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		//Load Javascript
		
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display detail fakultas
		self::DisplayDetailFakultas();
		// display total data
		self::DisplayTotalData();
		// display list pelamar
		self::DisplayListPeserta();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		// set variable
		$this->int_fakultas = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$this->id_page = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:1);
		// url
		$this->obj_tmpl->addVar('content', 'URL_PENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'overview', array(0)));
		$this->obj_tmpl->addVar('content', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'basic_kol','ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'basic_kol',array('ipds',$this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_VERIFIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'verifikasi',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_PPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'fakultas',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'rs_pendidikan_kol', 'utama',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'fasilitas_kol', 'ruangan',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KETENAGAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'organisasi_kol','staff', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KURIKULUM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'kurikulum','view', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
	}
	
	private function DisplayDetailFakultas(){
		$result = $this->obj_summary->GetDataAsSingleArray("GetDetailFakultasById", array($this->int_fakultas));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('pagination', 'FAKULTAS', $result['nama']);
		}
	}
	
	private function DisplayListPeserta(){
		// set active page number
		
		if(!isset($this->arr_routes['params']['2'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['2'];
		}	
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$params = array($this->int_fakultas);
		$periode=$this->arr_routes['params']['1'];
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalPesertaByFakultas", $params);
		$this->obj_tmpl->addVar('pagination', 'TOTAL_DATA', $result['total']);
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->int_fakultas, $periode,'/')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$params = array($this->int_fakultas, $start, $max);
		$rs_id = $this->obj_summary->GetResourceId("GetListPesertaByFakultas", $params);
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_peserta', 'NO', $no);
				$this->obj_tmpl->addVar('list_peserta', 'NAMA', $rec['fullname']);
				$this->obj_tmpl->addVar('list_peserta', 'SEMESTER', $rec['semester']);
				$this->obj_tmpl->addVar('list_peserta', 'PROGRAM_STUDI', $rec['program_studi']);
				$this->obj_tmpl->addVar('list_peserta', 'GELAR', $rec['gelar']);
				$this->obj_tmpl->addVar('list_peserta', 'LULUS', ucwords($rec['status_peserta']));
				$this->obj_tmpl->addVar('list_peserta', 'PENEMPATAN', (!empty($rec['penempatan'])?'YA':'-'));
				$jenjang = self::GetSemesterJenjangPeserta($rec['id_person']);
				$this->obj_tmpl->addVar('list_peserta', 'JENJANG', $jenjang);
				// url link
				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'manager', 'person', 'person-peserta', array($rec['id_person'], $this->id_page, 'fakultas', $this->int_fakultas));
				// parse url 
				$this->obj_tmpl->addVar('list_peserta', 'URL_DETAIL', $url_detail);
				// append
				$this->obj_tmpl->ParseTemplate('list_peserta', 'a');	
				$no++;
			}
		}
	}
	
	private function DisplayTotalData(){
		// DASAR
		$params = array($this->int_fakultas, 'dasar');
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalDataPesertaByFakultas", $params);
		$this->obj_tmpl->addVar('pagination', 'TOTAL_DASAR', intval($result['total']));
		// PENUNJANG
		$params = array($this->int_fakultas, 'penunjang');
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalDataPesertaByFakultas", $params);
		$this->obj_tmpl->addVar('pagination', 'TOTAL_PENUNJANG', intval($result['total']));
		// LAINNYA
		$params = array($this->int_fakultas, 'non');
		$result = $this->obj_summary->GetDataAsSingleArray("GetTotalDataPesertaByFakultas", $params);
		$this->obj_tmpl->addVar('pagination', 'TOTAL_LAINNYA', intval($result['total']));
	}
	
	// utility
	
	private function GetSemesterJenjangPeserta($id_person){
		$jenjang = '-';
		$result = $this->obj_summary->GetDataAsSingleArray("GetSemesterPesertaByPerson", array($id_person));
		if(!empty($result)){
			if(($result['semester'] >= $result['smt_jenjang_1']) AND ($result['semester'] < $result['smt_jenjang_2'])){
				$jenjang = '1';
			}
			if(($result['semester'] >= $result['smt_jenjang_2'])){
				$jenjang = '2';
			}
		}
		return $jenjang;
	}
}

?>