<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_fakultas;
	private $obj_person;
	private $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('propinsi', 'periode','pps'));	
		$this->obj_ipds= $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_ipds->UseQuery(array('fakultas'));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		// loaded style
		
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayListData();
		self::DisplayPageLink();
		//self::GetListStaffStruktural();
		
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
	$this->obj_tmpl->addVar('content', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'basic_kol','ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
	$this->obj_tmpl->addVar('content', 'VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'basic_kol',array('ipds',$this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_VERIFIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'verifikasi',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_PPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'fakultas',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'rs_pendidikan_kol', 'utama',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'fasilitas_kol', 'ruangan',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KETENAGAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'organisasi_kol','staff', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
	$this->obj_tmpl->addVar('content', 'VIEW_KURIKULUM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'kurikulum','view', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));



	}
	
	private function DisplayListData(){
		
		$rs_id = $this->obj_fakultas->GetResourceId("GetPejabatByIdFakultasKol", array($this->arr_routes ['params']['0']));
		if($rs_id){
		while($rec = mysqli_fetch_assoc($rs_id)){
			
			$this->obj_tmpl->addVar('list_pejabat', 'JABATAN', $rec['nama_jabatan']);
			$this->obj_tmpl->addVar('list_pejabat', 'NAMA', $rec['nama_lengkap']);
			$this->obj_tmpl->ParseTemplate('list_pejabat', 'a');	
		}
		}
		
		$rs_id = $this->obj_ipds->GetResourceId("GetDetailFakultasByFakultas", array($this->arr_routes ['params']['0']));
		if($rs_id){
		while($rec = mysqli_fetch_assoc($rs_id)){
			$this->obj_tmpl->addVar('content', 'TGL_BERDIRI', $rec['thn_berdiri']);
			$this->obj_tmpl->addVar('content', 'VISI', $rec['visi']);
			$this->obj_tmpl->addVar('content', 'SEJARAH', $rec['sejarah']);
		}
		}
		$result = $this->obj_fakultas->GetDataAsSingleArray("GetIpdsByIdFakultasKol", array($this->arr_routes ['params']['0']));
		if(!empty($result)){
		//print_r($result['nama']);
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('content', 'ALAMAT', $result['alamat']);
			}
			
			//$this->obj_fakultas->debugquery("GetAdminByAut", array($this->str_userid));
		/*$result = $this->obj_fakultas->GetDataAsSingleArray("GetAdminByAut", array($this->arr_routes ['params']['0']));
		if($result['id_auth']== '8'){
		$this->obj_tmpl->setAttribute('add', 'visibility', 'show');
		}else{
		$this->obj_tmpl->setAttribute('add', 'visibility', 'hidden'); 
		}
		*/	
		}	
	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
