<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// variable object
	protected $obj_date;
	protected $obj_evaluasi;
	protected $obj_anggota;
	protected $int_fakultas;
	
	protected $obj_notify;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/* Other object loaded below */
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('reakreditasi','propinsi'));
		
		// --
		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
	}
	
	public function PageView(){
		// display test cookies
		self::DisplayNotification();
		// Variable
		self::DisplayVariable();
		// display fakultas
		self::GetFakultas();
		// display add form
		self::DisplayForm();
		// display detail person
		self::DisplayDetailPerson();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// display last filled	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// variable
		$this->obj_tmpl->addVar('content', 'URL_LIST', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengajuan'));
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengajuan', array('add')));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'institusi'));
		// -- test pdf print out
		$this->obj_tmpl->addVar('display', 'URL_PRINT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print-out'));
	}
	
	private function GetFakultas(){
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
	}
	
	private function DisplayDetailPerson(){
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		
		if(!empty($result)){
			$this->obj_tmpl->addVar('display', 'NAMA_LENGKAP', strtoupper($result['nama']));
			//$this->obj_tmpl->addVar('display', 'TGL_MULAI', $this->obj_date->GetFullDate();
			/*$this->obj_tmpl->addVar('display', 'TMP_LAHIR', $result[0]['tempat_lahir']);
			
			$this->obj_tmpl->addVar('display', 'GENDER', ucwords($result[0]['jenis_kelamin']));
			// display foto
			$path = "doc/person/".$result[0]['id_person']."/foto/".$result[0]['photo'];
			if(is_file($path))
				$this->obj_tmpl->addVar('display', 'FOTO', $path);
			else
				$this->obj_tmpl->addVar('display', 'FOTO', "doc/temp/blank.jpg");*/
		}
	}
	
	private function DisplayForm(){
		if(isset($this->arr_routes['params'][0])){
			switch($this->arr_routes['params'][0]){
				case 'add':
					// display add form
					self::DisplayAddForm();
					break;
				case 'edit':
					// display edit form
					self::DisplayEditForm();
					break;
				default:
					// display list periode kegiatan
					self::DisplayListTahunKegiatan();
					break;
			}
			
		}else{			
			// display list periode kegiatan
			self::DisplayListTahunKegiatan();
		}
	}
	
	private function DisplayAddForm(){
		$this->obj_tmpl->addVar('display', 'view', 'add');
		if(isset($this->obj_notify->arr_message['field'])){
			// kelulusan
			$hl = $this->obj_notify->arr_message['field']['day_lulus'];
			$bl = $this->obj_notify->arr_message['field']['month_lulus'];
			$tl = $this->obj_notify->arr_message['field']['year_lulus'];
			// str berlaku
			$hs = $this->obj_notify->arr_message['field']['day_end'];
			$bs = $this->obj_notify->arr_message['field']['month_end'];
			$ts = $this->obj_notify->arr_message['field']['year_end'];
		}else{
			// default kelulusan
			$tl = date('Y');
			$bl = date('m');
			$hl = date('d');
			// default str berlaku
			$ts = date('Y');
			$bs = date('m');
			$hs = date('d');		
		}
		$this->obj_date->SetPatTemplates($this->obj_tmpl);
		$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $ts, $bs, $hs, date('Y')-6, date('Y')+6);
		//$this->obj_date->DhtmlgoodiesStandardDate('list_year_lulus', 'list_month_lulus', 'list_day_lulus', $tl, $bl, $hl, date('Y')-70, date('Y'));
	}
	
	private function DisplayEditForm(){	
		if(isset($this->arr_routes['params'][1]) AND !empty($this->arr_routes['params'][1])){
			$this->obj_tmpl->addVar('display', 'view', 'edit');
			// parse data
			$rs = $this->obj_evaluasi->GetDataAsSingleArray("GetDetailPeriodeStrById", array($this->int_fakultas, $this->arr_routes['params'][1]));
			
			if(!empty($rs)){	
				$this->obj_tmpl->addVar('display', 'ID_AKREDITASI', $rs['id_akreditasi']);
				if(isset($this->obj_notify->arr_message['field'])){
					// kelulusan
					$hl = $this->obj_notify->arr_message['field']['day_lulus'];
					$bl = $this->obj_notify->arr_message['field']['month_lulus'];
					$tl = $this->obj_notify->arr_message['field']['year_lulus'];
					// str berlaku
					$hs = $this->obj_notify->arr_message['field']['day_end'];
					$bs = $this->obj_notify->arr_message['field']['month_end'];
					$ts = $this->obj_notify->arr_message['field']['year_end'];
				}else{
			
					// str
					$tgl = explode('-', $rs['tgl_selesai']);
					$ts = $tgl[0];
					$bs = $tgl[1];
					$hs = $tgl[2];
					//$this->obj_tmpl->addVar('display', 'UNIVERSITY', $rs['university']);
					$this->obj_tmpl->addVar('display', 'TGL_SELESAI', $rs['tgl_selesai']);
					$this->obj_tmpl->addVar('display', 'NO_AKR', $rs['no_akreditasi']);
				}
				// tanggal];
				$this->obj_date->SetPatTemplates($this->obj_tmpl);
				$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $ts, $bs, $hs, date('Y')-5, date('Y')+5);
				//$this->obj_date->DhtmlgoodiesStandardDate('list_year_lulus', 'list_month_lulus', 'list_day_lulus', $tl, $bl, $hl , date('Y')-70, date('Y'));
			}
		}else{
			// display list periode kegiatan
			self::DisplayListTahunKegiatan();
		}
	}
	
	private function DisplayListTahunKegiatan(){
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListPeriodeStrByIdPerson", array($this->int_fakultas));
		if($rs_id){
			$this->obj_tmpl->addVar('display', 'view', 'list_data');
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic', 'ipds', array($rec['id_akreditasi']));
				$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengajuan', array('edit', $rec['id_akreditasi']));
				$url_hapus = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'hapus', array($rec['id_akreditasi']));
				$this->obj_tmpl->addVar('list_tahun_periode', 'NO', $no);
				$this->obj_tmpl->addVar('list_tahun_periode', 'NO_AKR', $rec['no_akreditasi']);
				$this->obj_tmpl->addVar('list_tahun_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai']));
				$this->obj_tmpl->addVar('list_tahun_periode', 'TGL_SELESAI', $this->obj_date->GetFullDate($rec['tgl_selesai']));
				$this->obj_tmpl->addVar('list_tahun_periode', 'MULAI', ucwords($rec['status_mulai']));
				$this->obj_tmpl->addVar('list_tahun_periode', 'SELESAI', ucwords($rec['status_selesai']));
				$this->obj_tmpl->addVar('list_tahun_periode', 'URL_DETAIL', $url_detail);
				$this->obj_tmpl->addVar('list_tahun_periode', 'URL_EDIT', $url_edit);
				$this->obj_tmpl->addVar('list_tahun_periode', 'URL_HAPUS', $url_hapus);
				$this->obj_tmpl->ParseTemplate('list_tahun_periode', 'a');
				$no++;
			}
		}
	}
}

?>