<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_evaluasi;
	protected $obj_history;
	protected $obj_notify;
	// variable definition
	protected $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'diri');	
	}
	
	protected function PageLoad(){ 
		/* -- Other object loaded below */
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('reakreditasi','propinsi'));
		
		// --
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'insert':
				self::InsertPeriodeAkreditasi();
				break;
			case 'update':
				self::UpdatePeriodeAkreditasi();
				break;
			case 'verifikasi':
				self::VerikasiReakriditasi();
				break;
			case 'hapus':
				self::HapusPeriodeStr();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	private function InsertPeriodeAkreditasi(){
		$err = array();	
		$filled = array();	
		// check / validate parameter 
		//$tgl_lulus = $this->arr_params['year_lulus'].'-'.$this->arr_params['month_lulus'].'-'.$this->arr_params['day_lulus'];
		$tgl_str = $this->arr_params['year_end'].'-'.$this->arr_params['month_end'].'-'.$this->arr_params['day_end'];
		// -
		$y = $this->arr_params['year_end'];
		$m = $this->arr_params['month_end'];
		$d = $this->arr_params['day_end'];
		// -
		for($i=0;$i<5;$i++){
			$arr_data[$i]['tgl_berakhir'] = date('Y-m-d' ,mktime(0, 0, 0, $m, $d, $y - $i));
			$arr_data[$i]['tgl_mulai'] = date('Y-m-d' ,mktime(0, 0, 0, $m, $d + 1, $y - ($i + 1)));
		}
		$start_date = $arr_data[4]['tgl_mulai'];
		$end_date = $arr_data[0]['tgl_berakhir'];
		// check apakah sudah terdaftar
		$arr_stat = $this->obj_evaluasi->GetDataAsSingleArray("CheckPeriodeStrByIdPerson", array($this->arr_params['id_fakultas'], $start_date, $end_date));
		
		if(!empty($arr_stat['total'])){
			$err[] = '<br /><strong>Tanggal dalam periode akreditasi</strong> telah terdaftar';
		}
		// check parameter input
		$this->arr_params['no_akr'] = trim($this->arr_params['no_akr']);
		//$this->arr_params['university'] = trim($this->arr_params['university']);
		if(empty($this->arr_params['no_akr'])){ $err[] = '<br /><strong>Nomor STR</strong> harus diisi'; }
		//if(empty($this->arr_params['university'])){ $err[] = '<br /><strong>Universitas</strong> harus diisi'; }
		// processing --------------------------------------------------
		if(empty($err)){
			//id_fakultas, no_akreditasi, tgl_mulai,tgl_selesai,status_pengajuan, status_mulai, status_selesai, status_evaluasi, mdb, mdd
			$params = array($this->arr_params['id_fakultas'], $this->arr_params['no_akr'],  $arr_data[4]['tgl_mulai'], $arr_data[0]['tgl_berakhir'], 'no', 'yes', 'no', 'waiting', $this->str_userid);
			// execute process
			if($this->obj_evaluasi->ProcessingData("InsertPeriodeAkreditasi", $params)){
				// get id periode
				$rs_id = $this->obj_evaluasi->GetResourceId("GetListPeriodeStrByIdPerson", array($this->str_userid));
				while($rs = mysqli_fetch_assoc($rs_id)){
					$id_periode = $rs['id_periode'];
					break;
				}
				// auto create periode kegiatan
				foreach($arr_data as $val){
					$params = array($id_periode, $val['tgl_mulai'], $val['tgl_berakhir'], $this->str_userid);
					$this->obj_evaluasi->ProcessingData("InsertPeriodeKegiatan", $params);
				}				
				// save history
				/*$history['user'] = $this->str_userid;
				$history['target'] = "member";
				$history['title'] = "Permohonan melakukan P2KB";
				$history['deskripsi'] = "Persyaratan untuk memulai pencatatan kegiatan P2KB";
				$history['url_title'] = "Permohonan melakukan P2KB";
				$history['url_link'] = HTTPPATH . "index.php/private/cpd/rencana-diri/";
				$this->obj_evaluasi->AddActivitiesHistory($history);*/
				// notification message				
				self::SendNotification($err, $filled, 'Data has been saved.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'diri');
			}else{
				// filled field with last input
				$filled = array('NO_STR' => $this->arr_params['no_str'], 'UNIVERSITY' => $this->arr_params['university'], 'year_lulus' => $this->arr_params['year_lulus'], 'month_lulus' => $this->arr_params['month_lulus'], 'day_lulus' => $this->arr_params['day_lulus'], 'year_end' => $this->arr_params['year_end'], 'month_end' => $this->arr_params['month_end'], 'day_end' => $this->arr_params['day_end']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'diri', array('add'));	
			}	
		}else{
			// filled field with last input
			$filled = array('NO_STR' => $this->arr_params['no_str'], 'UNIVERSITY' => $this->arr_params['university'], 'year_lulus' => $this->arr_params['year_lulus'], 'month_lulus' => $this->arr_params['month_lulus'], 'day_lulus' => $this->arr_params['day_lulus'], 'year_end' => $this->arr_params['year_end'], 'month_end' => $this->arr_params['month_end'], 'day_end' => $this->arr_params['day_end']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page ------------------------------------
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengajuan', array('add'));
		}
	}
	
	private function UpdatePeriodeAkreditasi(){
		$err = array();	
		$filled = array();	
		// check / validate parameter 
		//$tgl_lulus = $this->arr_params['year_lulus'].'-'.$this->arr_params['month_lulus'].'-'.$this->arr_params['day_lulus'];
		$tgl_str = $this->arr_params['year_end'].'-'.$this->arr_params['month_end'].'-'.$this->arr_params['day_end'];
		// -
		$y = $this->arr_params['year_end'];
		$m = $this->arr_params['month_end'];
		$d = $this->arr_params['day_end'];
		// -
		for($i=0;$i<5;$i++){
			$arr_data[$i]['tgl_berakhir'] = date('Y-m-d' ,mktime(0, 0, 0, $m, $d, $y - $i));
			$arr_data[$i]['tgl_mulai'] = date('Y-m-d' ,mktime(0, 0, 0, $m, $d + 1, $y - ($i + 1)));
		}
		$start_date = $arr_data[4]['tgl_mulai'];
		$end_date = $arr_data[0]['tgl_berakhir'];
		if($this->arr_params['tgl_selesai'] != $arr_data[0]['tgl_berakhir']){
			// check apakah sudah terdaftar
			$arr_stat = $this->obj_evaluasi->GetDataAsSingleArray("GetIdPeriodeStrByIdPerson", array($this->arr_params['id_fakultas'], $this->arr_params['id_akreditasi'], $start_date, $end_date));
			if(isset($arr_stat['id_akreditasi'])){
				if($arr_stat['id_akreditasi'] != $this->arr_params['id_akreditasi']){
					$err[] = '<br /><strong>Tanggal dalam periode kegiatan</strong> telah terdaftar';
				}	
			}
		}
		// check apakah statusnya sudah selesai
		$finished = $this->obj_evaluasi->GetDataAsArray("GetStatusSelesaiById", array($this->arr_params['id_akreditasi']));
		if(!empty($finished)){
			if($finished[0]['status_selesai'] == 'yes' OR $finished[0]['status_evaluasi'] == 'yes'){
				$err[] = '<br /><strong>Instrumen Evaluasi</strong> dalam periode ini telah dievaluasi atau dinyatakan selesai.';
			}
		}
		// check parameter input		
		if(empty($this->arr_params['id_akreditasi'])){ $err[] = '<br /><strong>ID Periode</strong> bust be filled'; }
		$this->arr_params['no_akr'] = trim($this->arr_params['no_akr']);
		//$this->arr_params['university'] = trim($this->arr_params['university']);
		if(empty($this->arr_params['no_akr'])){ $err[] = '<br /><strong>Nomor STR</strong> harus diisi'; }
		//if(empty($this->arr_params['university'])){ $err[] = '<br /><strong>Universitas</strong> harus diisi'; }
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['no_akr'],  $arr_data[4]['tgl_mulai'], $arr_data[0]['tgl_berakhir'], $this->str_userid, $this->arr_params['id_akreditasi'],  $this->arr_params['id_fakultas']);
			// execute process
			if($this->obj_evaluasi->ProcessingData("UpdatePeriodeAkreditasi", $params)){
				if($this->arr_params['tgl_selesai'] != $arr_data[0]['tgl_berakhir']){
					// delete exsiting periode kegiatan
					$this->obj_evaluasi->ProcessingData("DeletePeriodeKegiatanById", array($this->arr_params['id_periode'], $this->str_userid));
					// auto create periode kegiatan
					foreach($arr_data as $val){
						$params = array($this->arr_params['id_periode'], $val['tgl_mulai'], $val['tgl_berakhir'], $this->str_userid);
						$this->obj_evaluasi->ProcessingData("InsertPeriodeKegiatan", $params);
					}
				}			
				// save history
				$history['user'] = $this->str_userid;
				$history['target'] = "member";
				$history['title'] = "Revisi permohonan melakukan P2KB";
				$history['deskripsi'] = "Melakukan perubahan terhadap data permohonan melakukan P2KB";
				$history['url_title'] = "Permohonan melakukan P2KB";
				$history['url_link'] = HTTPPATH . "index.php/private/cpd/rencana-diri/";
				//$this->obj_evaluasi->AddActivitiesHistory($history);		
				// notification message				
				self::SendNotification($err, $filled, 'Data has been saved.', 'success');
				// redirect to success page ------------------------------------
			}else{
				// filled field with last input
				$filled = array('NO_STR' => $this->arr_params['no_str'], 'UNIVERSITY' => $this->arr_params['university'], 'year_lulus' => $this->arr_params['year_lulus'], 'month_lulus' => $this->arr_params['month_lulus'], 'day_lulus' => $this->arr_params['day_lulus'], 'year_end' => $this->arr_params['year_end'], 'month_end' => $this->arr_params['month_end'], 'day_end' => $this->arr_params['day_end']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
			}	
		}else{
			// filled field with last input
			$filled = array('NO_STR' => $this->arr_params['no_str'], 'UNIVERSITY' => $this->arr_params['university'], 'year_lulus' => $this->arr_params['year_lulus'], 'month_lulus' => $this->arr_params['month_lulus'], 'day_lulus' => $this->arr_params['day_lulus'], 'year_end' => $this->arr_params['year_end'], 'month_end' => $this->arr_params['month_end'], 'day_end' => $this->arr_params['day_end']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page ------------------------------------	
		}
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengajuan', array('edit', $this->arr_params['id_periode']));
	}
	
	
	private function VerikasiReakriditasi(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
			
		// check / validate parameter 
		if(empty($this->arr_params['kelengkapan'])){ $err[] = '<br /><strong>Status Verifikasi </strong> belum di pilih'; }
		if(empty($this->arr_params['id_fakultas'])){ $err[] = '<br /><strong>ID Fakultas </strong> kosong'; }
		
				
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['kelengkapan'],$this->arr_params['catatan'],$this->str_userid,$this->arr_params['id_akriditasi'],$this->arr_params['id_fakultas']);
			//$this->obj_evaluasi->debugquery("UpdateVerifikasiReakritiasi", $params);exit;
			//print_r($params);exit;
			if($this->obj_evaluasi->ProcessingData("UpdateVerifikasiReakritiasi", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'verifikasi', array ($this->arr_params['id_fakultas'],$this->arr_params['id_akriditasi']));
			}else{
				$filled = array('KELENGKAPAN' => $this->arr_params['kelengkapan'],'ID-AKREDITASI' => $this->arr_params['id_akreditasi'],'ID_FAKULTAS' => $this->arr_params['id_fakultas']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
		$filled = array('KELENGKAPAN' => $this->arr_params['kelengkapan'],'ID-AKREDITASI' => $this->arr_params['id_akreditasi'],'ID_FAKULTAS' => $this->arr_params['id_fakultas']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'verifikasi', array ($this->arr_params['id_fakultas'], $this->arr_params['id_akriditasi']));
		}
}


	private function HapusPeriodeStr(){
		$err = array();	
		$filled = array();	
		// check apakah statusnya sudah selesai
		$finished = $this->obj_evaluasi->GetDataAsArray("GetStatusSelesaiById", array($this->arr_params['id_periode']));
		if(!empty($finished)){
			if($finished[0]['status_selesai'] == 'yes' OR $finished[0]['status_evaluasi'] == 'yes'){
				$err[] = '<br /><strong>Kegiatan P2KB</strong> dalam periode ini telah dievaluasi atau dinyatakan selesai.';
			}
		}
		// check / validate parameter 
		if(empty($this->arr_params['id_periode'])){ $err[] = '<br /><strong>ID Periode</strong> bust be filled'; }
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['id_periode'], $this->str_userid);
			// execute process
			if($this->obj_evaluasi->ProcessingData("HapusPeriodeStr", $params)){		
				// notification message				
				self::SendNotification($err, $filled, 'Data has been deleted.', 'success');
				// save history
				$history['user'] = $this->str_userid;
				$history['target'] = "member";
				$history['title'] = "Penghapusan permohonan melakukan P2KB";
				$history['deskripsi'] = "Melakukan penghapusan terhadap data STR";
				$history['url_title'] = "Permohonan melakukan P2KB";
				$history['url_link'] = HTTPPATH . "index.php/private/cpd/rencana-diri/";
				$this->obj_evaluasi->AddActivitiesHistory($history);	
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'diri');
			}else{
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'hapus', array($this->arr_params['id_periode']));
			}	
		}else{
			// filled field with last input
			$filled = array();
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page ------------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'hapus', array($this->arr_params['id_periode']));
		}
	}
	
}
?>