<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_fakultas;
	private $obj_akademik;
	private $obj_notify;
	private $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'data');	
		
	}
	
	protected function PageLoad(){ 
		/*
		-- Other object loaded below 
		*/
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_akademik = $this->obj_ctrl->LoadBusiness('organisasi_dan_ketenagaan', 'mysql', $this->arr_config['db']);
		
		
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'save_pengiriman':
				self::SavePengirimanPpds();
				break;
			case 'save_updatepengiriman':
				self::UpdatePengirimanPpds();
				break;
			case 'delete_pengirimanPpds':
				self::DeletepengirimanPpds();
				break;
			case 'save_penerimaan':
				self::SavePenerimaanPpds();
				break;
			case 'save_updatepenerimaan':
				self::UpdatePenerimaanPpds();
				break;
			case 'delete_penerimaanPpds':
				self::DeletepenerimaanPpds();
				break;	
			case 'save_penerimaan_pps_lain':
				self::SavePenerimaanPpdsLain();
				break;
			case 'save_updatepenerimaan_pps_lain':
				self::UpdatePenerimaanPpdsLain();
				break;
			case 'delete_penerimaanPpdslain':
				self::DeletepenerimaanPpdsLain();
				break;	
			case 'save_pengiriman_pps_lain':
				self::SavePengirimanPpdsLain();
				break;
			case 'save_updatepengiriman_pps_lain':
				self::UpdatePengirimanPpdsLain();
				break;
			case 'delete_pengirimanPpdslain':
				self::DeletePengirimanPpdsLain();
				break;	
			case 'save_adaptasi':
				self::SaveAdaptasiPpds();
				break;
			case 'save_updateadaptasi':
				self::UpdateAdaptasiPpds();
				break;
			case 'delete_AdaptasiPpds':
				self::DeleteAdaptasiPpds();
				break;
			case 'save_publikasi':
				self::Savepublikasi();
				break;
			case 'save_updatepublikasi':
				self::Updatepublikasi();
				break;
			case 'delete_publikasi':
				self::Deletepublikasi();
				break;
			default:
				break;	
			default:
				break;
			

		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	private function SavePengirimanPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['kelengkapan'])){ $err[] = '<br /><strong>Kelengkapan data </strong> harus di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_tujuan'],$this->arr_params['nama'],
			$this->arr_params['kelengkapan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid);
			
			//print_r($params);exit;
			
			if($this->obj_fakultas->ProcessingRawData("SavePengirimanPpds", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdatePengirimanPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['kelengkapan'])){ $err[] = '<br /><strong>Kelengkapan data </strong> harus di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_tujuan'],$this->arr_params['nama'],
			$this->arr_params['kelengkapan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid,$this->arr_params['id']);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("UpdateDataPengirimanPpds", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("UpdateDataPengirimanPpds", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeletepengirimanPpds(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataTerimaPPSStudylainById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'studi_lain');
	}	
	
	
	
	
	
	private function SavePenerimaanPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['kelengkapan'])){ $err[] = '<br /><strong>Kelengkapan data </strong> harus di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_tujuan'],$this->arr_params['jml'],
			$this->arr_params['kelengkapan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid);
			
			//print_r($params);exit;
			
			if($this->obj_fakultas->ProcessingRawData("SavePenerimaanPpds", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'terima_studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'JML' => $this->arr_params['jml'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'JML' => $this->arr_params['jml'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'terima_studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdatePenerimaanPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['kelengkapan'])){ $err[] = '<br /><strong>Kelengkapan data </strong> harus di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_tujuan'],$this->arr_params['jml'],
			$this->arr_params['kelengkapan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid,$this->arr_params['id']);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("UpdateDataPengirimanPpds", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("UpdateDataPenerimaanPpds", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'terima_studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'JML' => $this->arr_params['jml'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'JML' => $this->arr_params['jml'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'terima_studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeletePenerimaanPpds(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataPenerimaanPPSStudylainById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'terima_studi_lain');
	}	
	
	
	
	
private function SavePenerimaanPpdsLain(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['program_study'])){ $err[] = '<br /><strong>Program Studi data </strong> Tidak Ada yang di pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['program_study'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid);
			
			//print_r($params);exit;
			
			if($this->obj_fakultas->ProcessingRawData("SavePenerimaanPpdsLain", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'ID_PROGRAM_STUDY' => $this->arr_params['id_program_study'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'ID_PROGRAM_STUDY' => $this->arr_params['id_program_study'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdatepenerimaanPpdsLain(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['program_study'])){ $err[] = '<br /><strong>Program Studi data </strong> Tidak Ada yang di pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['program_study'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid,$this->arr_params['id']);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("SaveUpdatePenerimaanPpdsLain", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("SaveUpdatePenerimaanPpdsLain", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_TUJUAN' => $this->arr_params['id_fakultas_tujuan'], 'NAMA' => $this->arr_params['nama'], 'KELENGKAPAN' => $this->arr_params['kelengkapan'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeletepenerimaanPpdsLain(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataTerimaPPSStudylainById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_studi_lain');
	}	
		
		

	
	
private function SavePengirimanPpdsLain(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['program_study'])){ $err[] = '<br /><strong>Program Studi data </strong> Tidak Ada yang di pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['program_study'],$this->arr_params['bidang'],$this->arr_params['pendidikan'],$this->arr_params['lama_pendidikan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("SavePengirimanPpdsLain", $params);
			if($this->obj_fakultas->ProcessingRawData("SavePengirimanPpdsLain", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'mengirim_ppslain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'PROGRAM_STUDY' => $this->arr_params['program_study'], 'BIDANG' => $this->arr_params['bidang'],'PENDIDIKAN' => $this->arr_params['pendidikan'], 'LAMA_PENDIDIKAN' => $this->arr_params['lama_pendidikan'],  'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'PROGRAM_STUDY' => $this->arr_params['program_study'], 'BIDANG' => $this->arr_params['bidang'],'PENDIDIKAN' => $this->arr_params['pendidikan'], 'LAMA_PENDIDIKAN' => $this->arr_params['lama_pendidikan'],  'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'mengirim_ppslain');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdatePengirimanPpdsLain(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['program_study'])){ $err[] = '<br /><strong>Kelengkapan data </strong> harus di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['program_study'],$this->arr_params['bidang'],$this->arr_params['pendidikan'],$this->arr_params['lama_pendidikan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid, $this->arr_params['id']);
			/*//$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_tujuan'],$this->arr_params['nama'],
			$this->arr_params['kelengkapan'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid,$this->arr_params['id']);*/
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("UpdateDataPengirimanPpds", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("UpdateDataPenerimaanPpdsLain", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'mengirim_ppslain');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'PROGRAM_STUDY' => $this->arr_params['program_study'], 'BIDANG' => $this->arr_params['bidang'],'PENDIDIKAN' => $this->arr_params['pendidikan'], 'LAMA_PENDIDIKAN' => $this->arr_params['lama_pendidikan'],  'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list');
			}	
		}else{
			$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'PROGRAM_STUDY' => $this->arr_params['program_study'], 'BIDANG' => $this->arr_params['bidang'],'PENDIDIKAN' => $this->arr_params['pendidikan'], 'LAMA_PENDIDIKAN' => $this->arr_params['lama_pendidikan'],  'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'mengirim_ppslain');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeletePengirimanPpdsLain(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataTerimaPPSStudylainById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'mengirim_ppslain');
	}	
			
			
			
//Peserta Adaptasi


	private function SaveAdaptasiPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['id_fakultas_asal'])){ $err[] = '<br /><strong>Fakultas Asal</strong> Belum di pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_asal'],$this->arr_params['nama'], $this->arr_params['lama_adaptasi'],
			$this->arr_params['masalah'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid);
			
			//print_r($params);
			//$this->obj_fakultas->debugquery("SavePesertaAdaptasi", $params);exit;
			if($this->obj_fakultas->ProcessingRawData("SavePesertaAdaptasi", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_ASAL' => $this->arr_params['id_fakultas_asal'], 'NAMA' => $this->arr_params['nama'], 'LAMA_ADAPTASI' => $this->arr_params['lama_adaptasi'], 'MASALAH' => $this->arr_params['masalah'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_ASAL' => $this->arr_params['id_fakultas_asal'], 'NAMA' => $this->arr_params['nama'], 'LAMA_ADAPTASI' => $this->arr_params['lama_adaptasi'], 'MASALAH' => $this->arr_params['masalah'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdateAdaptasiPpds(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['id_fakultas_asal'])){ $err[] = '<br /><strong>Fakultasi Asal</strong> Belum Di Pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['jenis'],$this->arr_params['status'],$this->arr_params['id_fakultas'],
			$this->arr_params['id_fakultas_asal'],$this->arr_params['nama'], $this->arr_params['lama_adaptasi'],
			$this->arr_params['masalah'],$this->arr_params['tgl_mulai'],$this->arr_params['tgl_selesai'],$this->str_userid, $this->arr_params['id'],);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("UpdateDataPengirimanPpds", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("UpdatePesetaAdaptasi", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
			}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_ASAL' => $this->arr_params['id_fakultas_asal'], 'NAMA' => $this->arr_params['nama'], 'LAMA_ADAPTASI' => $this->arr_params['lama_adaptasi'], 'MASALAH' => $this->arr_params['masalah'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
			}	
		}else{
				$filled = array('JENIS' => $this->arr_params['jenis'], 'STATUS' => $this->arr_params['status'], 'ID_FAKULTAS' => $this->arr_params['id_fakultas'], 
					'ID_FAKULTAS_ASAL' => $this->arr_params['id_fakultas_asal'], 'NAMA' => $this->arr_params['nama'], 'LAMA_ADAPTASI' => $this->arr_params['lama_adaptasi'], 'MASALAH' => $this->arr_params['masalah'], 'TGL_MULAI' => $this->arr_params['tgl_mulai'], 'TGL_SELESAI' => $this->arr_params['tgl_selesai']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeleteAdaptasiPpds(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataTerimaPPSStudylainById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'program_adaptasi');
	}	
	
private function SavePublikasi(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['nama_majalah'])){ $err[] = '<br /><strong>Nama Majalah</strong> Belum di isi'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['id_fakultas'],$this->arr_params['nama_majalah'], $this->arr_params['edisi'],$this->arr_params['judul'],
			$this->arr_params['penulis'], $this->arr_params['tahun_terbit']);
			
			//print_r($params);
			//$this->obj_fakultas->debugquery("SavePesertaAdaptasi", $params);exit;
			if($this->obj_fakultas->ProcessingRawData("InsertPublikasi", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
			}else{
				$filled = array('ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'NAMA' => $this->arr_params['nama'], 
						'JUDUL' => $this->arr_params['judul'], 'EDISI' => $this->arr_params['edisi'], 
						'PENULIS' => $this->arr_params['penulis'], 'TAHUN_TERBIT' => $this->arr_params['tahun_terit']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
			}	
		}else{
				$filled = array('ID_FAKULTAS' => $this->arr_params['id_fakultas'], 'NAMA' => $this->arr_params['nama'], 
						'JUDUL' => $this->arr_params['judul'], 'EDISI' => $this->arr_params['edisi'], 
						'PENULIS' => $this->arr_params['penulis'], 'TAHUN_TERBIT' => $this->arr_params['tahun_terit']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
		}
		/** Redirect result to default page */
	}
	
	
	private function UpdatePublikasi(){
		// check / validate parameter 		
		
		$err = array();	
		$filled = array();	
		
		// check / validate parameter 
		if(empty($this->arr_params['nama_majalah'])){ $err[] = '<br /><strong>Fakultasi Asal</strong> Belum Di Pilih'; }
		
		
		
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['nama_majalah'], $this->arr_params['edisi'],$this->arr_params['judul'],
			$this->arr_params['penulis'], $this->arr_params['tahun_terbit'], $this->arr_params['id']);
			
			//print_r($params);exit;
			//$this->obj_fakultas->debugquery("UpdateDataPengirimanPpds", $params); exit;
			if($this->obj_fakultas->ProcessingRawData("UpdatePublikasi", $params)){
				self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
			}else{
				$filled = array('NAMA' => $this->arr_params['nama'], 
						'JUDUL' => $this->arr_params['judul'], 'EDISI' => $this->arr_params['edisi'], 
						'PENULIS' => $this->arr_params['penulis'], 'TAHUN_TERBIT' => $this->arr_params['tahun_terit']);
				// error message
				self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
			}	
		}else{
				$filled = array('NAMA' => $this->arr_params['nama'], 
						'JUDUL' => $this->arr_params['judul'], 'EDISI' => $this->arr_params['edisi'], 
						'PENULIS' => $this->arr_params['penulis'], 'TAHUN_TERBIT' => $this->arr_params['tahun_terit']);
			// error message
			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
		}
		/** Redirect result to default page */
	}
	
	
	
	  private function DeletePublikasi(){
		// check / validate parameter 
		$err = array();	
		$filled = array();
		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>tidak ada yang terpilih</strong>'; }
		// processing --------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['downcheck'] as $id){
			//$this->obj_fakultas->debugquery("DeleteStaffIPDS", array($id)); exit;
				if($this->obj_fakultas->ProcessingData("HapusDataPublikasiById", array($id))){
					// notification message	
	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");
				}else{
					// error message
					self::SendNotification($err, array(), "Data gagal dihapus.", "error");
				}
			}				
		}else{
			// error message
			self::SendNotification($err, $filled, 'Anda tidak memilih data yang akan dihapus.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'publikasi');
	}	
				
								
				
		
}

?>