<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_info;
	private $obj_admin;
	private $obj_person;
	private $obj_date;
	private $obj_paging;
	private $obj_notify;
	// init variable
	private $int_page;
	private $int_fakultas;
	var $int_startdate;
	var $int_enddate;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_admin->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_info = $this->obj_ctrl->LoadBusiness('info', 'mysql', $this->arr_config['db']);
		$this->obj_info->UseQuery(array("berita"));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// load javascript
			
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('form_event');
		$this->obj_ctrl->LoadJavascript('tiny_mce','tiny_mce');
		// load style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');
	}
	
	public function PageView(){
		// display page link navigation
		self::DisplayPageLink();
		// display cek data admin
		self::DisplayCheckData();
		// display cek periode
		self::GetPeriode();
		// display cek periode
		self::DisplayListData();
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		// page
		$this->id_page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_tmpl->addVar('display', 'PAGE', $this->id_page);
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'basic', 'ipds',array ($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_STAFF', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'organisasi','struktural', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'fasilitas','ruangan', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'rs_pendidikan','utama', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_PSTDIDIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'evaluasi_pps','studi_lain', array ($this->arr_routes['params'][0])));
	// url
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add', '-', $this->id_page)));
		$this->obj_tmpl->addVar('content', 'URL_PENGIRIMAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'studi_lain', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_PENERIMAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'terima_studi_lain', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_PENERIMAANPPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program_studi_lain', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_PENGIRIMANPPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'mengirim_ppslain', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_PROGRAMADABTASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program_adaptasi', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('content', 'URL_PUBLIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'publikasi', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		// kalender
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
	}
	
	private function GetPeriode(){
		$id_periode = $this->arr_routes['params'][0];
		$result = $this->obj_admin->GetDataAsSingleArray("GetListPeriodeEvaluasi", array($id_periode));
		if(!empty($result)){
			$this->int_startdate = $result['tgl_mulai'];
			$this->int_enddate = $result['tgl_selesai'];
			$this->obj_tmpl->addVar('content', 'PERIODE', $this->obj_date->GetFullDate($result['tgl_mulai']).' s/d '. $this->obj_date->GetFullDate($result['tgl_selesai']));
			//$this->obj_tmpl->addVar('display', 'INT_PERIODE', $this->int_periode);
			
		}
	}
	
	private function DisplayCheckData(){
		// cek data admin
		$result = $this->obj_admin->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
		// cek data ppds lain
		$result = $this->obj_admin->GetDataAsSingleArray("CheckPPSStudylainByPeriode", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas));
		if(!empty($result)){
			$this->obj_tmpl->SetAttribute('informasi', 'visibility', 'hidden');
			$this->int_fakultas = $result['id_fakultas'];
		}
	}
	
	private function DisplayListFakultas($int_fakultas){
		$rs_id = $this->obj_admin->GetResourceId("GetListTerimaFakultas", array());
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($rec['id_fakultas'] == $int_fakultas)
					$this->obj_tmpl->addVar('list_fakultas', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_fakultas', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_fakultas', 'NO', $no);
				$this->obj_tmpl->addVar('list_fakultas', 'ID', $rec['id_fakultas']);
				$this->obj_tmpl->addVar('list_fakultas', 'NAMA', $rec['nama']);
				$this->obj_tmpl->parseTemplate('list_fakultas', 'a');
				$no++;
			}
		}
	}
	
	private function DisplayListData(){
		// activated template
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// set active page number
		$this->obj_paging->SetPagesNumber($this->id_page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_admin->GetDataAsSingleArray("CountLisTerimaPPSStudylainById", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('-', '-', '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		//$this->obj_admin->debugquery("GetLisTerimaPPSStudylainByPeriode", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas,$start, $max));
		
		$result = $this->obj_admin->GetDataAsSingleArray("GetLisTerimaPPSStudylainByPeriode", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas,$start, $max));
		
		if(!empty($result)){
			$this->obj_tmpl->addVar('display', strtoupper(trim($result['status'])), 'checked="checked"');
			if($result['status']=='Tidak')
				$this->obj_tmpl->addVar('display', 'DISPLAY', 'style="display:none"');
			else
				$this->obj_tmpl->addVar('display', 'DISPLAY', 'style="display:block"');	
		}
		//$this->obj_admin->debugquery("GetLisTerimaPPSStudylainByPeriode", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas,$start, $max));
		$rs_id = $this->obj_admin->GetResourceId("GetLisTerimaPPSStudylainByPeriode", array($this->int_startdate,$this->int_enddate, $this->int_startdate,$this->int_enddate,$this->int_fakultas,$start, $max));
		$no = $start + 0;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('edit', $rec['id'], $this->id_page));
				$this->obj_tmpl->addVar('list_data', 'INDEX', $no);
				$this->obj_tmpl->addVar('list_data', 'NO', $no + 1);
				$this->obj_tmpl->addVar('list_data', 'ID', $rec['id']);	
				$this->obj_tmpl->addVar('list_data', 'FK', $rec['id_fakultas_tujuan']);	
				$this->obj_tmpl->addVar('list_data', 'FK', self::GetNamaFK($rec['id_fakultas_tujuan']));	
				$this->obj_tmpl->addVar('list_data', 'JML', $rec['jml_peserta']);
				$this->obj_tmpl->addVar('list_data', 'KELENGKAPAN', $rec['kelengkapan']);
				$this->obj_tmpl->addVar('list_data', 'PERIODE', $this->obj_date->GetShortDate($rec['tgl_mulai_pendidikan']).
				' s/d '.$this->obj_date->GetShortDate($rec['tgl_akhir_pendidikan']));
				$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);
				$this->obj_tmpl->ParseTemplate('list_data', 'a');	
				$no++;
			}
		}
		$this->obj_tmpl->addVar('display', 'TOTAL_DATA', $no);	
	}
	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function GetNamaFK($id_fakultas){
		//get data fakultas
			$str_fk = '';
			//$this->obj_admin->debugquery("GetDataFKById", array($id_fakultas));
			$result = $this->obj_admin->GetDataAsSingleArray("GetDataFKById", array($id_fakultas));
			if(!empty($result))
				return $str_fk = $result['nama'];
			else
				return $str_fk = '';
	}
}

?>

