<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_fakultas;
	private $obj_person;
	private $int_fakultas;
	private $obj_registrasi;
	private $obj_date;
	private $obj_evaluasi;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('fakultas','hospital','program_studi'));
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayPageLink();
		// display template (add, view, edit)
		self::DisplayDataFakultas();
		self::TemplateToDisplay();
		
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
			// url
			$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'basic', 'ipds',array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_STAFF', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'organisasi','struktural', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'fasilitas','ruangan', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'rs_pendidikan','utama', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('content', 'URL_PSTDIDIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'evaluasi_pps','studi_lain', array ($this->arr_routes['params'][0])));
			$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		
	}
	
	private function DisplayDataFakultas(){
		if(isset($this->arr_routes['params'][1])){
			$res = $this->obj_fakultas->GetDataAsSingleArray("GetDetailFakultasById", array($this->arr_routes['params'][1]));
			if(!empty($res)){
				$this->obj_tmpl->addVar('content', 'NAMA_FAKULTAS', $res['nama']);
				$this->obj_tmpl->addVar('content', 'ID_FAKULTAS', $res['id_fakultas']);
			}
		}
	}
	private function TemplateToDisplay(){
		$view = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:'-');
		switch($view){
			case 'add':
				// add form
				self::DisplayAddForm();
				break;
			case 'edit':
				// edit form
				self::DisplayEditForm();
				break;
			default:
				// list data
				self::DisplayListData();
				self::GetListRuangDiskusi();
				self::GetlistPerpusBuku();
				self::GetlistPerpusMajalah();
				break;
		}
		
	}
	

	private function DisplayListData(){
			$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
		// activated template
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// set active page number
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("CountRuangSeminarLimit", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->str_userid,'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		//$this->obj_fakultas->debugquery("GetListRuangSeminarLimit", array($this->str_userid,$start, $max));
		$rs_id = $this->obj_fakultas->GetResourceId("GetListRuangSeminarLimit", array($this->str_userid,$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'ruang_seminar', array('edit', $rec['id_ruang_seminar'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_data', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'ID', $rec['id_ruang_seminar']);	
				$this->obj_tmpl->addVar('list_data', 'KODE_RUANGAN', $rec['no_ruangan']);
				$this->obj_tmpl->addVar('list_data', 'KAPASITAS', $rec['kapasitas']);
				$this->obj_tmpl->addVar('list_data', 'DALAM', $rec['dalam']);
				$this->obj_tmpl->addVar('list_data', 'LUAR', $rec['luar']);
				$img =HTTPPATH.'doc/temp/yes.png';
				$this->obj_tmpl->addVar('list_data',  strtoupper($rec['umum']), '<img src="'.$img.'" />');
				$this->obj_tmpl->addVar('list_data', 'S'.strtoupper($rec['Spesialis']), '<img src="'.$img.'" />');
				
				$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);
				//$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'laporan', array($rec['id_hospital'],$rec['id_program']));
				//$this->obj_tmpl->addVar('list_data', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->ParseTemplate('list_data', 'a');	
				$no++;
			}
		}
		
	}
	
	
	
	private function GetListRuangDiskusi(){
	//$this->obj_tmpl->addVar('display', 'TOTAL_DATA', $no);	
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			//$this->int_propinsi = $result['id_fakultas'];
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
		}
		
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("CountRuangDiskusiLimit", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->str_userid,'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination2');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		//$this->obj_fakultas->debugquery("GetListRuangDiskusiLimit", array($this->str_userid));
		$rs_id = $this->obj_fakultas->GetResourceId("GetListRuangDiskusiLimit", array($this->str_userid));
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'ruang_diskusi', array('edit', $rec['id_ruang_diskusi'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_diskusi', 'INDEX', $no+1);
				$this->obj_tmpl->addVar('list_diskusi', 'NO', $no);
				$this->obj_tmpl->addVar('list_diskusi', 'ID', $rec['id_ruang_diskusi']);	
				$this->obj_tmpl->addVar('list_diskusi', 'KODE_RUANGAN', $rec['no_ruangan']);
				$this->obj_tmpl->addVar('list_diskusi', 'KAPASITAS', $rec['kapasitas']);
				$this->obj_tmpl->addVar('list_diskusi', 'DALAM', $rec['dalam']);
				$this->obj_tmpl->addVar('list_diskusi', 'LUAR', $rec['luar']);
				$this->obj_tmpl->addVar('list_diskusi', 'UMUM', $rec['umum']);
				$img =HTTPPATH.'doc/temp/yes.png';
				$this->obj_tmpl->addVar('list_diskusi', strtoupper($rec['umum']), '<img src="'.$img.'" />');
				//$this->obj_tmpl->addVar('list_diskusi',  strtoupper($rec['umum']), '<img src="'.$img.'" />');
				$this->obj_tmpl->addVar('list_diskusi', 'S'.strtoupper($rec['Spesialis']), '<img src="'.$img.'" />');
				
				//$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'laporan', array($rec['id_hospital'],$rec['id_program']));
				//$this->obj_tmpl->addVar('list_data', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->ParseTemplate('list_diskusi', 'a');	
				$no++;
			}
		}
		
		}
		
		
		
	private function GetlistPerpusBuku(){
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("CountbukuLimit", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->str_userid,'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination3');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		//$this->obj_fakultas->debug("GetTotalPerpustakaanBuku", array($this->str_userid));
	$result = $this->obj_fakultas->GetDataAsSingleArray("GetTotalPerpustakaanBuku", array($this->int_fakultas));
		if(!empty($result)){
		//print_r($result['TOTAL_BUKU']);
		$this->obj_tmpl->addVar('jumlah_buku','TOTAL_BUKU', $result['TOTAL_BUKU']);
		}
		//$this->obj_paging->SetTotalRecord($result['TOTAL_BUKU']);
		$rs_id = $this->obj_fakultas->GetResourceId("GetListRuangPerpustakaanBuku", array($this->str_userid,$start,$max));
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'perpustakaan', array('edit', $rec['id_perpustakaan'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_buku', 'INDEX', $no+1);
				$this->obj_tmpl->addVar('list_buku', 'NO', $no);
				$this->obj_tmpl->addVar('list_buku', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_buku', 'PENGARANG', $rec['pengarang']);
				$this->obj_tmpl->addVar('list_buku', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_buku', 'EDISI', $rec['edisi']);
				$this->obj_tmpl->addVar('list_buku', 'tahun', $rec['tahun']);
				$this->obj_tmpl->addVar('list_buku', 'URL_DETAIL', $url);
				//$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'laporan', array($rec['id_hospital'],$rec['id_program']));
				//$this->obj_tmpl->addVar('list_data', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->ParseTemplate('list_buku', 'a');	
				$no++;
			}
			}
		
	}	
	
	private function GetlistPerpusMajalah(){
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("CountMajalah", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->str_userid,'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination4');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		$result = $this->obj_fakultas->GetDataAsSingleArray("GetTotalPerpustakaanMajalah", array($this->str_userid));
		if(!empty($result)){
		//print_r($result['TOTAL_BUKU']);
		$this->obj_tmpl->addVar('jumlah_majalah','TOTAL_MAJALAH', $result['TOTAL_MAJALAH']);
		}
		//$this->obj_fakultas->GetResourceId("GetListRuangPerpustakaanMajalah", array($this->str_userid));
		$rs_id = $this->obj_fakultas->GetResourceId("GetListRuangPerpustakaanMajalah", array($this->str_userid,$start,$max));
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'perpustakaan', array('edit', $rec['id_perpustakaan'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_majalah', 'INDEX', $no +1);
				$this->obj_tmpl->addVar('list_majalah', 'NO', $no);
				$this->obj_tmpl->addVar('list_majalah', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_majalah', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_majalah', 'EDISI', $rec['edisi']);
				$this->obj_tmpl->addVar('list_majalah', 'tahun', $rec['tahun']);
				$this->obj_tmpl->addVar('list_majalah', 'URL_DETAIL', $url);
				//$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'laporan', array($rec['id_hospital'],$rec['id_program']));
				//$this->obj_tmpl->addVar('list_data', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->ParseTemplate('list_majalah', 'a');	
				$no++;
		}
		}
	
	}
	
	
	
	
	
	private function DisplayAddForm(){
		// activated template
		$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', 'class="tab-nav-active"');
		$this->obj_tmpl->addVar('display', 'view', 'add');
		//$this->obj_tmpl->addVar('display', 'ID_HOSPITAL' ,$this->arr_routes['params'][1]);
		$url_list = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'ruang_seminar', array('-', $this->str_userid,'-'));
		$this->obj_tmpl->addVar('content', 'URL_VIEW' , $url_list);
		
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->arr_routes['params'][1]));
		if(!empty($result)){
			//$this->int_propinsi = $result['id_fakultas'];
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
			$this->obj_tmpl->addVar('display', 'FAKULTAS', $result['nama']);
		}
		
	}
	
	private function DisplayEditForm(){
		// activated template
		$str_link_list = '<li><a href="#" onclick="return false" class="tab-nav-active">Edit</a></li>';
		$url_list = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'ruang_seminar', array('_', $this->str_userid,'-'));
		$this->obj_tmpl->addVar('content', 'URL_VIEW' , $url_list);
		$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" onclick="return false" class="tab-nav-active">Edit </a></li>');
		
		$arr_par = explode("_",$this->arr_routes['params'][2]);
		//$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" class="tab-nav-active">Edit</a></li>');
		$this->obj_tmpl->addVar('display', 'view', 'edit');
		// parse data	
		//$params = array($arr_par[0], $arr_par[1], $arr_par[2]);
		//$page = array($this->arr_routes['params'][2]);	
		$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('edit', $this->arr_routes['params'][1],$this->arr_routes['params'][2]));
		$url_program = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program', array($this->arr_routes['params'][1]));
		$this->obj_tmpl->addVar('display', 'URL_EDIT', $url_edit);
		$this->obj_tmpl->addVar('display', 'URL_PROGRAM', $url_program);
		$result = $this->obj_fakultas->GetDataAsSingleArray('GetDetailRuangSeminar',array($this->str_userid));
		if(!empty($result)){
		
				$this->obj_tmpl->addVar('display', 'ID', $result['id_ruang_seminar']);	
				$this->obj_tmpl->addVar('display', 'KODE_RUANGAN', $result['no_ruangan']);
				$this->obj_tmpl->addVar('display', 'KAPASITAS', $result['kapasitas']);
				$this->obj_tmpl->addVar('display', 'DALAM', $result['dalam']);
				$this->obj_tmpl->addVar('display', 'LUAR', $result['luar']);
				
				$this->obj_tmpl->addVar('display', 'MDD', $this->obj_date->GetFullDate($result['mdd'], "in"));
				
			$admin = $this->obj_person->GetDataAsSingleArray("GetNameById", array($result['mdb']));
			if(!empty($admin)){
				$this->obj_tmpl->addVar('display', 'MDB', $admin['fullname']);
			}	
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $this->arr_routes['params'][2]);	
		}
	}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
