<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_evaluasi;
	private $obj_fakultas;
	private $obj_person;
	private $obj_registrasi;
	private $obj_date;
	private $int_fakultas;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('fakultas','hospital','program_studi'));
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayPageLink();
		// display template (add, view, edit)
		self::DisplayDataFakultas();
		//self::TemplateToDisplay();
		self::DisplayListData();
		self::GetListPrasaranaUtama();
		self::GetlistPerpusBuku();
		//self::GetlistPerpusMajalah();
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
			// url
			$this->obj_tmpl->addVar('content', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'basic_kol','ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_BASIC', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_VERIFIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'verifikasi',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_PPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'fakultas',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'rs_pendidikan_kol', 'utama',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'fasilitas_kol', 'ruangan',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KETENAGAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'organisasi_kol','staff', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KURIKULUM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'kurikulum','view', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
			
	// Ambil Parameter		
	$this->int_fakultas = $this->arr_routes['params'][0];	
	}
	
	private function DisplayDataFakultas(){
		if(isset($this->arr_routes['params'][1])){
			$res = $this->obj_fakultas->GetDataAsSingleArray("GetDetailFakultasById", array($this->arr_routes['params'][0]));
			if(!empty($res)){
				$this->obj_tmpl->addVar('content', 'NAMA_FAKULTAS', $res['nama']);
				$this->obj_tmpl->addVar('content', 'ID_FAKULTAS', $res['id_fakultas']);
			}
		}
		/*$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminByAut", array($this->int_fakultas));
			if($result['id_auth']== '8'){
		$this->obj_tmpl->setAttribute('add', 'visibility', 'show');
		}else{
		$this->obj_tmpl->setAttribute('add', 'visibility', 'hidden'); 
		}*/
	}

	

	private function DisplayListData(){
		$this->int_fakultas = $this->arr_routes['params'][0];
		
		// activated template
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// set active page number
		// set active page number
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetTotalRuangDosenLimit", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array($this->arr_routes['params'][0],$this->arr_routes['params'][1],'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination_dosen');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListRuangDosenLimit", array($this->arr_routes['params'][0],$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$this->obj_tmpl->addVar('list_data', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'ID', $rec['id_ruang_dosen']);	
				$this->obj_tmpl->addVar('list_data', 'NAMA_RUANGAN', $rec['nama_ruangan']);
				$this->obj_tmpl->addVar('list_data', 'JML_RUANGAN', $rec['jml_ruangan']);
				$this->obj_tmpl->addVar('list_data', 'LUAS_RUANGAN', $rec['luas_ruangan']);
				$this->obj_tmpl->ParseTemplate('list_data', 'a');	
				$no++;
			}
		}
		
	}
	
	
	
	private function GetListPrasaranaUtama(){
	//$this->obj_tmpl->addVar('display', 'TOTAL_DATA', $no);	
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetTotalPrasaranaUtama", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL_UTAMA']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array($this->arr_routes['params'][0],$this->arr_routes['params'][1],'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination2');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListPrasaranaUtama", array($this->arr_routes['params'][0],$start, $max));
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$this->obj_tmpl->addVar('list_prutama', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_prutama', 'NO', $no);
				$this->obj_tmpl->addVar('list_prutama', 'ID', $rec['id_prasarana']);	
				$this->obj_tmpl->addVar('list_prutama', 'JENIS_PRASARANA', $rec['jenis_prasarana']);
				$this->obj_tmpl->addVar('list_prutama', 'JML_UNIT', $rec['jml_unit']);
				$this->obj_tmpl->addVar('list_prutama', 'TOTAL_LUAS', $rec['total_luas']);
				$this->obj_tmpl->addVar('list_prutama', 'UTILISASI', $rec['utilisasi']);
				$img =HTTPPATH.'doc/temp/yes.png';
				$this->obj_tmpl->addVar('list_prutama', strtoupper($rec['kepemilikan']), '<img src="'.$img.'" />');
				$this->obj_tmpl->addVar('list_prutama', strtoupper($rec['kodisi']), '<img src="'.$img.'" />');
				$this->obj_tmpl->ParseTemplate('list_prutama', 'a');	
				$no++;
			}
		}
		
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetTotalPrasaranaPenunjang", array($this->arr_routes['params'][1]));
		$this->obj_paging->SetTotalRecord($result['TOTAL_PENUNJANG']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->arr_routes['params'][0],'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination_penunjang');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListPrasaranaPenunjang", array($this->arr_routes['params'][0],$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'ruang_seminar', array('edit', $rec['id_prasarana'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_penunjang', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_penunjang', 'NO', $no);
				$this->obj_tmpl->addVar('list_penunjang', 'ID', $rec['id_prasarana']);	
				$this->obj_tmpl->addVar('list_penunjang', 'JENIS_PRASARANA', $rec['jenis_prasarana']);
				$this->obj_tmpl->addVar('list_penunjang', 'JML_UNIT', $rec['jml_unit']);
				$this->obj_tmpl->addVar('list_penunjang', 'TOTAL_LUAS', $rec['total_luas']);
				$this->obj_tmpl->addVar('list_penunjang', 'UTILISASI', $rec['utilisasi']);
				$img =HTTPPATH.'doc/temp/yes.png';
				$this->obj_tmpl->addVar('list_penunjang', strtoupper($rec['kepemilikan']), '<img src="'.$img.'" />');
				$this->obj_tmpl->addVar('list_penunjang', strtoupper($rec['kodisi']), '<img src="'.$img.'" />');
				
				$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);
				//$url_laporan = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'laporan', array($rec['id_hospital'],$rec['id_program']));
				//$this->obj_tmpl->addVar('list_data', 'URL_LAPORAN', $url_laporan);
				$this->obj_tmpl->ParseTemplate('list_penunjang', 'a');	
				$no++;
			}
		}
		
		}
		
		
		
	private function GetlistPerpusBuku(){
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		
		//$this->obj_fakultas->debugquery("GetTotalPustakaById", array($this->arr_routes['params'][1]));exit;
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetTotalPustakaById", array($this->arr_routes['params'][1]));
		$this->obj_paging->SetTotalRecord($result['TOTAL_PUSTAKA']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-',$this->arr_routes['params'][1],'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination_pustaka');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		// parsing data

		$rs_id = $this->obj_fakultas->GetResourceId("GetListPustakaById", array($this->int_fakultas));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				
				$this->obj_tmpl->addVar('list_perpus', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_perpus', 'NO', $no);
				$this->obj_tmpl->addVar('list_perpus', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_perpus', 'NAMA_PUSTAKA', $rec['nama_pustaka']);
				

		$rs_id2 = $this->obj_fakultas->GetResourceId("GetTotalPustakaById", array($this->int_fakultas, $rec['id_pustaka']));	
			if($rs_id2){
			while($rec2 = mysqli_fetch_assoc($rs_id2)){
				$this->obj_tmpl->addVar('list_perpus', 'TOTAL', $rec2['total_buku']);
				$this->obj_tmpl->ParseTemplate('list_perpus', 'a');	
				$no++;
						}
					}
				
				}
						
			}
			
		$rs_id = $this->obj_fakultas->GetResourceId("GetListPustakaByJenisNasional", array($this->int_fakultas,$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'perpustakaan', array('edit', $rec['id_perpustakaan'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_buku', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_buku', 'NO', $no);
				$this->obj_tmpl->addVar('list_buku', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_buku', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_buku', 'EDISI', $rec['edisi']);
				$this->obj_tmpl->addVar('list_buku', 'TAHUN', $rec['tahun']);
				$this->obj_tmpl->addVar('list_buku', 'JUMLAH', $rec['jumlah']);
				$this->obj_tmpl->addVar('list_buku', 'URL_DETAIL', $url);
				$this->obj_tmpl->ParseTemplate('list_buku', 'a');	
				$no++;
			}
		}
		
		$rs_id = $this->obj_fakultas->GetResourceId("GetListPustakaByJenisInt", array($this->int_fakultas,$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'perpustakaan', array('edit', $rec['id_perpustakaan'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_bukuin', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_bukuin', 'NO', $no);
				$this->obj_tmpl->addVar('list_bukuin', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_bukuin', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_bukuin', 'EDISI', $rec['edisi']);
				$this->obj_tmpl->addVar('list_bukuin', 'TAHUN', $rec['tahun']);
				$this->obj_tmpl->addVar('list_bukuin', 'JUMLAH', $rec['jumlah']);
				$this->obj_tmpl->ParseTemplate('list_bukuin', 'a');	
				$no++;
			}
		}
	}	
	
	
	private function GetlistPerpusMajalah(){
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("CountMajalah", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array($this->arr_routes['params'][0],$this->arr_routes['params'][1],'')));
		// set template
		//$this->obj_paging->SetTempatePaging('pagination4');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetTotalPerpustakaanMajalah", array($this->arr_routes['params'][0]));
		if(!empty($result)){
		//print_r($result['TOTAL_BUKU']);
		$this->obj_tmpl->addVar('jumlah_majalah','TOTAL_MAJALAH', $result['TOTAL_MAJALAH']);
		}
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListRuangPerpustakaanMajalah", array($this->arr_routes['params'][0]));
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'perpustakaan', array('edit', $rec['id_perpustakaan'],$rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_majalah', 'INDEX', $no +1);
				$this->obj_tmpl->addVar('list_majalah', 'NO', $no);
				$this->obj_tmpl->addVar('list_majalah', 'ID', $rec['id_perpustakaan']);	
				$this->obj_tmpl->addVar('list_majalah', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_majalah', 'EDISI', $rec['edisi']);
				$this->obj_tmpl->addVar('list_majalah', 'tahun', $rec['tahun']);
				$this->obj_tmpl->addVar('list_majalah', 'URL_DETAIL', $url);
				$this->obj_tmpl->ParseTemplate('list_majalah', 'a');	
				$no++;
		}
		}
	
	}
	
	

	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
