<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_kurikulum;
	private $obj_paging;
	private $obj_date;
	private $obj_notify;
	private $int_fakultas;
	private $int_status;
	private $str_person;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_kurikulum = $this->obj_ctrl->LoadBusiness('kurikulum', 'mysql', $this->arr_config['db']);
		
		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
      self::DisplayNotification();
      self::DisplayPageLink();
      self::DisplayRedirect();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
	
		// kalender
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
		$year = date('Y');
		$this->obj_tmpl->addVar('content', 'YEAR_RANGE', ($year - 50) . ':' . ($year + 20));
		// head menu
		$this->obj_tmpl->addVar('content', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  'basic_kol','ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_VERIFIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'verifikasi',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_PPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'fakultas',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'rs_pendidikan_kol', 'utama',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'fasilitas_kol', 'ruangan',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KETENAGAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'organisasi_kol','staff', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add')));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params'][0],$this->arr_routes['params'][1])));
		$this->obj_tmpl->addVar('content', 'URL_PETA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params'][0],$this->arr_routes['params'][1],'peta')));		
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->int_status = ((isset($this->arr_routes['params'][2]))?$this->arr_routes['params'][2]:0);
		$this->str_person = ((isset($this->arr_routes['params'][0]))?$this->arr_routes['params'][0]:'');
		
		$this->int_fakultas = $this->arr_routes['params'][0];
	}

   private function DisplayRedirect() {
      if (isset($this->arr_routes['params']['2']) && $this->arr_routes['params']['2'] == "peta") {
          self::DisplayPetaForm(); 
		} else {
         self::DisplayListArchive();
      }
   }
   
	private function DisplayListArchive(){
		/*$result = $this->obj_kurikulum->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		//$this->obj_kurikulum->DebugQuery("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
			}else{
			$this->int_fakultas = 0;	
				
		}*/
		//$this->obj_tmpl->setAttribute('sidebar','visibility','hidden');
  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');

		if(!isset($this->arr_routes['params']['1'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['1'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$this->obj_paging->SetTotalRecord($this->obj_kurikulum->CountKurikulum(array($this->int_fakultas)));
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
			//$this->obj_kurikulum->debugquery("GetListSemester", array($this->int_fakultas ));
			$kurikulum = $this->obj_kurikulum->GetDatasetAsArray("GetListSemester", array($this->int_fakultas ));
			foreach($kurikulum as $key=>$value) {	
			$this->obj_tmpl->addVar('list_data', 'SMT', $value['semester']);
			
				//$this->obj_kurikulum->debugquery("GetKurikulum", array($this->int_fakultas , $value['semester'],$start, $max));	
				$kurikulum2 = $this->obj_kurikulum->GetDatasetAsArray("GetKurikulum", array($this->int_fakultas , $value['semester'],0, $max));
				$no = 1;
				foreach($kurikulum2 as $key=>$value2) {
					$href1 = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array("edit", $value2['id']));
					$this->obj_tmpl->addVar('list_data', 'KODE_MK', $value2['kode_modul']);
					$this->obj_tmpl->addVar('list_data', 'ID', $value2['id']);
					$this->obj_tmpl->addVar('list_data', 'MODUL', $value2['nama']);
					$this->obj_tmpl->addVar('list_data', 'SKS', $value2['bb_sks']);
					$this->obj_tmpl->addVar('list_data', 'BOBOT', $value2['bb_tugas']);
					$this->obj_tmpl->addVar('list_data', 'UNIT', $value2['unit']);
					$img =HTTPPATH.'doc/temp/yes.png';
					$this->obj_tmpl->addVar('list_data', strtoupper($value2['sks_kurikulum']), '<img src="'.$img.'" />');
					$this->obj_tmpl->addVar('list_data', strtoupper($value2['kelengkapan']), '<img src="'.$img.'" />');
					$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $href1);
					$this->obj_tmpl->ParseTemplate('list_data', 'a');
					$no++;
				}
				
			}
	}

	
	
	private function DisplayPetaForm(){
  		$this->obj_tmpl->addVar('content', 'PETA', 'class="tab-nav-active"');
		$this->obj_tmpl->addVar('display', 'view', 'peta');
		if(!isset($this->arr_routes['params']['0'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['0'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$this->obj_paging->SetTotalRecord($this->obj_kurikulum->CountKurikulum(array()));
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		/*$result = $this->obj_kurikulum->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		//$this->obj_kurikulum->DebugQuery("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			}else{
			$this->int_fakultas = 0;	
				
		}*/
		
		$ipds = $this->arr_routes['params']['0'];
		$kurikulum = $this->obj_kurikulum->GetDatasetAsArray("GetPetaKurikulum", array($ipds ,0, 10000));
		//$this->obj_kurikulum->DebugQuery("GetKurikulum", array($start, $max));
		//$this->obj_kurikulum->DebugQuery("CountKurikulum", array());
		$color = 'bgcolor="#006600"';
		$data = '<td class="content-center" bgcolor="#006600" ></td>';
		//$data = "0";
		$arr_col = array(1=>'SATU',2=>'DUA',3=>'TIGA',4=>'EMPAT',5=>'LIMA',6=>'ENAM',7=>'TUJUH',8=>'DELAPAN',9=>'SEMBILAN',10=>'SEPULUH',11=>'SEBELAS');
		//echo($arr_col[1]);
      	$no = 1;
		foreach($kurikulum as $key=>$value) {
			$href1 = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array("edit_peta", $value['id']));
			
			// display last update
			$person = $this->obj_kurikulum->GetDataAsSingleArray("GetPersonNameById", array($value['mdb']));
			//$this->obj_kurikulum->DebugQuery("GetPersonNameById", array($value['mdb']));
			$this->obj_tmpl->addVar('list_peta', 'MDD', $this->obj_date->GetFullDate($person['mdd']));
			$this->obj_tmpl->addVar('list_peta', 'MDB', $person['fullname']);
			// --
			//$this->obj_tmpl->addVar('list_peta', 'NO', $no + $start);
			$this->obj_tmpl->addVar('list_peta', 'NO', $no );
			$this->obj_tmpl->addVar('list_peta', 'ID', $value['id']);	
			$this->obj_tmpl->addVar('list_peta', 'MODUL', $value['nama']);
				if(!empty($value['semester'])){	
					$sem = explode('#',$value['semester']);
					$angka ='';
					if(isset($sem[0])){
						
						foreach($sem as $index => $fill){
							$angka =  $sem[$index];
							$this->obj_tmpl->addVar('list_peta', $arr_col[$angka], $color);
						}
					}else{
							//echo $value['semester'];
							$this->obj_tmpl->addVar('list_peta', $arr_col[$value['semester']],$color);
					}
				}	
			
			
			$this->obj_tmpl->addVar('list_peta', 'URL_EDIT', $href1);
			$this->obj_tmpl->ParseTemplate('list_peta', 'a');
			$no++;
		}
	}	
	
	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>