<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	
	private $obj_person;
	private $obj_evaluasi;
	private $obj_notify;
	private $obj_date;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load javascript 
		$this->obj_ctrl->LoadJavascript('jquery-1.3.2', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display list periode
		self::DisplayListPeriode();
		//self::DisplayPeriode();
		// display notification
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('add')));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list'));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		// kalender
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
	}
	
	
	
	private function DisplayListPeriode(){		
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		//print_r ($this->arr_routes ['params']['0']);
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListPeriodeEvaluasiByIpds", array($this->arr_routes ['params']['0']));
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NO', $no );
				$this->obj_tmpl->addVar('list_periode', 'ID', $rec['id_akreditasi']);	
				//$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['nama']);
				//$this->obj_tmpl->addVar('list_periode', 'KETERANGAN', $rec['keterangan']);
				$this->obj_tmpl->addVar('list_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai']));
				$this->obj_tmpl->addVar('list_periode', 'TGL_AKHIR', $this->obj_date->GetFullDate($rec['tgl_selesai']));
				//$this->obj_tmpl->addVar('list_periode', 'TGL_PROSES', $this->obj_date->GetFullDate($rec['tgl_proses']));
				//$this->obj_tmpl->addVar('list_periode', 'KUOTA', $rec['kuota']);
				$this->obj_tmpl->addVar('list_periode', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'basic_kol', 'ipds', array($this->arr_routes ['params']['0'],$rec['id_akreditasi'])));
				$this->obj_tmpl->ParseTemplate('list_periode', 'a');
				$no++;
			}
		}
	}
	

	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>