<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_akademik;
	private $obj_registrasi;
	private $obj_paging;
	private $obj_fakultas;
	private $obj_admin;
	private $int_fakultas;
	private $obj_date;
	private $obj_notify;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_akademik = $this->obj_ctrl->LoadBusiness('organisasi_dan_ketenagaan', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('fakultas'));
		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		$this->obj_ctrl->LoadJavascript('tiny_mce');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
      self::DisplayNotification();
      self::DisplayPageLink();
        //self::GetPeriode();
	    self::DisplayListArchive();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'basic_kol', 'ipds',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_VERIFIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi', 'verifikasi',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_PPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'evaluasi_pps_kol', 'studi_lain',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'rs_pendidikan_kol', 'utama',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'fasilitas_kol', 'ruangan',array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		$this->obj_tmpl->addVar('content', 'VIEW_KETENAGAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],'organisasi_kol','struktural', array($this->arr_routes ['params']['0'],$this->arr_routes ['params']['1'])));
		// parse LINK
		$this->obj_tmpl->addVar('content', 'URL_ANGGOTA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],  'list_staff', array($this->str_userid)) );
		$this->obj_tmpl->addVar('content', 'URL_STRUKTURAL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'struktural', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])));
			$this->obj_tmpl->addVar('content', 'URL_AKADEMIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'staff', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])) );
		$this->obj_tmpl->addVar('content', 'URL_DEVISI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'sub_bagian', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])) );
		$this->obj_tmpl->addVar('content', 'URL_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'staff_rspendidikan', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])) );
		$this->obj_tmpl->addVar('content', 'URL_PROFESI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'staff_ahli_lain', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])) );
		$this->obj_tmpl->addVar('content', 'URL_KARYA_TULIS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'karya_ilmiah', array($this->arr_routes['params'][0],$this->arr_routes['params'][1])) );
		
		
	}

  
   private function GetPeriode(){
	
		$id_periode = $this->arr_routes['params'][1];
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetListPeriodeEvaluasi", array($id_periode));
		if(!empty($result)){
			$this->int_startdate = $result['tgl_mulai'];
			$this->int_enddate = $result['tgl_selesai'];
			$this->obj_tmpl->addVar('content', 'PERIODE', $this->obj_date->GetFullDate($result['tgl_mulai']).' s/d '. $this->obj_date->GetFullDate($result['tgl_selesai']));
					
		}
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
		
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminByAut", array($this->str_userid));
			if($result['id_auth']== '8'){
		$this->obj_tmpl->setAttribute('add', 'visibility', 'show');
		}else{
		$this->obj_tmpl->setAttribute('add', 'visibility', 'hidden'); 
		}
	}
	
	
	private function DisplayListArchive(){
  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_evaluasi->GetDataAsSingleArray("CountTulis", array($this->arr_routes['params'][0]));
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array($this->arr_routes['params'][0],$this->arr_routes['params'][1],'')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListKaryaTulisByIpds", array($this->arr_routes['params']['0'],$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
			$this->obj_tmpl->addVar('list_data', 'NO', $no);
			$this->obj_tmpl->addVar('list_data', 'ID_KARAYA', $rec['id_judul']);
			$this->obj_tmpl->addVar('list_data', 'JENIS', $rec['jenis_buku']);
			$this->obj_tmpl->addVar('list_data', 'JUDUL', $rec['judul']);
			$this->obj_tmpl->addVar('list_data', 'NAMA', $rec['nama']);
			$this->obj_tmpl->addVar('list_data', 'TAHUN', $rec['tahun']);
			$this->obj_tmpl->addVar('list_data', 'INDEX', $no);
			$this->obj_tmpl->ParseTemplate('list_data', 'a');
			$no++;
			//$num++;
		}
	}	
}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>