<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_registrasi;
	private $obj_person;
	private $obj_date;
	// init variable
	private $int_fakultas = 0;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display get propinsi
		self::GetPropinsi();
		// display list periode
		self::DisplayListPeriode();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){

	}
	
	private function GetPropinsi(){
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
		}
	}
	
	private function DisplayListPeriode(){	
		$pelamar = 0;
		$kelengkapan = 0;
		$administratif = 0;	
		// parse data
		$rs_id = $this->obj_registrasi->GetResourceId("GetListPeriodePendaftaran", array());
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NO', $no . '.');
				$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['nama']);
				$this->obj_tmpl->addVar('list_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));
				$this->obj_tmpl->addVar('list_periode', 'TGL_TUTUP', $this->obj_date->GetFullDate($rec['tgl_akhir'], 'ins'));
				// jumlah pelamar
				$jumlah = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranByParam", array($rec['id_periode'], $this->int_fakultas));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'JUMLAH', $jumlah['total']);
				$pelamar += $jumlah['total'];
				// jumlah lulus kelengkapan
				$jumlah = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranLengkapByParam", array($rec['id_periode'], $this->int_fakultas));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'KELENGKAPAN', $jumlah['total']);
				$kelengkapan += $jumlah['total'];
				// jumlah lulus administratif
				$lengkap = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranAdministratifByParam", array($rec['id_periode'], $this->int_fakultas));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'ADMINISTRASI', $jumlah['total']);
				$administratif += $jumlah['total'];
				// url
				$this->obj_tmpl->addVar('list_periode', 'URL_EDIT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'seleksi_periode', array($rec['id_periode'])));
				// append
				$this->obj_tmpl->ParseTemplate('list_periode', 'a');
				$no++;
			}
		}
		// jumlah total
		$pelamar = (empty($pelamar)?'-':$pelamar);
		$kelengkapan = (empty($kelengkapan)?'-':$kelengkapan);
		$administratif = (empty($administratif)?'-':$administratif);
		$this->obj_tmpl->addVar('content', 'JUMLAH', $pelamar);
		$this->obj_tmpl->addVar('content', 'KELENGKAPAN', $kelengkapan);
		$this->obj_tmpl->addVar('content', 'ADMINISTRASI', $administratif);
	}
}

?>