<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_registrasi;
	private $obj_evaluasi;
	private $obj_person;
	private $obj_date;
	private $obj_notify;
	// init variable
	private $int_fakultas = 0;
	private $int_periode = 0;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('penerimaan'));
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display get propinsi
		self::GetFakultas();
		// display get periode
		self::GetPeriode();
		// display list periode
		self::DisplayListTest();
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
			// url
			$this->obj_tmpl->addVar('content', 'URL_PERIODE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'periode'));
			$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
	}
	
	private function GetFakultas(){
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
	}
	
	private function GetPeriode(){
		$id_periode = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetDetailPeriodePendaftaranById", array($id_periode));
		if(!empty($result)){
			$this->int_periode = $result['id_periode'];
			$this->obj_tmpl->addVar('content', 'PERIODE', $this->obj_date->GetFullDate($result['tgl_mulai']).' s/d '. $this->obj_date->GetFullDate($result['tgl_akhir']));
			$this->obj_tmpl->addVar('display', 'INT_PERIODE', $this->int_periode);
			
		}
	}
	private function DisplayListTest(){	
		$pelamar = 0;
		$kelengkapan = 0;
		$administratif = 0;	
		// parse data
		$rs_id = $this->obj_evaluasi->GetResourceId("GetListJenisTesBy", array());
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NOMOR', $no . '.');
				$this->obj_tmpl->addVar('list_periode', 'ID', $rec['id_step']);
				$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['judul']);
				
				// cek proses tes pendaftaran
				$periksa = $this->obj_evaluasi->GetDataAsSingleArray("GetListJenisTesByIdPeriode", array($this->int_periode,$rec['id_step']));
				if(!empty($periksa)){
					$this->obj_tmpl->addVar('list_periode', strtoupper($periksa['complete']), 'checked="checked"');
				}else{
					$this->obj_tmpl->addVar('list_periode', 'NO', 'checked="checked"');
				}
				
				$this->obj_tmpl->ParseTemplate('list_periode', 'a');
				$no++;
			}
		}
		// jumlah total
		$pelamar = (empty($pelamar)?'-':$pelamar);
		$kelengkapan = (empty($kelengkapan)?'-':$kelengkapan);
		$administratif = (empty($administratif)?'-':$administratif);
		$this->obj_tmpl->addVar('content', 'JUMLAH', $pelamar);
		$this->obj_tmpl->addVar('content', 'KELENGKAPAN', $kelengkapan);
		$this->obj_tmpl->addVar('content', 'ADMINISTRASI', $administratif);
	}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>