<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_akademik;
	private $obj_paging;
	private $int_fakultas;
	private $obj_evaluasi;
	private $obj_date;
	private $obj_notify;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_akademik = $this->obj_ctrl->LoadBusiness('organisasi_dan_ketenagaan', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_evaluasi->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		
		
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		$this->obj_ctrl->LoadJavascript('tiny_mce');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
      self::DisplayNotification();
      self::DisplayPageLink();
      self::DisplayRedirect();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add', $this->str_userid)));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		$this->obj_tmpl->addVar('content', 'URL_IPDS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'ipds',  'fakultas','list'));
		$this->obj_tmpl->addVar('content', 'URL_FASILITAS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'ipds',  'fakultas','ruang_seminar', array ('-',$this->str_userid)));
		$this->obj_tmpl->addVar('content', 'URL_RSPENDIDIKAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'ipds',  'fakultas','rumahsakit', array ('-',$this->str_userid)));
		$this->obj_tmpl->addVar('content', 'URL_PSTDIDIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'evaluasi','pps','studi_lain'));
		$this->obj_tmpl->addVar('content', 'URL_STAFF', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'ipds',  'staff','list_staff'));
		
		// url
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add')));
		$this->obj_tmpl->addVar('content', 'URL_PENGIRIMAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'studi_lain'));
		$this->obj_tmpl->addVar('content', 'URL_PENERIMAAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'terima_studi_lain'));
		$this->obj_tmpl->addVar('content', 'URL_PENERIMAANPPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program_studi_lain'));
		$this->obj_tmpl->addVar('content', 'URL_PENGIRIMANPPS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'mengirim_ppslain'));
		$this->obj_tmpl->addVar('content', 'URL_PROGRAMADABTASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program_adaptasi'));
		$this->obj_tmpl->addVar('content', 'URL_PUBLIKASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'publikasi'));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTENAMA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'ipds', 'staff', 'detail-nama-staf'));
	// kalender
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
	}

   private function DisplayRedirect() {
      if (isset($this->arr_routes['params']['0']) && $this->arr_routes['params']['0'] == "add") {
         self::DisplayAddForm();
		 //self::DisplayListArchive();
      } else if (isset($this->arr_routes['params']['0']) && $this->arr_routes['params']['0'] == "edit") {
         self::DisplayEditForm();
      } else {
         self::DisplayListArchive();
      }
   }
   
	private function DisplayListArchive(){
  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// Get Parameter IPDS
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
		
		if(!isset($this->arr_routes['params']['0'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['0'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_evaluasi->GetDataAsSingleArray("CountDataPublikasi", array($this->int_fakultas));
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		$rs_id = $this->obj_evaluasi->GetResourceId("GetDataPublikasi", array($this->int_fakultas,$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
			$this->obj_tmpl->addVar('list_data', 'NO', $no);
			$this->obj_tmpl->addVar('list_data', 'ID', $rec['id']);
			$this->obj_tmpl->addVar('list_data', 'JENIS', $rec['nama_majalah']);
			$this->obj_tmpl->addVar('list_data', 'JUDUL', $rec['judul_tesis']);
			$this->obj_tmpl->addVar('list_data', 'EDISI', $rec['edisi']);
			$this->obj_tmpl->addVar('list_data', 'PENULIS', $rec['penulis']);
			$url_edit=$this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'publikasi', array('edit',$rec['id']));
			$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $url_edit);
			$this->obj_tmpl->addVar('list_data', 'INDEX', $no);
			//$this->obj_tmpl->addVar('list_staff', 'NO', $num);
			
			//$this->obj_tmpl->addVar('list_staff', 'URL_EDIT', $href1);
			$this->obj_tmpl->ParseTemplate('list_data', 'a');
			$no++;
			//$num++;
		}
	}	
}
	private function DisplayAddForm(){
		// activated template
		$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', 'class="tab-nav-active"');
		$this->obj_tmpl->addVar('display', 'view', 'add');
		// Get Parameter IPDS
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetAdminFakultasById", array($this->str_userid));
		if(!empty($result)){
			$this->int_fakultas = $result['id_fakultas'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);
		}
		
	
		
	}
	
	private function DisplayEditForm(){
		// activated template
		$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" class="tab-nav-active">Edit</a></li>');
		$this->obj_tmpl->addVar('display', 'view', 'edit');
		// parse data	
		 // $this->obj_akademik->debugquery("GetDataPublikasiById", array($this->arr_routes['params']['1']));
		$result = $this->obj_evaluasi->GetDataAsSingleArray("GetDataPublikasiById", array($this->arr_routes['params']['1']));
		
			$this->obj_tmpl->addVar('display', 'ID', $result['id']);
			$this->obj_tmpl->addVar('display', 'JENIS', $result['nama_majalah']);
			$this->obj_tmpl->addVar('display', 'JUDUL', $result['judul_tesis']);
			$this->obj_tmpl->addVar('display', 'EDISI', $result['edisi']);
			$this->obj_tmpl->addVar('display', 'PENULIS', $result['penulis']);
			$this->obj_tmpl->addVar('display', 'TAHUN', $result['tahun_terbit']);
			
		
		
		
	}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>