<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object
	protected $obj_forum;
	protected $obj_notify;
	// post
	protected $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'topic');	
	}
	
	protected function PageLoad(){ 
		/* -- Other object loaded below */
		// load business
		$this->obj_forum = $this->obj_ctrl->LoadBusiness('forum', 'mysql', $this->arr_config['db']);
		$loaded_query = array('konsultasi');
		$this->obj_forum->SetUsesBusinessQuery($loaded_query);
		// --
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'update_allowed':
				self::UpdateAllowedView();
				break;
			case 'search':
				self::SearchData();
				break;
			case 'post':
				self::PostConsultation();
				break;
			default:
				break;
		}
	}
	
	/*
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	private function SearchData(){
		//$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];
	}
	
	
	private function PostConsultation(){
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		//if(empty($this->arr_params['id_cat'])){ $err[] = '<br /><b>Kategori</b> tidak terpilih'; }
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><b>Nama</b> harus diisi'; }
		if(empty($this->arr_params['gender'])){ $err[] = '<br /><b>Jenis kelamin</b> harus diisi'; }
		if(empty($this->arr_params['umur'])){ $err[] = '<br /><b>Umur</b> harus diisi'; }
		if(empty($this->arr_params['tinggi'])){ $err[] = '<br /><b>Tinggi</b> harus diisi'; }
		if(empty($this->arr_params['berat'])){ $err[] = '<br /><b>Berat</b> harus diisi'; }
		if(empty($this->arr_params['judul'])){ $err[] = '<br /><b>Judul</b> harus diisi'; }
		if(empty($this->arr_params['thread'])){ $err[] = '<br /><b>Kansultasi</b> harus diisi'; }
		if(empty($this->arr_params['email'])){ 
			$err[] = '<br /><strong>Email baru</strong> harus diisi'; 
		}else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Format Email</b> tidak diperkenankan';
			}
		}
		// id city
		$kota = $this->obj_forum->GetDataAsSingleArray("GetIdCityByName", (array(trim($this->arr_params['kota']))));
		if(empty($kota['id_city'])){ $err[] = '<br /><strong>Kota</strong> tidak ditemukan'; }
		// kode validasi
		if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
		}
		// processing --------------------------------------------------
		if(empty($err)){			
			// pendidikan
			$params = array($this->arr_params['nama'], $this->arr_params['berat'], $this->arr_params['tinggi'], $this->arr_params['umur'], $kota['id_city'], $this->arr_params['gender'], $this->arr_params['email'], $this->arr_params['judul'], $this->arr_params['thread']);
			// processing data
			//$this->obj_forum->DebugQuery("PostKonsultasi", $params);exit;
			if($this->obj_forum->ProcessingData("PostKonsultasi", $params)){
				// redirect page
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array($this->arr_params['id_cat'], 'saved'));	
			}else{
				$filled = array("REPLY" => $this->arr_params['reply']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
			}
		}else{
			$filled = array("NAMA" => $this->arr_params['nama'], "UMUR" => $this->arr_params['umur'], "TINGGI" => $this->arr_params['tinggi'], "BERAT" => $this->arr_params['berat'], "EMAIL" => $this->arr_params['email'], "JUDUL" => $this->arr_params['judul'], "THREAD" => $this->arr_params['thread'], "KOTA" => $this->arr_params['kota'], $this->arr_params['gender'] => 'selected="selected"');
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
		}
		// redirect page
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array($this->arr_params['id_cat']));	
	}
}

?>