<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_forum;
	protected $obj_notify;
	protected $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_forum = $this->obj_ctrl->LoadBusiness('forum', 'mysql', $this->arr_config['db']);
		$loaded_query = array('konsultasi');
		$this->obj_forum->SetUsesBusinessQuery($loaded_query);
		// load library
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');		
	}
	
	public function PageView(){	
		// display variable
		self::DisplayVariable();
		// display kategori
		self::DisplayDetailKategori();
		// display notification
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'thread_form');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// url
		$this->obj_tmpl->addVar('content', 'URL_KATEGORI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category'));	
		$this->obj_tmpl->addVar('content', 'URL_LIST', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'topic'));	
		//$this->obj_tmpl->addVar('content', 'URL_TOPIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'topic', array($this->arr_routes['params'][0])));
		$this->obj_tmpl->addVar('thread_form', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	
		//$this->obj_tmpl->addVar('thread_form', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array($this->arr_routes['params'][0])));	
		
		$this->obj_tmpl->addVar('thread_form', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array()));	
		
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		// --
		if(isset($this->arr_routes['params'][1]) AND $this->arr_routes['params'][1] == 'saved'){
			$this->obj_tmpl->addVar('thread_form', 'display', 'saved');	
		}
	}
	
	private function DisplayDetailKategori(){
		$id_cat = 0;
		if(isset($this->arr_routes['params'][0])){ $id_cat = $this->arr_routes['params'][0];}
		// parameter
		$params = array($id_cat);
		// get data
		$result = $this->obj_forum->GetDataAsSingleArray("GetDetailKategoriKonsultasiById", $params);
		// parse data
		$no = 1;
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'KATEGORI', $result['nama']);
			$this->obj_tmpl->addVar('thread_form', 'ID_CAT', $result['id_cat']);
		}
	}
}

?>