<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_overview;
	protected $obj_forum;
	protected $obj_notify;
	protected $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_forum = $this->obj_ctrl->LoadBusiness('forum', 'mysql', $this->arr_config['db']);
		$loaded_query = array('konsultasi');
		$this->obj_forum->SetUsesBusinessQuery($loaded_query);
		// --
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
	}
	
	public function PageView(){
		// display variable
		self::DisplayVariable();
		// display kategori
		self::DisplayDetailKategori();
		// display kategori
		self::DisplayDetailTopik();
		// display topik
		self::DisplayListReply();
		// display notification
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// url
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	
		$this->obj_tmpl->addVar('content', 'URL_KATEGORI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category'));	
		$this->obj_tmpl->addVar('content', 'URL_TOPIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'topic', array($this->arr_routes['params'][0])));	
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array($this->arr_routes['params'][0])));	
	}
	
	private function DisplayDetailKategori(){
		$id_cat = 0;
		if(isset($this->arr_routes['params'][0])){ $id_cat = $this->arr_routes['params'][0];}
		// parameter
		$params = array($id_cat);
		// get data
		$result = $this->obj_forum->GetDataAsSingleArray("GetDetailKategoriKonsultasiById", $params);
		// parse data
		$no = 1;
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'KATEGORI', $result['nama']);
			$this->obj_tmpl->addVar('content', 'ID_CAT', $result['id_cat']);
		}
	}
	
	private function DisplayDetailTopik(){
		$id_topik = 0;
		if(isset($this->arr_routes['params'][1])){ $id_topik = $this->arr_routes['params'][1];}
		// parameter
		$params = array($id_topik);
		// get data
		$result = $this->obj_forum->GetDataAsSingleArray("GetDetailTopikKonsultasiById", $params);
		// parse data
		$no = 1;
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'TANGGAL_KIRIM', $this->obj_date->GetFullDate($result['mdd'], 'ins'));
			$this->obj_tmpl->addVar('content', 'JUDUL', $result['judul']);
			$this->obj_tmpl->addVar('content', 'PENGIRIM', $result['pengirim']);
			$this->obj_tmpl->addVar('content', 'GENDER', ucwords($result['gender']));
			$this->obj_tmpl->addVar('content', 'TINGGI', $result['tinggi']);
			$this->obj_tmpl->addVar('content', 'BERAT', $result['berat']);
			$this->obj_tmpl->addVar('content', 'UMUR', $result['umur']);
			$this->obj_tmpl->addVar('content', 'EMAIL', $result['email']);
			$this->obj_tmpl->addVar('content', 'KOTA', $result['kota']);
			$this->obj_tmpl->addVar('content', 'KONSULTASI', nl2br($result['konsultasi']));
			$this->obj_tmpl->addVar('content', 'ID_TOPIK', $result['id_topik']);
			if($result['allowed'] == 'yes')
				$this->obj_tmpl->addVar('content', 'CHECKED', 'checked="checked"');
			else
				$this->obj_tmpl->addVar('content', 'CHECKED', '');
		}
	}
	
	private function DisplayListReply(){
		$id_topik = 0;
		if(isset($this->arr_routes['params'][1])){ $id_topik = $this->arr_routes['params'][1];}
		// parameter
		$params = array($id_topik);
		// get data
		$rs_id = $this->obj_forum->GetResourceId("GetListReplyKonsultasiByTopik", $params);
		// parse data
		$no = 1;
		if($rs_id){
			$tmp = "";
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_reply', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));
				// --
				$this->obj_tmpl->addVar('list_reply', 'ID', $no);
				$this->obj_tmpl->addVar('list_reply', 'NAMA_LENGKAP', $rec['nama_lengkap']);
				$this->obj_tmpl->addVar('list_reply', 'EMAIL', $rec['email']);
				$this->obj_tmpl->addVar('list_reply', 'ANSWER', nl2br($rec['content']));
				$this->obj_tmpl->addVar('list_reply', 'POST_DATE', $this->obj_date->GetFullDate($rec['mdd'], 'ins'));
				// photo
				$photo_path = "doc/person/".$rec['id_person']."/foto/".$rec['photo'];
				if(is_file($photo_path))
					$this->obj_tmpl->addVar('list_reply', 'PHOTOPATH', HTTPPATH.$photo_path);
				else
					$this->obj_tmpl->addVar('list_reply', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");
				// url
				$this->obj_tmpl->ParseTemplate('list_reply', 'a');
				$no++;
			}
		}
	}
}

?>