<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_forum;
	protected $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_forum = $this->obj_ctrl->LoadBusiness('forum', 'mysql', $this->arr_config['db']);
		$loaded_query = array('konsultasi');
		$this->obj_forum->SetUsesBusinessQuery($loaded_query);
		// --
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		// display variable
		self::DisplayVariable();
		// display kategori
		self::DisplayDetailKategori();
		// display topik
		self::DisplayListTopik();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayVariable(){
		// url
		$this->obj_tmpl->addVar('content', 'URL_KATEGORI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category'));	
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread-form', array()));
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	
		// keyword
		if(isset($_SESSION['search']['keyword'])){
			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";
			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);
		}else{
			$this->str_keyword = "%%";
		}	
	}
	
	private function DisplayDetailKategori(){
		$id_cat = 0;
		if((isset($this->arr_routes['params'][0]))?$this->arr_routes['params'][0]:'');
		// parameter
		$params = array($id_cat);
		// get data
		$result = $this->obj_forum->GetDataAsSingleArray("GetDetailKategoriKonsultasiById", $params);
		// parse data
		$no = 1;
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'KATEGORI', $result['nama']);
			$this->obj_tmpl->addVar('content', 'ID_CAT', $result['id_cat']);
		}
	}
	
	private function DisplayListTopik(){
		$id_cat = '';
		if((isset($this->arr_routes['params'][0]))?$this->arr_routes['params'][0]:'');
		// parameter
		$params ='';
		$params = array($this->str_keyword);
		// get data
		//$this->obj_forum->DebugQuery("GetListTopikKonsultasiByKategoriPublic2", $params);exit;
		$rs_id = $this->obj_forum->GetResourceId("GetListTopikKonsultasiByKategoriPublic2", $params);
		// parse data
		$no = 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'thread', array($id_cat, $rec['id_topik']));
				// parse
				$this->obj_tmpl->addVar('list_kategori', 'NO', $no);
				$this->obj_tmpl->addVar('list_kategori', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_kategori', 'DESKRIPSI', $rec['konsultasi']);
				$this->obj_tmpl->addVar('list_kategori', 'TANGGAL_KIRIM', $this->obj_date->GetFullDate($rec['post_date']));
				$this->obj_tmpl->addVar('list_kategori', 'PENGIRIM', $rec['pengirim']);
				$this->obj_tmpl->addVar('list_kategori', 'GENDER', ucwords($rec['gender']));
				$this->obj_tmpl->addVar('list_kategori', 'TINGGI', $rec['tinggi']);
				$this->obj_tmpl->addVar('list_kategori', 'BERAT', $rec['berat']);
				$this->obj_tmpl->addVar('list_kategori', 'TOTAL_REPLY', intval($rec['total_answer']));
				if(!empty($rec['konsultan'])){
					$this->obj_tmpl->addVar('list_kategori', 'KONSULTAN', "By : " . $rec['konsultan']);
					$this->obj_tmpl->addVar('list_kategori', 'LAST_DATE_ANSWER', $this->obj_date->GetFullDate($rec['last_date_answer']));
				}
				$this->obj_tmpl->addVar('list_kategori', 'URL_REPLY', $url);
				$this->obj_tmpl->ParseTemplate('list_kategori', 'a');
				$no++;
			}
		}
	}
}

?>