<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 	
	private $obj_dashboard;
	private $obj_date;
	private $obj_maps;
	// init variable
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('pelamar', 'peserta', 'spesialis'));
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('spesialistik'));
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_maps = $this->obj_ctrl->LoadLibrary('FusionMaps');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery-1.2.3', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.easynews', 'jquery');
		$this->obj_ctrl->LoadJavascript('fusionmaps');
		// load style
		$this->obj_ctrl->LoadStyle('style/css/easynews', 'easynews');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// list periode
		self::DisplayListPeriode();
		// list map peserta
		self::DisplayMapPeserta();
		// list map spesialis
		self::DisplayKebutuhanSpesialisPerPropinsi();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// page link
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_PELAMAR', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'pelamar', 'periode'));
		$this->obj_tmpl->addVar('content', 'URL_PESERTA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'peserta', 'map'));
		$this->obj_tmpl->addVar('content', 'URL_KEBUTUHAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'spesialis', 'map'));
	}
	
	private function DisplayListPeriode(){
		$rs_id = $this->obj_dashboard->GetResourceId("GetListPeriodeDashboard", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['nama']);
				$this->obj_tmpl->addVar('list_periode', 'BEASISWA', (empty($rec['kuota'])?'-':$rec['kuota']));
				$this->obj_tmpl->addVar('list_periode', 'PELAMAR', (empty($rec['pelamar'])?'-':$rec['pelamar']));
				$this->obj_tmpl->addVar('list_periode', 'DITERIMA', (empty($rec['diterima'])?'-':$rec['diterima']));
				$this->obj_tmpl->addVar('list_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));
				$this->obj_tmpl->addVar('list_periode', 'TGL_AKHIR', $this->obj_date->GetFullDate($rec['tgl_akhir'], 'ins'));
				// url
				$this->obj_tmpl->addVar('list_periode', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'pelamar', 'statistik-periode', array($rec['id_periode'])));
				$this->obj_tmpl->parseTemplate('list_periode', 'a');
			}
		}
	}
	
	private function DisplayMapPeserta(){
		// init var
		$flag = HTTPPATH.'doc/temp/logo/';
		$marker_definition = '';
		$marker_application = '';
		$marker_shape = '';
		// get data
		$rs_id = $this->obj_dashboard->GetResourceId("GetListFakultasWithPeserta", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$jumlah = intval($rec['jumlah']);
				// url
				//$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/'.$this->arr_routes['module'],'list_periode_fakultas'
				$url_link = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list_periode_fakultas', array($rec['id_fakultas']));
				// marker
				$marker_definition .= "<marker id='".$rec['nama_singkat']."' x='".$rec['x']."' y='".$rec['y']."' label='".$jumlah."' labelPos='".$rec['label_pos']."' />";
				$marker_application .= "<marker id='".$rec['nama_singkat']."' shapeId='".$rec['nama_singkat']."_FLAG' toolText='".$rec['nama_singkat']." : ".$jumlah." diterima' link='".$url_link."' />";
				// shape
				$marker_shape .= "<shape id='".$rec['nama_singkat']."_FLAG' type='image' url='".$flag."/".strtolower($rec['nama_singkat']).".jpg' labelPadding='8' />";
			}
		}
		// map elemen
		$strXML = "<map animation='1' showShadow='0' showBevel='0' showMarkerLabels='1' baseFontColor='333333' fillColor='58B15A' fillAlpha='100' borderColor='156100' baseFontSize='10' bgColor='37ADFF, FFFFFF' bgAlpha='30,30' showToolTip='0' showMarkerToolTip='1' showLabels='0' useHoverColor='0' showLegend='0'>";
		// Setting colors and parameter
		$strXML .= "<data>";		
		$strXML .= "</data>";	
		$strXML .= "<markers>";	
		$strXML .= "<definition>";	
		$strXML .= $marker_definition;
		$strXML .= "</definition>";	
		$strXML .= "<application>";	
		$strXML .= $marker_application;
		$strXML .= "</application>";
		$strXML .= "<shapes>";
		$strXML .= $marker_shape;
		$strXML .= "</shapes>";
		$strXML .= "</markers>";
		$strXML .= "<styles>";
		$strXML .= "<definition>";
		$strXML .= "<style name='TTipFont' type='font' isHTML='1'  color='FFFFFF' bgColor='666666' size='10'/>";
		$strXML .= "<style name='myShadow' type='Shadow' distance='1'/>";
		$strXML .= "<style name='HTMLFont' type='font' color='333333' borderColor='CCCCCC' bgColor='FFFFFF'/>";
		$strXML .= "<style type='animation' name='animX' param='_xscale' start='0' duration='1' />";
		$strXML .= "<style type='animation' name='animY' param='_yscale' start='0' duration='1' />";
		$strXML .= "</definition>";
		$strXML .= "<application>";
		$strXML .= "<apply toObject='TOOLTIP' styles='TTipFont' />";
		$strXML .= "<apply toObject='MARKERS' styles='myShadow' />";
		$strXML .= "<apply toObject='MARKERLABELS' styles='HTMLFont,myShadow' />";
		$strXML .= "<apply toObject='PLOT' styles='animX,animY' />";
		$strXML .= "</application>";
		$strXML .= "</styles>";
		$strXML .= "</map>"; 	
		// print out maps
		$maps = $this->obj_maps->UseMap('FCMap_Indonesia');
		$print_maps = $this->obj_maps->renderMap($maps, "", $strXML, "Peserta", 500, 300, 0, 0);
		$this->obj_tmpl->addVar('content', 'MAP_PESERTA', $print_maps);
	}
	
	
	private function DisplayKebutuhanSpesialisPerPropinsi(){
		$total = 0;
		$data = '';
		// get data
		$rs_id = $this->obj_summary->GetResourceId("GetChartKebutuhanSpesialistik", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'spesialis', 'statistik-propinsi', array($rec['id_province']));
				$data .= "<entity id='".$rec['id_internal']."' value='".intval($rec['jumlah'])."' link='".$url."' fontColor='1A4989' fontBold='1' />";
				$total = $total + intval($rec['jumlah']);
			}
		}	
		// map elemen
		$strXML = "<map animation='1' showShadow='0' showBevel='0' fillColor='58B15A' fillAlpha='100' borderColor='156100' baseFontSize='9' bgColor='37ADFF, FFFFFF' bgAlpha='30,30' showToolTip='1' showLabels='1' legendPosition='Bottom' useHoverColor='1' hoverColor='127C01'>";
		// Setting colors and parameter
		$strXML .= "<colorRange>";
		$strXML .= "<color minValue='1' maxValue='20' displayValue='1 - 20' color='FFFBC2' />";
		$strXML .= "<color minValue='21' maxValue='50' displayValue='20 - 50' color='FFEF3F' />";
		$strXML .= "<color minValue='51' maxValue='100' displayValue='51 - 100' color='FEA044' />";
		$strXML .= "<color minValue='101' maxValue='10000' displayValue='Diatas 100' color='FF6060' />";
		$strXML .= "</colorRange>";
		$strXML .= "<data>";
		$strXML .= $data;
		$strXML .= "</data>";
		$strXML .= "<styles>";
		$strXML .= "<definition>";
		$strXML .= "<style name='TTipFont' type='font' color='000000' bgColor='FFFFFF' borderColor='F4D78A' />";
		$strXML .= "<style type='animation' name='animX' param='_xscale' start='0' duration='1' />";
		$strXML .= "<style type='animation' name='animY' param='_yscale' start='0' duration='1' />";
		$strXML .= "</definition>";
		$strXML .= "<application>";
		$strXML .= "<apply toObject='TOOLTIP' styles='TTipFont' />";
		$strXML .= "<apply toObject='PLOT' styles='animX,animY' />";
		$strXML .= "</application>";
		$strXML .= "</styles>";
		$strXML .= "</map>";
		// print out maps
		$maps = $this->obj_maps->UseMap('FCMap_Indonesia');
		$print_maps = $this->obj_maps->renderMap($maps, "", $strXML, "Spesialis", 500, 300, 0, 0);
		$this->obj_tmpl->addVar('content', 'MAP_SPESIALIS', $print_maps);
	}
	
	/*
	private function DisplayMapSpesialis(){
		$total = 0;
		$data = '';
		// get data
		$rs_id = $this->obj_dashboard->GetResourceId("GetKebutuhanSpesialisPerPropinsi", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'dashboard', 'spesialis', 'statistik-propinsi', array($rec['id_province']));
				$data .= "<entity id='".$rec['id_internal']."' value='".intval($rec['jumlah'])."' link='".$url."' />";
				$total = $total + intval($rec['jumlah']);
			}
		}	
		// map elemen
		$strXML = "<map animation='1' showShadow='0' showBevel='0' fillColor='58B15A' fillAlpha='100' borderColor='156100' baseFontSize='9' bgColor='37ADFF, FFFFFF' bgAlpha='30,30' showToolTip='1' showLabels='1' legendPosition='Bottom' useHoverColor='1' hoverColor='127C01'>";
		// Setting colors and parameter
		$strXML .= "<colorRange>";
		$strXML .= "<color minValue='1' maxValue='19' displayValue='Dibawah 20' color='FFFBC2' />";
		$strXML .= "<color minValue='20' maxValue='50' displayValue='20 - 50' color='FFEF3F' />";
		$strXML .= "<color minValue='51' maxValue='100' displayValue='51 - 100' color='FEA044' />";
		$strXML .= "<color minValue='101' maxValue='10000' displayValue='Diatas 100' color='FF6060' />";
		$strXML .= "</colorRange>";
		$strXML .= "<data>";
		$strXML .= $data;
		$strXML .= "</data>";
		$strXML .= "<styles>";
		$strXML .= "<definition>";
		$strXML .= "<style name='TTipFont' type='font' color='000000' bgColor='FFFFFF' borderColor='F4D78A' />";
		$strXML .= "<style type='animation' name='animX' param='_xscale' start='0' duration='1' />";
		$strXML .= "<style type='animation' name='animY' param='_yscale' start='0' duration='1' />";
		$strXML .= "</definition>";
		$strXML .= "<application>";
		$strXML .= "<apply toObject='TOOLTIP' styles='TTipFont' />";
		$strXML .= "<apply toObject='PLOT' styles='animX,animY' />";
		$strXML .= "</application>";
		$strXML .= "</styles>";
		$strXML .= "</map>";
		// print out maps
		$maps = $this->obj_maps->UseMap('FCMap_Indonesia');
		$print_maps = $this->obj_maps->renderMap($maps, "", $strXML, "Spesialis", 500, 300, 0, 0);
		$this->obj_tmpl->addVar('content', 'MAP_SPESIALIS', $print_maps);
	}*/
}

?>