<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_registrasi;
	private $obj_fakultas;
	private $obj_person;
	private $obj_date;
	private $obj_summary;
	// init variable
	private $int_propinsi = 0;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_summary = $this->obj_ctrl->LoadBusiness('summary', 'mysql', $this->arr_config['db']);
		$this->obj_summary->UseQuery(array('pendaftaran'));
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('propinsi', 'periode'));
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('fakultas'));
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		$this->obj_maps = $this->obj_ctrl->LoadLibrary('FusionMaps');	
		// fusioncharts object loaded
		$param['type'] = '';
		$param['width'] = '';
		$param['height'] = '';
		$param['ID'] = '';
		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display get propinsi
		self::GetFakultas();
		// display list periode
		self::DisplayListPeriode();
		// display list residen
		self::DisplayResidenByFKSemester();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){

	}
	
	private function GetFakultas(){
		$rs = $this->obj_fakultas->GetResourceId("DataIpdsByRSPendidikan", array($this->arr_routes['params'][0]));
		if($rs){
			while($result = mysqli_fetch_assoc($rs)){
				$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama_fk']);
				$this->obj_tmpl->addVar('content', 'KABAG', $result['kabag']);
				$this->obj_tmpl->addVar('content', 'KPS', $result['kps']);
				$this->obj_tmpl->addVar('content', 'Alamat', $result['alamat']);
				$this->obj_tmpl->addVar('list_fak', 'DATA', $result['hospital']);
				$this->obj_tmpl->addVar('list_fak', 'LABEL', $result['status_jejaring']);
				$this->obj_tmpl->ParseTemplate('list_fak', 'a');
				
			}
		}	
		$result = $this->obj_fakultas->GetDataAsSingleArray("DataIpdsByRSJejaringUtama", array($this->arr_routes['params'][0]));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'RS_JEJARING', $result['nama']);
		}	
	}
	
	private function DisplayListPeriode(){	
		$pelamar = 0;
		$kelengkapan = 0;
		$administratif = 0;	
		// parse data
		$rs_id = $this->obj_registrasi->GetResourceId("GetListPeriodePendaftaran", array());
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_periode', 'NO', $no . '.');
				$this->obj_tmpl->addVar('list_periode', 'NAMA', $rec['nama']);
				$this->obj_tmpl->addVar('list_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));
				$this->obj_tmpl->addVar('list_periode', 'TGL_TUTUP', $this->obj_date->GetFullDate($rec['tgl_akhir'], 'ins'));
				// jumlah pelamar
				$jumlah = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranByParam", array($rec['id_periode'], $this->arr_routes['params'][0]));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'JUMLAH', $jumlah['total']);
				$pelamar += $jumlah['total'];
				// jumlah lulus kelengkapan
				$jumlah = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranLengkapByParam", array($rec['id_periode'],$this->arr_routes['params'][0]));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'KELENGKAPAN', $jumlah['total']);
				$kelengkapan += $jumlah['total'];
				// jumlah lulus administratif
				$lengkap = $this->obj_registrasi->GetDataAsSingleArray("GetTotalPendaftaranTerimaByParam", array($rec['id_periode'], $this->arr_routes['params'][0]));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_periode', 'ADMINISTRASI', $jumlah['total']);
				$administratif += $jumlah['total'];
				// url
				$this->obj_tmpl->addVar('list_periode', 'URL_EDIT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list-pelamar', array($rec['id_periode'])));
				// append
				$this->obj_tmpl->ParseTemplate('list_periode', 'a');
				$no++;
			}
		}
		// jumlah total
		$pelamar = (empty($pelamar)?'-':$pelamar);
		$kelengkapan = (empty($kelengkapan)?'-':$kelengkapan);
		$administratif = (empty($administratif)?'-':$administratif);
		$this->obj_tmpl->addVar('content', 'JUMLAH', $pelamar);
		$this->obj_tmpl->addVar('content', 'KELENGKAPAN', $kelengkapan);
		$this->obj_tmpl->addVar('content', 'ADMINISTRASI', $administratif);
	}
	
	private function DisplayResidenByFKSemester(){
		// get chart data
		$kategori = "";
		$pelamar = "";
		$diterima = "";
		$rs_id = $this->obj_summary->GetResourceId("GetListResidenByFKSemester", array($this->arr_routes['params'][0]));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$kategori .= ".<category name='Semester ".$rec['residen']."'/>";
				$diterima .= "<set value='".$rec['semester']."' />";
			}
		}
		// display chart
		$strXML = "<graph xaxisname='Data Residen PerFakultas Persemester' yaxisname='Jumlah' hovercapbg='E0F1FE' hovercapborder='79C2FB' rotateNames='1' showValues='0' yAxisMaxValue='20' numdivlines='9' divLineColor='CCCCCC' divLineAlpha='80' decimalPrecision='0' showAlternateHGridColor='1' AlternateHGridAlpha='30' AlternateHGridColor='CCCCCC'>
			   <categories font='Arial' fontSize='10' fontColor='000000'>
				  $kategori
			   </categories>
			   <dataset seriesname='Residen' color='56B9F9'>
				  $diterima
			   </dataset>
			</graph>";
		$path_chart = $this->obj_chart->UseChart("FCF_MSColumn3D");
		$this->obj_tmpl->addVar('content', 'CHART_PROGRAM_STUDI', renderChartHTML($path_chart, "", $strXML, "", 740, 300, false));
	}
}

?>