<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 	
	private $obj_info;
	private $obj_paging;	
	// init variable
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_info = $this->obj_ctrl->LoadBusiness('info', 'mysql', $this->arr_config['db']);
		$this->obj_info->UseQuery(array("download"));
		// load library 
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript 
		
		// load style
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display kategori name
		self::DisplayKategoriName();
		// display list file
		self::DisplayListFile();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// page link
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_DOWNLOAD',$this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kategori'));
	}
	
	// kategori
	
	private function DisplayKategoriName(){
		// variable
		$id_cat = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		// parsing data
		$result = $this->obj_info->GetDataAsSingleArray("GetDetailKategoriById", array($id_cat));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'KATEGORI', $result['nama']);	
		}		
	}
	
	// list file
	
	private function DisplayListFile(){
		// variable
		$id_cat = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$page = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:1);
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_info->GetDataAsSingleArray("GetTotalFileByKategori", array($id_cat));
		$this->obj_paging->SetTotalRecord($result['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($id_cat, '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_info->GetResourceId("GetListFileByKategoriWithLimit", array($id_cat, $start, $max));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url download
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'file', array(md5($rec['id_download'])));
				// data
				$this->obj_tmpl->addVar('list_file', 'URL_DOWNLOAD', $url);
				$this->obj_tmpl->addVar('list_file', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_file', 'DESKRIPSI', $rec['deskripsi']);
				$this->obj_tmpl->addVar('list_file', 'FILENAME', str_replace("_"," ",$rec['filename']));
				$this->obj_tmpl->addVar('list_file', 'UKURAN', $this->FormatBytes(filesize($rec['filepath'].$rec['filename'])));
				$this->obj_tmpl->addVar('list_file', 'HITS', $rec['hits']);
				$this->obj_tmpl->ParseTemplate('list_file', 'a');	
				
			}
		}		
	}
	
	private function FormatBytes($bytes, $precision = 2) {
		$units = array('B', 'KB', 'MB', 'GB', 'TB');
		$bytes = max($bytes, 0);
		$pow = floor(($bytes ? log($bytes) : 0) / log(1024));
		$pow = min($pow, count($units) - 1);
		$bytes /= pow(1024, $pow);
		return round($bytes, $precision) . ' ' . $units[$pow];
	} 
}

?>