<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 	
	private $obj_info;	
	private $obj_notify;	
	// init variable
	private $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'], $this->arr_routes['module'], 'form');	
	}
	
	protected function PageLoad(){ 
		// load business
		$this->obj_info = $this->obj_ctrl->LoadBusiness('info', 'mysql', $this->arr_config['db']);
		$this->obj_info->UseQuery(array("faq"));
		// load library 
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'save_buku_tamu':
				self::SaveBukuTamu();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	private function SaveBukuTamu(){
		$err = array();	
		$filled = array();	
		// check / validate parameter 
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><strong>Nama</strong> tidak boleh kosong'; }
		if(empty($this->arr_params['perihal'])){ $err[] = '<br /><strong>Perihal</strong> tidak boleh kosong'; }
		if(empty($this->arr_params['email'])){ $err[] = '<br /><strong>Email</strong> tidak boleh kosong'; }
		if(empty($this->arr_params['pertanyaan'])){ $err[] = '<br /><strong>Konten</strong> tidak boleh kosong'; }
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array($this->arr_params['email'], $this->arr_params['nama'],  $this->arr_params['profesi'], $this->arr_params['perihal'], $this->arr_params['pertanyaan']);
			if($this->obj_info->ProcessingData("InsertBukuTamu", $params)){
				// sukses message				
				self::SendNotification($err, $filled, 'Pertanyaan / saran anda berhasil terkirim.', 'success');
				// redirect to success page ------------------------------------
			}else{
				$filled = array('PERTANYAAN' => $this->arr_params['pertanyaan'], 'PROFESI' => $this->arr_params['profesi'],'EMAIL' => $this->arr_params['email'],'NAMA' => $this->arr_params['nama'],'PERIHAL' => $this->arr_params['perihal']);
				// error message
				self::SendNotification($err, $filled, 'Data tidak terkirim.', 'error');
			}	
		}else{
			$filled = array('PERTANYAAN' => $this->arr_params['pertanyaan'], 'PROFESI' => $this->arr_params['profesi'],'EMAIL' => $this->arr_params['email'],'NAMA' => $this->arr_params['nama'],'PERIHAL' => $this->arr_params['perihal']);
			// error message
			self::SendNotification($err, $filled, 'Lihat ketentuan formulir diatas.', 'error');
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'],$this->arr_routes['module'],'form');
	}
	
	
}

?>