<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_event;
	private $obj_date;
	private $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_event = $this->obj_ctrl->LoadBusiness('agenda', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
	}
	
	public function PageView(){		
		// redirect page
		self::RedirectPage();
		// list kategori
		self::DisplayListKategori();
		// list news
		self::DisplayListEvents();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function RedirectPage(){
		if(!isset($this->arr_routes['params'][0])){
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category');
		}
	}
	
	private function SetPaging($page, $cat="") {
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		if ($cat == "") {
			$this->obj_paging->SetTotalRecord($this->obj_event->CountAgenda(array()));
			// set url
			$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		} else {
			$this->obj_paging->SetTotalRecord($this->obj_event->CountAgendaByCategoryId(array($this->arr_routes['params']['0'])));
			// set url
			$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params']['0'], "")));
		}
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		/* 
		-- display paging template (bagian bawah)
		*/
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		/* 
		-- display record data 
		*/
	}

	private function DisplayListArchive(){
		if (empty($this->arr_routes['params']) ||  !isset($this->arr_routes['params'])) {
			$page = 1;
			self::SetPaging($page);
			// get start record
			$start = $this->obj_paging->int_start_record;
			$max = $this->obj_paging->int_max_record;

			$events = $this->obj_event->GetAgenda(array($start, $max));
		} else {
			if (isset($this->arr_routes['params']['1'])) {
				$page = $this->arr_routes['params']['1'];
			} else {
				$page = 1;
			}
			self::SetPaging($page, $this->arr_routes['params']['0']);
			// get start record
			$start = $this->obj_paging->int_start_record;
			$max = $this->obj_paging->int_max_record;

			$events = $this->obj_event->GetAgendaByCategoryId(array($this->arr_routes['params']['0'], $start, $max));
		}
		$href='';
		if (sizeof($events) > 0) {
			$this->obj_tmpl->addVar('events', 'events', 'have');
		}
		foreach($events as $key=>$value) {
			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail', array($value['id_agenda']));
			$this->obj_tmpl->addVar('events_archive', 'EVENTS_LIST_TITLE', $value['judul']);
			$this->obj_tmpl->addVar('events_archive', 'EVENTS_LIST_HREF', $href);
			$this->obj_tmpl->addVar('events_archive', 'EVENTS_LIST_DATE', $this->obj_date->GetFullDate($value['tgl_mulai']) . " s/d " . $this->obj_date->GetFullDate($value['tgl_selesai']));
			$this->obj_tmpl->addVar('events_archive', 'EVENTS_LIST_PB', $value['pembicara']);
			$this->obj_tmpl->addVar('events_archive', 'EVENTS_LIST_PY', $value['penyelenggara']);
			$this->obj_tmpl->ParseTemplate('events_archive', 'a');
		}
	}

	private function DisplayListEvents(){
		// set parameter pages on index [0]
		if(!isset($this->arr_routes['params'][1]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][1];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$total = $this->obj_event->CountAgendaByCategoryId(array($this->arr_routes['params'][0]));
		$this->obj_paging->SetTotalRecord($total);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params'][0], '')));
		// display paging template (bagian bawah)
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_event->GetResourceId("GetAgendaByCategoryId", array($this->arr_routes['params'][0], $start, $max));	
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_agenda', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail', array($rec['id_agenda'])));
				$this->obj_tmpl->addVar('list_agenda', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_agenda', 'DATE', $this->obj_date->GetFullDate($rec['tgl_mulai']) . " s/d " . $this->obj_date->GetFullDate($rec['tgl_selesai']));
				$this->obj_tmpl->addVar('list_agenda', 'PEMBICARA', $rec['pembicara']);
				$this->obj_tmpl->addVar('list_agenda', 'PENYELENGGARA', $rec['penyelenggara']);
				$this->obj_tmpl->ParseTemplate('list_agenda', 'a');
			}
		}
	}		

	private function DisplayListKategori(){
		$rs_id = $this->obj_event->GetResourceId("GetAllKategori", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_kategori', 'URL_NEWS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'archive', array($rec['id_cat'])));
				$this->obj_tmpl->addVar('list_kategori', 'TITLE', $rec['nama']);
				$this->obj_tmpl->addVar('list_kategori', 'DESKRIPSI', $rec['deskripsi']);
				$this->obj_tmpl->ParseTemplate('list_kategori', 'a');
			}
		}
	}
}
?>