<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_event;
	private $obj_date;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_event = $this->obj_ctrl->LoadBusiness('agenda', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		self::DisplayEventDetail();
		self::DisplayEventLists();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayEventDetail(){
		$event = array();
		if (!empty($this->arr_routes['params']) && isset($this->arr_routes['params'])) {
			$event = $this->obj_event->GetAgendaById($this->arr_routes['params']);

			$this->obj_tmpl->addVar('content', 'EVENT_TITLE', $event['0']['judul']);
			$this->obj_tmpl->addVar('content', 'EVENT_CATEGORY', $event['0']['nama']);
         	$href = HTTPPATH . "doc/event/images/".$event['0']['id_agenda'].'/'.$event['0']['img_name'];
			if ($event['0']['img_name'] != "") {
				$this->obj_tmpl->addVar('event_image', 'image', 'have');
				$this->obj_tmpl->addVar('event_image', 'EVENT_IMG_URL', $href);
			}
			$urlFile = "";
			if (!empty($event['0']['file_name'])) {
				$urlFile = HTTPPATH . "doc/event/file/". $event['0']['id_agenda'] . '/' . $event['0']['file_name'];
			}
			$this->obj_tmpl->addVar('content', 'URL_FILE', $urlFile);
			$this->obj_tmpl->addVar('content', 'FILE_NAME', $event['0']['file_name']);
			$this->obj_tmpl->addVar('content', 'EVENT_TEMPAT', $event['0']['tempat']);
			$this->obj_tmpl->addVar('content', 'EVENT_TGL_MULAI', $this->obj_date->GetFullDate($event['0']['tgl_mulai']));
			$this->obj_tmpl->addVar('content', 'EVENT_TGL_SELESAI', $this->obj_date->GetFullDate( $event['0']['tgl_selesai']));
			$this->obj_tmpl->addVar('content', 'EVENT_TINGKAT', $event['0']['tingkat']);
			$this->obj_tmpl->addVar('content', 'EVENT_PEMBICARA', $event['0']['pembicara']);
			$this->obj_tmpl->addVar('content', 'EVENT_PENYELENGGARA', $event['0']['penyelenggara']);
			$this->obj_tmpl->addVar('content', 'EVENT_CONTENT', $event['0']['content']);
         
         $this->obj_event->UpdateHitsAgenda($this->arr_routes['params']);
		}
	}
	
	private function DisplayEventLists(){
		$event = array();
		if (!empty($this->arr_routes['params']) && isset($this->arr_routes['params'])) {
			$event = $this->obj_event->GetAgendaById($this->arr_routes['params']);
			$eventList = $this->obj_event->GetAgendaRelated(array($event['0']['id_cat'], $event['0']['id_agenda'], '0', '10'));

			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category', '');
			$this->obj_tmpl->addVar('content', 'MORE_CAT_URL', $href);

			
			foreach($eventList as $key=>$value) {
				$this->obj_tmpl->addVar('event-list', 'EVENT_LIST_HREF', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($value['id_agenda'])));
				$this->obj_tmpl->addVar('event-list', 'EVENT_LIST_DATE', $this->obj_date->GetFullDate($value['tgl_mulai']) ." s/d " . $this->obj_date->GetFullDate($value['tgl_selesai']));
				$this->obj_tmpl->addVar('event-list', 'EVENT_LIST_TITLE', $value['judul']);
				$this->obj_tmpl->ParseTemplate('event-list', 'a');
			}
		}
	}
}

?>