<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_gallery;
	private $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_gallery = $this->obj_ctrl->LoadBusiness('gallery', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL', 'mysql', $this->arr_config['db']);
	}
	
	public function PageView(){
		// redirect page
		self::RedirectPage();
		// display kategori
		self::DisplayKategori();
		// display detail
		self::DisplayGalleryDetail();
		// display list galeri
		self::DisplayListGallery();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function RedirectPage(){
		if(!isset($this->arr_routes['params'][0])){
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'archive');
		}
	}
	
	private function DisplayKategori(){
		// link
		$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'archive');
		$this->obj_tmpl->addVar('content', 'URL_KATEGORI', $url_detail);
		// --
		if(isset($this->arr_routes['params'][0])){
			$id = $this->arr_routes['params'][0];
		}else{
			$id = 0;
		}
		// display detail galeri
		$result = $this->obj_gallery->GetDataAsSingleArray("GetKategoriById", array($id));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'JUDUL_KATEGORI', $result['judul']);
		}
	}
	
	private function DisplayGalleryDetail(){
		if(isset($this->arr_routes['params'][1])){
			$id = $this->arr_routes['params'][1];
		}else{
			$id = 0;
		}
		// display detail galeri
		$result = $this->obj_gallery->GetDataAsSingleArray("GetDetailGallery", array($id));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'GALLERY_DESC', $result['deskripsi']);
			// img path
			$imgpath = "doc/galery/".$result['id_galery'].'/'.$result['images_name'];
			if(is_file($imgpath)){
				$imgref = HTTPPATH . $imgpath;
				$this->obj_tmpl->addVar('content', 'IMGPATH', $imgref);
			}
		}
	}

	private function DisplayListGallery(){
		// get id
		if(isset($this->arr_routes['params'][0])){
			$id_cat = $this->arr_routes['params'][0];
		}else{
			$id_cat = 0;
		}
		if(isset($this->arr_routes['params'][1])){
			$id = $this->arr_routes['params'][1];
		}else{
			$id = 0;
		}
		// pagination
		if(!isset($this->arr_routes['params'][2])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params'][2];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$total = $this->obj_gallery->CountGalleryByCategoryId(array($id_cat));
		$this->obj_paging->SetTotalRecord($total[0]['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($id_cat, $id, '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// get data
		$rs_id = $this->obj_gallery->GetResourceId("GetGalleryByCategoryId", array($id_cat, $start, $max));
		// parse data
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_cat'], $rec['id_galery'], $page));
				// img path
				$imgpath = "doc/galery/".$rec['id_galery'].'/'.$rec['images_name'];
				if(is_file($imgpath)){
					$imgref = HTTPPATH . $imgpath;
					$this->obj_tmpl->addVar('list_gallery', 'IMGPATH', $imgref);
					$this->obj_tmpl->addVar('list_gallery', 'DESKRIPSI', $rec['deskripsi']);
					$this->obj_tmpl->addVar('list_gallery', 'URL_DETAIL', $url_detail);
					$this->obj_tmpl->parseTemplate('list_gallery', 'a');
				}
			}
		}
	}
}

?>