<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_fakultas;
	private $obj_person;
	private $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		// loaded style
		
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayListData();
		self::DisplayPageLink();
		self::GetListStaffStruktural();
		// display template (add, view, edit)
		
		// display get fakultas
		//self::GetFakultas();
		
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'jabatan_struktural', array('add')));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list'));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
	}
	
	
	
	private function DisplayListData(){
		
		$this->obj_tmpl->addVar('content', 'URL_VIEW', '<li><a href="#" class="tab-nav-active">List</a></li>');
		$this->obj_tmpl->addVar('display', 'view', 'edit');
		$this->obj_tmpl->addVar('display', 'view', 'edit');
		// parse data	
				
		$rs_id = $this->obj_fakultas->GetResourceId("GetPejabatByFakultas", array($this->arr_routes['params'][0]));
		if($rs_id){
		while($rec = mysqli_fetch_assoc($rs_id)){
			
			$this->obj_tmpl->addVar('list_pejabat', 'JABATAN', $rec['nama_jabatan']);
			$this->obj_tmpl->addVar('list_pejabat', 'NAMA', $rec['nama_lengkap']);
			$this->obj_tmpl->ParseTemplate('list_pejabat', 'a');	
		}
		}
		$result = $this->obj_fakultas->GetDataAsSingleArray("GetIpdsById", array($this->arr_routes['params'][0]));
		if(!empty($result)){
		//print_r($result['nama']);
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $result['nama']);
			$this->obj_tmpl->addVar('content', 'ALAMAT', $result['alamat']);
			}
		}	
			
		private function GetListStaffStruktural(){
	
		// activated template
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// set active page number
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("TotalStafStruktural", array($this->arr_routes['params'][0]));
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-','-','')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_fakultas->GetResourceId("GetListStaffStrkural", array($this->arr_routes['params'][0],$start, $max));
		$no = $start + 1;
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				
				$url_add = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'subdivisi', array($rec['id_person']));	
				//print_r($rec['nama_jabatan']);
				$this->obj_tmpl->addVar('list_staff', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_staff', 'NO', $no);
				$this->obj_tmpl->addVar('list_staff', 'JABATAN', $rec['nama_jabatan']);
				$this->obj_tmpl->addVar('list_staff', 'NAMA', $rec['fullname']);
				$this->obj_tmpl->addVar('list_staff', 'URL_ADD', $url_add);
				
				//$this->obj_tmpl->addVar('list_staff', 'PENILAI', $rec['jenis_akademik']);
				$img =HTTPPATH.'doc/temp/yes.png';
					
				$this->obj_tmpl->addVar('list_staff', strtoupper($rec['jenis_akademik']), '<img src="'.$img.'" />');
				
				
				/*if (!empty($rec['nama_jabatan'])){
				$this->obj_tmpl->addVar('list_staff', 'JABATAN', $rec['nama_jabatan']);
				}else{
				$this->obj_tmpl->addVar('list_staff', 'JABATAN', $rec['jenis_akademik']);
				}*/
				$this->obj_tmpl->ParseTemplate('list_staff', 'a');	
				
				
				$no++;
			}
		}
		
	}
	

	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
