<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_paging;
	private $obj_notify;
	private $obj_system;
	private $obj_fakultas;
	private $obj_person;
	private $obj_adm;
	private $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		// load business object]
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_adm = $this->obj_ctrl->LoadBusiness('evaluasi', 'mysql', $this->arr_config['db']);
		$this->obj_adm->UseQuery(array('propinsi', 'periode','pps'));
		$this->obj_fakultas = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_fakultas->UseQuery(array('fakultas'));
		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery');	
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
		
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		//parent::DisplayWebTitle('Access Authority');
		// display page link navigation
		self::DisplayPageLink();
		// display template (add, view, edit)
		self::TemplateToDisplay();
		
		// display test cookies
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('add')));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list'));
		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		
	}
	
	private function TemplateToDisplay(){
		$view = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:'-');
		switch($view){
			case 'add':
				// add form
				self::DisplayAddForm();
				break;
			case 'edit':
				// edit form
				self::DisplayEditForm();
				break;
			default:
				// list data
				self::DisplayListData();
				break;
		}
		
	}
	
	private function DisplayListData(){
		// activated template
		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		// set active page number
		$page = (isset($this->arr_routes['params'][2])?$this->arr_routes['params'][2]:1);
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_fakultas->GetDataAsSingleArray("GetTotalFakultas", array());
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'],array('-','-','')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// -------------------------------------------
		// display record data 
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_fakultas->GetResourceId("GetListFakultasLimit", array($start, $max));
		
		$no = $start + 1;
		if($rs_id){
			
			while($rec = mysqli_fetch_assoc($rs_id)){
				// url link
				$id = $this->obj_adm->GetDataAsSingleArray("GetListPeriodeLastByIpds", array($rec['id_fakultas']));
				//print_r($id);
				$id_periode= (isset($id['id_akreditasi'])?$id['id_akreditasi']:0);
				//print_r($id_periode);
				//id_periode($id);
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('edit', $rec['id_fakultas'],$page));
				$url_ilmu = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program', array($rec['id_fakultas']));
				$url_profil = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'evaluasi', 'basic_kol', 'ipds', array($rec['id_fakultas'],$id_periode));
				$url_modul = $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'kurikulum', 'kurikulum_kol', 'view', array('peta',$rec['id_fakultas']));
				// get name group
				// parse data
				//id_province,province_name,id_country
				$this->obj_tmpl->addVar('list_data', 'INDEX', $no-1);
				$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'ID', $rec['id_fakultas']);	
				$this->obj_tmpl->addVar('list_data', 'NAMA_FAKULTAS', $rec['nama']);
				$this->obj_tmpl->addVar('list_data', 'NAMA_SINGKAT', $rec['nama_singkat']);
				$this->obj_tmpl->addVar('list_data', 'URL_PROFIL', $url_profil);
				$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);
				$this->obj_tmpl->addVar('list_data', 'URL_ILMU', $url_ilmu);
				$rsj = $this->obj_fakultas->GetDataAsSingleArray("GetTotalModulByFK",array($rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_data', 'JML_MODUL', $rsj['TOTAL_MODUL']);
				$this->obj_tmpl->addVar('list_data', 'URL_MODUL', $url_modul);
				$rsj = $this->obj_fakultas->GetDataAsSingleArray("GetTotalRSjejaring",array($rec['id_fakultas']));
				$this->obj_tmpl->addVar('list_data', 'JML_RS', $rsj['TOTAL']);
				$this->obj_tmpl->ParseTemplate('list_data', 'a');	
				$no++;
			}
		}
		$this->obj_tmpl->addVar('display', 'TOTAL_DATA', $no);	
	}
	
	private function DisplayAddForm(){
		// activated template
		$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', 'class="tab-nav-active"');
		$this->obj_tmpl->addVar('display', 'view', 'add');
		
	}
	
	private function DisplayEditForm(){
		// activated template
		$this->obj_tmpl->addVar('display', 'URL_EDIT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('edit', $this->arr_routes['params'][1],$this->arr_routes['params'][2])) );
			$this->obj_tmpl->addVar('display', 'URL_RUMKIT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('-', $this->arr_routes['params'][1],$this->arr_routes['params'][2])) );
			
		$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" class="tab-nav-active">Edit</a></li>');
		$this->obj_tmpl->addVar('display', 'view', 'edit');
		// parse data	
		$params = array($this->arr_routes['params'][1]);
		$page = array($this->arr_routes['params'][2]);	
		$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array('edit', $this->arr_routes['params'][1],$this->arr_routes['params'][2]));
		$url_program = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'program', array('-',$this->arr_routes['params'][1],'-'));
		$url_rumkit= $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'rumahsakit', array('-',$this->arr_routes['params'][1],'-'));
		$url_quota= $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'quota', array('-',$this->arr_routes['params'][1],'-'));
		$url_syarat = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'syarat', array('-', $this->arr_routes['params'][1],'-'));
		$this->obj_tmpl->addVar('display', 'URL_EDIT', $url_edit);
		$this->obj_tmpl->addVar('display', 'URL_PROGRAM', $url_program);
		$this->obj_tmpl->addVar('display', 'URL_QUOTA', $url_quota);
		$this->obj_tmpl->addVar('display', 'URL_RUMKIT', $url_rumkit);
		$this->obj_tmpl->addVar('display', 'URL_SYARAT', $url_syarat );
		$result = $this->obj_fakultas->GetDataAsSingleArray('GetDetailFakultasById',$params);
		$this->obj_tmpl->addVar('display', 'PAGE', $page);
		$this->obj_tmpl->addVar('display', 'ID_FAKULTAS', $result['id_fakultas']);	
		$this->obj_tmpl->addVar('display', 'NAMA_SINGKAT', $result['nama_singkat']);	
		$this->obj_tmpl->addVar('display', 'NAMA_FAKULTAS', $result['nama']);
		
		$this->obj_tmpl->addVar('display', 'MDD', $this->obj_date->GetFullDate($result['mdd'], "in"));
			$admin = $this->obj_person->GetDataAsSingleArray("GetNameById", array($result['mdb']));
			if(!empty($admin)){
				$this->obj_tmpl->addVar('display', 'MDB', $admin['fullname']);
			}
		
		
	}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>
