<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_mdvi;
	private $obj_date;
	private $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_mdvi = $this->obj_ctrl->LoadBusiness('mdvi', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
	}
	
	public function PageView(){
		// display link
		self::DisplayPageLink();
		// display profile
		self::DisplayMdviStructure();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
			$this->obj_tmpl->addVar('content', 'URL_REDAKSI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
			$this->obj_tmpl->addVar('content', 'URL_PEDOMAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('pedoman')));
			$this->obj_tmpl->addVar('content', 'URL_INFORMASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('informasi')));
			$this->obj_tmpl->addVar('content', 'URL_VOLUME', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('volume')));
	}
	
	private function DisplayMdviStructure(){
		// get id
		$display = "";
		if(isset($this->arr_routes['params'][0])){
			$display = $this->arr_routes['params'][0];
		}
		// get result
		$result = $this->obj_mdvi->GetDataAsSingleArray("GetMdvi", array());
		// parse data
		switch($display){
			case 'pedoman':
				$this->obj_tmpl->addVar('display', 'view', 'pedoman');
				$this->obj_tmpl->addVar('display', 'PEDOMAN', $result['pedoman']);
				$this->obj_tmpl->addVar('display', 'PEDOMAN_EN', $result['pedoman_en']);
				break;
			case 'informasi':
				$this->obj_tmpl->addVar('display', 'view', 'informasi');
				$this->obj_tmpl->addVar('display', 'INFORMASI', $result['informasi']);
				break;
			case 'volume':
				$this->obj_tmpl->addVar('display', 'view', 'volume');
				self::DisplayListVolume();
				break;
			default:
				$this->obj_tmpl->addVar('display', 'SUSUNAN_REDAKSI', $result['susunan_redaksi']);
				break;
		}	
	}
	
	private function DisplayListVolume(){
		if(isset($this->arr_routes['params'][1])) {
			$page = $this->arr_routes['params'][1];
		}else{
			$page = 1;
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		$total = $this->obj_mdvi->GetDataAsSingleArray("GetTotalVolume", array());
		$this->obj_paging->SetTotalRecord($total['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('volume', '')));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		/* 
		-- display paging template (bagian bawah)
		*/
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		/* 
		-- display record data 
		*/
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parse data
		$rs_id = $this->obj_mdvi->GetResourceId("GetListVolume", array($start, $max));		
		if($rs_id){
			$arr_bln = array('Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember');
			while($value = mysqli_fetch_assoc($rs_id)){
				$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'volume-detail', array($value['id_vol']));
				$this->obj_tmpl->addVar('list_volume', 'LIST_HREF', $href);
				$this->obj_tmpl->addVar('list_volume', 'LIST_TITLE_EDITORIAL', $value['judul_editorial']);
				$this->obj_tmpl->addVar('list_volume', 'LIST_TAHUN', $value['tahun']);
				$this->obj_tmpl->addVar('list_volume', 'LIST_BULAN', $arr_bln[$value['bulan'] - 1]);
				$this->obj_tmpl->addVar('list_volume', 'LIST_NUMBER', $value['nomor']);
				$this->obj_tmpl->addVar('list_volume', 'VOLUME', $value['volume']);
				$this->obj_tmpl->addVar('list_volume', 'LIST_PENGIRIM', $value['pengirim_editorial']);
				$this->obj_tmpl->ParseTemplate('list_volume', 'a');
			}
		}	
	}	
}

?>