<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_mdvi;
	private $obj_date;
	private $obj_paging;
	private $id_vol;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_mdvi = $this->obj_ctrl->LoadBusiness('mdvi', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// javascript
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
	}
	
	public function PageView(){
		// display link
		self::DisplayPageLink();
		// detail volume
		self::DisplayDetailVolume();
		// detail volume
		self::DisplayListContent();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_REDAKSI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'structure'));
		$this->obj_tmpl->addVar('content', 'URL_PEDOMAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'structure', array('pedoman')));
		$this->obj_tmpl->addVar('content', 'URL_INFORMASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'structure', array('informasi')));
		$this->obj_tmpl->addVar('content', 'URL_VOLUME', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'structure', array('volume')));
	}

	private function DisplayDetailVolume(){
		if(isset($this->arr_routes['params'][0])){
			$this->id_vol = $this->arr_routes['params'][0];
		}else{
			$this->id_vol = 0;
		}
		$this->obj_tmpl->addVar('content', 'URL_EDITORIAL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail-editorial', array($this->id_vol)));
		// display detail volume
		$result = $this->obj_mdvi->GetDataAsSingleArray("GetDetailVolumeById", array($this->id_vol));
		if(!empty($result)){
			$arr_bln = array('Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember');
			// --
			$this->obj_tmpl->addVar('content', 'VOLUME', $result['volume']);
			$this->obj_tmpl->addVar('content', 'NOMER', $result['nomor']);
			$this->obj_tmpl->addVar('content', 'TAHUN', $result['tahun']);
			$this->obj_tmpl->addVar('content', 'BULAN', $arr_bln[$result['bulan'] - 1]);
			$this->obj_tmpl->addVar('content', 'JUDUL_EDITORIAL', $result['judul_editorial']);
			$this->obj_tmpl->addVar('content', 'PENGIRIM_EDITORIAL', $result['pengirim_editorial']);
			// images
			$str_img = "";
			$imgpath = "doc/mdvi/images/".$result['id_vol']."/".$result['img_name'];
			if(is_file($imgpath)){
				$str_img .= "<tr>";
				$str_img .= '<td colspan="2" align="center">';
				$str_img .= '<img src="'.HTTPPATH.$imgpath.'" /> ';
				$str_img .= "</td>";
				$str_img .= "</tr>";			  
			}
			$this->obj_tmpl->addVar('content', 'IMAGES', $str_img);
		}
	}
	
	private function DisplayListContent(){
		$rs_id = $this->obj_mdvi->GetResourceId("GetListContentByVolume", array($this->id_vol, 0, 100));
		if($rs_id){
			$arr_tipe = array("artikel" => "ARTIKEL ASLI", "laporan" => "LAPORAN KASUS", "pustaka" => "TINJAUAN PUSTAKA");
			$tmp_tipe = "";
			while($rec = mysqli_fetch_assoc($rs_id)){
				// display tipe
				if($rec['tipe'] != $tmp_tipe){
					$tmp_tipe = $rec['tipe'];
					$str_tipe = '<tr><td colspan="2"><b>'.$arr_tipe[$rec['tipe']].'</b></td></tr>';
				}else{
					$str_tipe = '';
				}
				$this->obj_tmpl->addVar('list_konten', 'TIPE', $str_tipe);
				$this->obj_tmpl->addVar('list_konten', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_konten', 'PENGIRIM', $rec['pengirim']);
				// abstrak
				$url_abstrak = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail-content', array($rec['id']));
				$this->obj_tmpl->addVar('list_konten', 'URL_ABSTRAK', $url_abstrak);
				// full text
				$url_download = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'fulltext-download', array(md5(sha1($rec['id'])), $this->id_vol));
				if(isset($_SESSION['user_id'])){
					$this->obj_tmpl->addVar('list_konten', 'URL_DOWNLOAD', $url_download);
					$files = "doc/mdvi/fulltext/".$this->id_vol.'/'.$rec['id'].'/'.$rec['file_name'];
					if(!is_file($files)){
						$this->obj_tmpl->addVar('list_konten', 'URL_DOWNLOAD', '#');
						$this->obj_tmpl->addVar('list_konten', 'EVENT', 'onclick="alert(\'File tidak ditemukan\')"');
					}
				}else{
					$this->obj_tmpl->addVar('list_konten', 'URL_DOWNLOAD', '#');
					$this->obj_tmpl->addVar('list_konten', 'EVENT', 'onclick="alert(\'Anda harus login!\')"');
				}
				$this->obj_tmpl->parseTemplate('list_konten', 'a');
			}
		}
	}
}

?>