<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_news;
	private $obj_date;
	private $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_news = $this->obj_ctrl->LoadBusiness('news', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
	}
	
	public function PageView(){
		// redirect page
		self::RedirectPage();
		// list kategori
		self::DisplayListKategori();
		// list news
		self::DisplayListNews();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function RedirectPage(){
		if(!isset($this->arr_routes['params'][0])){
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'category');
		}
	}

	private function DisplayListNews(){
		// set parameter pages on index [0]
		if(!isset($this->arr_routes['params'][1]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][1];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$total = $this->obj_news->CountNewsByCategoryId(array($this->arr_routes['params']['0']));
		$this->obj_paging->SetTotalRecord($total);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params'][0], '')));
		// display paging template (bagian bawah)
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		$rs_id = $this->obj_news->GetResourceId("GetNewsByCategoryId", array($this->arr_routes['params']['0'], $start, $max));	
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_news', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail', array($rec['id_berita'])));
				$this->obj_tmpl->addVar('list_news', 'DATE', $this->obj_date->GetFullDate($rec['mdd']));
				$this->obj_tmpl->addVar('list_news', 'JUDUL', $rec['judul']);
				$this->obj_tmpl->addVar('list_news', 'DESKRIPSI', $rec['deskripsi']);
				$this->obj_tmpl->ParseTemplate('list_news', 'a');
			}
		}
	}	

	private function DisplayListKategori(){
		$rs_id = $this->obj_news->GetResourceId("GetAllKategori", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_kategori', 'URL_NEWS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'archive', array($rec['id_cat'])));
				$this->obj_tmpl->addVar('list_kategori', 'TITLE', $rec['nama']);
				$this->obj_tmpl->addVar('list_kategori', 'DESKRIPSI', $rec['deskripsi']);
				$this->obj_tmpl->ParseTemplate('list_kategori', 'a');
			}
		}
	}
}

?>