<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	private $obj_news;
	private $obj_date;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates 
		$this->SetPageTemplates();
		// load business
		$this->obj_news = $this->obj_ctrl->LoadBusiness('news', 'mysql', $this->arr_config['db']);
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// load thickbox
		$this->obj_ctrl->LoadJavascript('jquery', 'jquery');
		$this->obj_ctrl->LoadJavascript('thickbox', 'jquery');
		//$this->obj_ctrl->LoadJavascript('lightbox', 'jquery');
		$this->obj_ctrl->LoadStyle('thickbox', 'jquery');
	
		
	}
	
	public function PageView(){
		// detail
		self::DisplayNewsDetail();
		// related
		self::DisplayNewsLists();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNewsDetail(){
		$result = $this->obj_news->GetDataAsSingleArray("GetNewsById", array($this->arr_routes['params'][0]));
		if(!empty($result)){
			// images
			$imgpath = "doc/news/public/".$result['id_berita'].'/'.$result['img_name'];
			if(is_file($imgpath)) {
				$this->obj_tmpl->setAttribute('news_image', 'visibility', 'show');
				$this->obj_tmpl->addVar('news_image', 'NEWS_IMG_URL', HTTPPATH.$imgpath);
				
				$this->obj_tmpl->addVar('news_image', 'NOTE', $result['img_note']);
				
			}
			// parse data
			$this->obj_tmpl->addVar('content', 'TITLE', $result['judul']);
			$this->obj_tmpl->addVar('content', 'CONTENT', $result['content']);
			$this->obj_tmpl->addVar('content', 'TANGGAL', $this->obj_date->GetFullDate($result['mdd']));
			$this->obj_tmpl->addVar('content', 'HIT', $result['hit']);
			// update hits
			$this->obj_news->ProcessingData("UpdateHitsNews", array($this->arr_routes['params'][0]));
		}
	}

	private function DisplayNewsLists(){
		$news = array();
		if (!empty($this->arr_routes['params']) && isset($this->arr_routes['params'])) {
			$news = $this->obj_news->GetNewsById($this->arr_routes['params']);
			$newsList = $this->obj_news->GetNewsRelated(array($news['0']['id_cat'], $news['0']['id_berita'], 0, 10));
			foreach($newsList as $key=>$value) {
				$this->obj_tmpl->addVar('news-list', 'NEWS_LIST_HREF', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($value['id_berita'])));
				$this->obj_tmpl->addVar('news-list', 'NEWS_LIST_DATE', $this->obj_date->GetFullDate($value['mdd']));
				$this->obj_tmpl->addVar('news-list', 'NEWS_LIST_TITLE', $value['judul']);
				$this->obj_tmpl->addVar('news-list', 'NEWS_LIST_DESC', $value['deskripsi']);
				$this->obj_tmpl->ParseTemplate('news-list', 'a');
			}
		}
	}
}

?>