<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_branch;
	private $obj_paging;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		self::DisplayCabangLists();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayCabangLists(){
		if(!isset($this->arr_routes['params'][0]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][0];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		$total = $this->obj_branch->CountCabang(array());
		$this->obj_paging->SetTotalRecord($total);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array()));
		// display paging template (bagian bawah)
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		$branch = $this->obj_branch->GetCabang(array( $start, $max));
		$num = 1; 
		foreach($branch as $key=>$value) {
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_NUM', $num);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_TITLE', $value['nama']);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_ADRESS', $value['alamat']);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_TELP', $value['telephone']);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_FAX', $value['fax']);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_STRUCTURE', $value['pengurus']);
			$this->obj_tmpl->addVar('branch-list', 'BRANCH_NEWS_HREF', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'news', array($value['id_cabang'])));
			$this->obj_tmpl->ParseTemplate('branch-list', 'a');
			$num++;
		}
	}
}

?>