<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_notify;
	protected $obj_date;
	protected $obj_data;
	// variable
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/* Other object loaded below */
		// load business
		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);
		$this->obj_data->UseQuery(array('propinsi', 'kota'));
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
	}
	
	public function PageView(){
		/* display view content */
		// display test cookies
		self::DisplayNotification();
		// variable display
		self::DisplayVariable();
		// display form registrasi
		self::DisplayFormRegistrasi();
		self::DisplayFormProvinsi();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// variable
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota_1'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEPRAKTIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'tempat-praktik'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota-kom'));
		//$this->obj_tmpl->addVar('content', 'URL_KECAMATAN', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kecamatan'));
		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov']))?$this->obj_notify->arr_message['field']['prov']:0);
		$kec_selected = ((isset($this->obj_notify->arr_message['field']['kec']))?$this->obj_notify->arr_message['field']['kec']:0);
		
	}
	
	
	private function DisplayFormProvinsi(){
		//$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_alamat']))?$this->obj_notify->arr_message['field']['prov_alamat']:0);
		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov']))?$this->obj_notify->arr_message['field']['prov']:0);
				// list data komisariat
		$prov_selected_kom = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);
		// display propinsi
		$rs_id = $this->obj_data->GetResourceId("GetListPropinsi", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($rec['id_province'] == $prov_selected_kom)
					$this->obj_tmpl->addVar('list_province_kom', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_province_kom', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_province_kom', 'VALUE', $rec['id_province']);
				$this->obj_tmpl->addVar('list_province_kom', 'NAME', $rec['province_name']);
				$this->obj_tmpl->parseTemplate('list_province_kom', 'a');
			}
		}
		// display kota
		if(!empty($prov_selected_kom)){
			$city_selected_kom = ((isset($this->obj_notify->arr_message['field']['city_komisariat']))?$this->obj_notify->arr_message['field']['city_komisariat']:0);
			
			$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($prov_selected_kom));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					if($rec['id_city'] == $city_selected_kom)
						$this->obj_tmpl->addVar('list_city_kom', 'SELECTED', 'selected="selected"');
					else
						$this->obj_tmpl->addVar('list_city_kom', 'SELECTED', '');
					$this->obj_tmpl->addVar('list_city_kom', 'VALUE', $rec['id_city']);
					$this->obj_tmpl->addVar('list_city_kom', 'NAME', $rec['city_name']);
					$this->obj_tmpl->ParseTemplate('list_city_kom', 'a');
				}
			}
		}
		if(!empty($city_selected_kom)){
			$komisariat_selected = ((isset($this->obj_notify->arr_message['field']['cabang']))?$this->obj_notify->arr_message['field']['cabang']:0);
			
			$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($city_selected_kom));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					if($rec['id_cabang'] == $komisariat_selected)
						$this->obj_tmpl->addVar('list_komisariat', 'SELECTED', 'selected="selected"');
					else
						$this->obj_tmpl->addVar('list_komisariat', 'SELECTED', '');
					$this->obj_tmpl->addVar('list_komisariat', 'VALUE', $rec['id_cabang']);
					$this->obj_tmpl->addVar('list_komisariat', 'NAME', $rec['nama']);
					$this->obj_tmpl->ParseTemplate('list_komisariat', 'a');
				}
			}
		}
	}
	private function DisplayFormRegistrasi(){
		// tanggal lahir
		// display activities date
		if(isset($this->obj_notify->arr_message['field'])){
			// cabang 
			$cabang = $this->obj_notify->arr_message['field']['CABANG'];
		}else{
			// cabang 
			$cabang = '';
		}
		
	}
}

?>