<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_registrasi;
	private $obj_dashboard;
	private $obj_date;
	// init variable
	private $int_periode;
	private $int_fakultas;
	private $str_fakultas_name;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('pelamar'));	
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('periode'));	
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display periode
		self::DisplayPeriode();		
		// display propinsi
		self::DisplayFakultas();	
		// display statistik
		self::DisplayListData();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->int_periode = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		$this->int_fakultas = (isset($this->arr_routes['params'][1])?$this->arr_routes['params'][1]:0);
		// --
		$this->obj_tmpl->addVar('content', 'URL_PENDAFTARAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'info'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-periode', array($this->int_periode)));
	}
	
	private function DisplayPeriode(){
		// display data
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetDetailPeriodePendaftaranById", array($this->int_periode));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'JUDUL', $result['nama']);
			$this->obj_tmpl->addVar('content', 'KETERANGAN', $result['keterangan']);
			$this->obj_tmpl->addVar('content', 'TGL_MULAI', $this->obj_date->GetFullDate($result['tgl_mulai']));
			$this->obj_tmpl->addVar('content', 'TGL_AKHIR', $this->obj_date->GetFullDate($result['tgl_akhir']));
		}
	}
	
	private function DisplayFakultas(){
		// display data
		$result = $this->obj_dashboard->GetDataAsSingleArray("GetDetailFakultasById", array($this->int_fakultas));
		if(!empty($result)){
			$this->str_fakultas_name = $result['nama'];
			$this->obj_tmpl->addVar('content', 'FAKULTAS', $this->str_fakultas_name);
		}
	}
	
	// Charts All
	private function DisplayListData(){
		// display data
		$params = array($this->int_periode, $this->int_fakultas, $this->int_periode, $this->int_fakultas, $this->int_periode, $this->int_fakultas, $this->int_fakultas);
		$rs_id = $this->obj_dashboard->GetResourceId("GetListProgramStudiByFakultas", $params);
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_program_studi', 'NO', $no);
				$this->obj_tmpl->addVar('list_program_studi', 'PROGRAM_STUDI', $rec['nama']);
				$total = (!empty($rec['jumlah'])?$rec['jumlah']:'-');
				$this->obj_tmpl->addVar('list_program_studi', 'JUMLAH', $total);
				$total = (!empty($rec['akademik'])?$rec['akademik']:'-');
				$this->obj_tmpl->addVar('list_program_studi', 'AKADEMIK', $total);
				$total = (!empty($rec['lulus'])?$rec['lulus']:'-');
				$this->obj_tmpl->addVar('list_program_studi', 'DITERIMA', $total);
				// append
				$this->obj_tmpl->parseTemplate('list_program_studi', 'a');
				$no++;
			}
		}
	}	
}

?>