<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_registrasi;
	protected $obj_notify;
	protected $obj_mail;
	protected $obj_crypt;
	// variable definition
	protected $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form');
	}
	
	protected function PageLoad(){ 
		/* -- Other object loaded below */
		$arr_config['db']['host'] = 'localhost';
		$arr_config['db']['port'] = '3306';
		$arr_config['db']['user'] = 'root';
		$arr_config['db']['pass'] = '';
		$arr_config['db']['name'] = 'pabmii09_organisasi';
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi_anggota', 'mysql', $arr_config['db']);
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');
		// plugins 
		$this->obj_ctrl->LoadFile('class.phpmailer.php', 'plugins/phpmailer');
		$this->obj_mail = new PHPMailer;
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'registrasi':
				self::RegistrasiProses();
				break;
			case 'forget':
				self::ForgetPassword();
				break;
			case 'kontak':
				self::AccountRequest();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	private function RegistrasiProses(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		$tgl_lahir = $this->arr_params['tahun'].'-'.$this->arr_params['bulan'].'-'.$this->arr_params['hari'];		
		$tgl_mulai = $this->arr_params['tahun_awal'].'-'.$this->arr_params['bulan_awal'];
		$tgl_selesai = $this->arr_params['tahun_akhir'].'-'.$this->arr_params['bulan_akhir'];
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><b>Nama</b> harus diisi'; }
		if(empty($this->arr_params['tmp_lahir'])){ $err[] = '<br /><b>Tempat lahir</b> harus diisi'; }
		if(empty($this->arr_params['gender'])){ $err[] = '<br /><b>Jenis kelamin</b> harus diisi'; }
		if(empty($this->arr_params['alamat'])){ $err[] = '<br /><b>Alamat Tinggal</b> harus diisi'; }
		if(empty($this->arr_params['kota'])){ $err[] = '<br /><b>Kota tinggal</b> harus diisi'; }
		if(empty($this->arr_params['status_anggota'])){ $err[] = '<br /><b>Status anggota</b> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><b>PABMICabang</b> harus diisi'; }
		if(empty($this->arr_params['college'])){ $err[] = '<br /><b>Tempat pendidikan</b> harus diisi'; }
		if(empty($this->arr_params['tempat'])){ $err[] = '<br /><b>Tempat kerja</b> harus diisi'; }
		if(empty($this->arr_params['status_pegawai'])){ $err[] = '<br /><b>Status kepegawaian</b> harus diisi'; }
		// no anggota
		if(empty($this->arr_params['no_anggota'][1])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// id city
		$kota = $this->obj_registrasi->GetIdCityByName(array(trim($this->arr_params['kota'])));
		if(empty($kota)){ $err[] = '<br /><b>Nama kota tinggal</b> harus diisi'; $this->arr_params['kota'] = '';}
		// id city kantor
		$kota_kantor = $this->obj_registrasi->GetIdCityByName(array(trim($this->arr_params['city_office'])));
		if(empty($kota_kantor)){ $err[] = '<br /><b>Nama kota kantor</b> harus diisi'; $this->arr_params['city_office'] = '';}
		// email
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}else{
				// validasi email
				if($this->arr_params['email'] !== $this->arr_params['confirm_email']){
					$err[] = '<br /><b>Confirm E-mail</b> yang dimasukkan tidak valid'; 
				}
			}
		}
		// kode validasi
		if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
		}
		// processing -----------------------------------------------------
		if(empty($err)){
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array(trim($this->arr_params['no_anggota']), trim($this->arr_params['email']));
			$terdaftar = $this->obj_registrasi->MemberAlreadyExists($params);
			if(!empty($terdaftar)){
				// redirect to already exist page
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'terdaftar', array(md5(sha1($this->arr_params['no_anggota']))));
			}
			// insert into calon_anggota_m
			$params = array($this->arr_params['nama'], $tgl_lahir, $this->arr_params['tmp_lahir'], $this->arr_params['gender'], $this->arr_params['prefix'], $this->arr_params['suffix'], $this->arr_params['alamat'], $kota, $this->arr_params['kodepos'], $this->arr_params['telepon'], $this->arr_params['handphone'], $this->arr_params['no_idi'], $this->arr_params['no_anggota'], $this->arr_params['status_anggota'], $this->arr_params['cabang'], $this->arr_params['email'], $this->arr_params['agama'], $this->arr_params['college'], $this->arr_params['concentration'], $this->arr_params['concentration_2'], $tgl_mulai, $tgl_selesai, $this->arr_params['tempat'], $this->arr_params['alamat_kantor'], $kota_kantor, $this->arr_params['status_pegawai'], $this->arr_params['jabatan'], $this->arr_params['telepon_kantor']);					
			// execute process
			if($this->obj_registrasi->MemberRegistration($params)){
				// send email				
				self::SendEmail();				
				$id = $this->obj_registrasi->GetLastIdCalonAnggota(array());
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'sukses', array($id));
			}else{
				// filled last field
				$filled = array("nama" => $this->arr_params['nama'], "tahun" => $this->arr_params['tahun'], "bulan" => $this->arr_params['bulan'], "hari" => $this->arr_params['hari'], "tmp_lahir" => $this->arr_params['tmp_lahir'], $this->arr_params['gender'] => 'selected="selected"', "prefix" => $this->arr_params['prefix'], "suffix" => $this->arr_params['suffix'], "alamat" => $this->arr_params['alamat'], "kota" => $this->arr_params['kota'], "kodepos" => $this->arr_params['kodepos'], "telepon" => $this->arr_params['telepon'], "handphone" => $this->arr_params['handphone'], "no_idi" => $this->arr_params['no_idi'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], $this->arr_params['status_anggota'] => 'selected="selected"', "cabang" => $this->arr_params['cabang'], "email" => $this->arr_params['email'], "agama" => $this->arr_params['agama'], "college" => $this->arr_params['college'], "tahun_awal" => $this->arr_params['tahun_awal'], "bulan_awal" => $this->arr_params['bulan_awal'], "tahun_akhir" => $this->arr_params['tahun_akhir'], "bulan_akhir" => $this->arr_params['bulan_akhir'], "concentration" => $this->arr_params['concentration'], "concentration_2" => $this->arr_params['concentration_2'], "tempat" => $this->arr_params['tempat'], "city_office" => $this->arr_params['city_office'], "jabatan" => $this->arr_params['jabatan'], "alamat_kantor" => $this->arr_params['alamat_kantor'], "telepon_kantor" => $this->arr_params['telepon_kantor'], $this->arr_params['status_pegawai'] => 'selected="selected"');
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form');
			}	
		}else{
			// filled last field
			$filled = array("nama" => $this->arr_params['nama'], "tahun" => $this->arr_params['tahun'], "bulan" => $this->arr_params['bulan'], "hari" => $this->arr_params['hari'], "tmp_lahir" => $this->arr_params['tmp_lahir'], $this->arr_params['gender'] => 'selected="selected"', "prefix" => $this->arr_params['prefix'], "suffix" => $this->arr_params['suffix'], "alamat" => $this->arr_params['alamat'], "kota" => $this->arr_params['kota'], "kodepos" => $this->arr_params['kodepos'], "telepon" => $this->arr_params['telepon'], "handphone" => $this->arr_params['handphone'], "no_idi" => $this->arr_params['no_idi'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], $this->arr_params['status_anggota'] => 'selected="selected"', "cabang" => $this->arr_params['cabang'], "email" => $this->arr_params['email'], "agama" => $this->arr_params['agama'], "college" => $this->arr_params['college'], "tahun_awal" => $this->arr_params['tahun_awal'], "bulan_awal" => $this->arr_params['bulan_awal'], "tahun_akhir" => $this->arr_params['tahun_akhir'], "bulan_akhir" => $this->arr_params['bulan_akhir'], "concentration" => $this->arr_params['concentration'], "concentration_2" => $this->arr_params['concentration_2'], "tempat" => $this->arr_params['tempat'], "city_office" => $this->arr_params['city_office'], "jabatan" => $this->arr_params['jabatan'], "alamat_kantor" => $this->arr_params['alamat_kantor'], "telepon_kantor" => $this->arr_params['telepon_kantor'], $this->arr_params['status_pegawai'] => 'selected="selected"');
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form');
		}	
		// redirect page --------------------------------------------------		
	}	
	
	private function ForgetPassword(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		// no anggota
		if(empty($this->arr_params['no_anggota'][1])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// --
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}
		}
		// kode validasi
		if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
		}
		// processing -----------------------------------------------------
		if(empty($err)){			
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array(trim($this->arr_params['no_anggota']), trim($this->arr_params['email']));
			$result = $this->obj_registrasi->ForgetPassword($params);			
			if(!empty($result)){
				// send email
				if(self::SendAccountToEmail($result)){
					self::SendNotification($err, $filled, 'Email already send.', 'success');
					// redirect to page error page ------------------------------------
				}else{
					self::SendNotification($err, $filled, 'Email not send, please retry your input.', 'error');
					// redirect to page error page ------------------------------------
				}
			}else{
				// filled last field
				$filled = array( "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "EMAIL" => $this->arr_params['email']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------
			}
		}else{
			// filled last field
			$filled = array( "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "EMAIL" => $this->arr_params['email']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------				
		}	
		// redirect page --------------------------------------------------	
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'], 'forget-password');	
	}
	
	private function AccountRequest(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		// no anggota
		if(empty($this->arr_params['no_anggota'][1])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// --
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><b>Nama lengkap</b> harus diisi'; }
		if(empty($this->arr_params['telepon'])){ $err[] = '<br /><b>Nomor telepon</b> harus diisi'; }
		if(empty($this->arr_params['handphone'])){ $err[] = '<br /><b>Nomor HP</b> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><b>PABMICabang</b> harus diisi'; }
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}else{
				// validasi email
				if($this->arr_params['email'] !== $this->arr_params['confirm_email']){
					$err[] = '<br /><b>Confirm E-mail</b> yang dimasukkan tidak valid'; 
				}
			}
		}
		// kode validasi
		if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
		}
		// processing -----------------------------------------------------
		if(empty($err)){
			// insert into calon_anggota_m
			$params = array($this->arr_params['nama'], $this->arr_params['no_anggota'], $this->arr_params['telepon'], $this->arr_params['handphone'], $this->arr_params['cabang'], $this->arr_params['email']);					
			// execute process
			if($this->obj_registrasi->SaveAccountRequest($params)){
				self::SendNotification($err, $filled, 'Data has been send.', 'success');
				// redirect to page error page ------------------------------------	
			}else{
				// filled last field
				$filled = array("NAMA" => $this->arr_params['nama'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "CABANG" => $this->arr_params['cabang'], "EMAIL" => $this->arr_params['email'], "TELEPON" => $this->arr_params['telepon'], "HANDPHONE" => $this->arr_params['handphone']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
			}	
		}else{
			// filled last field
			$filled = array("NAMA" => $this->arr_params['nama'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "CABANG" => $this->arr_params['cabang'], "EMAIL" => $this->arr_params['email'], "TELEPON" => $this->arr_params['telepon'], "HANDPHONE" => $this->arr_params['handphone']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'kontak-form');
	}	
	
	private function SendEmail(){
		// get data cabang
		$cabang = $this->obj_registrasi->GetInformasiCabangById(array($this->arr_params['cabang']));
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 400px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>Persatuan Ahli Bedah Mulut dan Maksilofasial Indonesia (PABMI)</h3>
						<h3>Komisariat ".$cabang['nama']."</h3>
						<p><small>".$cabang['alamat']."</small></p>
						<p><strong>".$this->arr_params['prefix'].' '.$this->arr_params['nama'].' '.$this->arr_params['suffix']."</strong>,<br>
						Pendaftaran anda telah diterima, tim administrator cabang yang bersangkutan akan melakukan verifikasi data yang anda masukkan dan selanjutnya dikonfirmasikan kembali melalui email ini.<br></p>
						<p> Terima kasih.</p>
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Konfirmasi pendaftaran";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);		
		$this->obj_mail->AddAddress($this->arr_params['email'], $this->arr_params['nama']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}	
	
	private function SendAccountToEmail($result){
		$userid = $result['userid'];
		$pass = $this->obj_crypt->StandardDecrypt($result['pass'], $result['hash_key']);
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 400px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>Persatuan Ahli Bedah Mulut dan Maksilofasial Indonesia (PABMI)</h3>
						<h3>Komisariat ".$result['cabang']."</h3>
						<p><small>".$result['alamat_cabang']."</small></p>
						<p><strong>".$result['prefix'].' '.$result['nama_lengkap'].' '.$result['suffix']."</strong>,<br>
						Berikut ini adalah account setting anda dalam web aplikasi PPNI<br>
						User id : <strong>$userid</strong><br />
						Password : <strong>$pass</strong><br>
						</p>
						<p> Terima kasih.</p>
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Forget Your Password?";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);
		$this->obj_mail->AddAddress($result['email'], $result['nama_lengkap']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}
}

?>