<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_overview;
	protected $obj_branch;
	protected $obj_date;
	protected $obj_paging;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
	}
	
	public function PageView(){
		// list news
		self::DisplayCabang();
		// list news
		self::DisplayListArchive();
		// list member
		self::DisplayListMember();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayCabang(){
		$result = $this->obj_branch->GetCabangById(array($this->arr_routes['params']['0']));
		$this->obj_tmpl->addVar('content', 'BRANCH_TITLE', $result[0]['nama']);
		$this->obj_tmpl->addVar('content', 'BRANCH_ADRESS', $result[0]['alamat']);
		$this->obj_tmpl->addVar('content', 'BRANCH_TELP', $result[0]['telephone']);
		$this->obj_tmpl->addVar('content', 'BRANCH_FAX', $result[0]['fax']);
		$this->obj_tmpl->addVar('content', 'BRANCH_STRUCTURE', $result[0]['pengurus']);
		$this->obj_tmpl->addVar('content', 'BRANCH_INFORMATION', $result[0]['profil']);
		
		// display foto
		$imgpath = "doc/logo/cabang/".$result[0]['id_cabang']."/".$result[0]['logo'];
		if(is_file($imgpath)){
			$this->obj_tmpl->setAttribute('logo', 'visibility', 'show');
			$str_img = '<img class="photo-view" src="'.HTTPPATH.$imgpath.'" width="100px" />';
			$this->obj_tmpl->addVar('logo', 'IMGVIEW', $str_img);
		}
	}	
	
	private function DisplayListArchive(){
		if(!isset($this->arr_routes['params']['1'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['1'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(5);
		// set total record
		$this->obj_paging->SetTotalRecord($this->obj_branch->CountNewsByCabangId(array($this->arr_routes['params']['0'])));
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params']['0'], "")));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		/* 
		-- display paging template (bagian bawah)
		*/
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		/* 
		-- display record data
		*/
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$news = array();
		if (!empty($this->arr_routes['params']) ||  isset($this->arr_routes['params'])) {
			$news = $this->obj_branch->GetNewsByCabangId(array($this->arr_routes['params']['0'], $start, $max));
		}
		$href='';
		if (sizeof($news) > 0) {
			$this->obj_tmpl->addVar('news', 'news', 'have');
		}
		foreach($news as $key=>$value) {
			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'news-detail', array($value['id_berita']));
			$this->obj_tmpl->addVar('news_archive', 'NEWS_LIST_TITLE', $value['judul']);
			$this->obj_tmpl->addVar('news_archive', 'NEWS_LIST_DATE', $this->obj_date->GetFullDate($value['mdd']));
			$this->obj_tmpl->addVar('news_archive', 'NEWS_LIST_HREF', $href);
			$this->obj_tmpl->addVar('news_archive', 'NEWS_LIST_DESC', $value['deskripsi']);
			$this->obj_tmpl->ParseTemplate('news_archive', 'a');
		}
	}		
	
	private function DisplayListMember(){
		if(!isset($this->arr_routes['params']['1'])) {
			$page = 1;
		} else {
			$page = $this->arr_routes['params']['1'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		$this->obj_paging->SetTotalRecord($this->obj_branch->CountMemberByCabangId(array($this->arr_routes['params']['0'])));
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params']['0'], "")));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		/* 
		-- display paging template (bagian bawah)
		*/
		$this->obj_paging->SetTempatePaging('pagination_member');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination_member');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		/* 
		-- display record data
		*/
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$rs_id = $this->obj_branch->GetMemberByCabangId(array($this->arr_routes['params']['0'], $start, $max));
		if($rs_id){
			while($value = mysqli_fetch_assoc($rs_id)){
				// --
				$this->obj_tmpl->addVar('list_member', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($value['id_person'])));
				// --
				$this->obj_tmpl->addVar('list_member', 'NAMA', $value['nama']);
				$this->obj_tmpl->ParseTemplate('list_member', 'a');
			}
		}
	}
}

?>