<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 	
	private $obj_registrasi;
	private $obj_data;
	private $obj_date;
	private $obj_notify;
	// init variable
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('periode'));
		$this->obj_data = $this->obj_ctrl->LoadBusiness('data', 'mysql', $this->arr_config['db']);
		$this->obj_data->UseQuery(array('propinsi', 'kota'));
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');
	}
	
	public function PageView(){	
		// display notification
		self::DisplayNotification();
		// display page link
		self::DisplayPageLink();
		// display periode
		self::DisplayPeriode();
		// display form pengusul
		self::DisplayFormPengusul();
		// display form rencana
		self::DisplayFormRencana();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'form');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('form', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_PENDAFTARAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'info'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA_RENCANA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota-rencana'));
		// kalender
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
		$year = date('Y');
		$this->obj_tmpl->addVar('content', 'YEAR_RANGE', ($year - 50) . ':' . ($year));
	}
	
	private function DisplayPeriode(){
		$id_periode = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		// check validation status
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetAllowedStatusById", array($id_periode));
		if(empty($result)){
			$this->obj_tmpl->addVar('form', 'display', 'nallowed');
		}
		// display data
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetDetailPeriodePendaftaranById", array($id_periode));
		if(!empty($result)){
			$this->obj_tmpl->addVar('form', 'ID_PERIODE', $result['id_periode']);
			$this->obj_tmpl->addVar('content', 'JUDUL', $result['nama']);
			$this->obj_tmpl->addVar('content', 'KETERANGAN', $result['keterangan']);
			$this->obj_tmpl->addVar('content', 'TGL_MULAI', $this->obj_date->GetFullDate($result['tgl_mulai']));
			$this->obj_tmpl->addVar('content', 'TGL_AKHIR', $this->obj_date->GetFullDate($result['tgl_akhir']));
		}
	}
	
	private function DisplayFormPengusul(){
		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov']))?$this->obj_notify->arr_message['field']['prov']:0);
		// display propinsi
		$rs_id = $this->obj_data->GetResourceId("GetListPropinsi", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($rec['id_province'] == $prov_selected)
					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_province', 'VALUE', $rec['id_province']);
				$this->obj_tmpl->addVar('list_province', 'NAME', $rec['province_name']);
				$this->obj_tmpl->parseTemplate('list_province', 'a');
			}
		}
		// display kota
		if(!empty($prov_selected)){
			$city_selected = ((isset($this->obj_notify->arr_message['field']['city']))?$this->obj_notify->arr_message['field']['city']:0);
			$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($prov_selected));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					if($rec['id_city'] == $city_selected)
						$this->obj_tmpl->addVar('list_city', 'SELECTED', 'selected="selected"');
					else
						$this->obj_tmpl->addVar('list_city', 'SELECTED', '');
					$this->obj_tmpl->addVar('list_city', 'VALUE', $rec['id_city']);
					$this->obj_tmpl->addVar('list_city', 'NAME', $rec['city_name']);
					$this->obj_tmpl->ParseTemplate('list_city', 'a');
				}
			}
		}
	}
	
	private function DisplayFormRencana(){
		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_rencana']))?$this->obj_notify->arr_message['field']['prov_rencana']:0);
		// display propinsi
		$rs_id = $this->obj_data->GetResourceId("GetListPropinsi", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($rec['id_province'] == $prov_selected)
					$this->obj_tmpl->addVar('list_province_rencana', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_province_rencana', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_province_rencana', 'VALUE', $rec['id_province']);
				$this->obj_tmpl->addVar('list_province_rencana', 'NAME', $rec['province_name']);
				$this->obj_tmpl->parseTemplate('list_province_rencana', 'a');
			}
		}
		// display kota
		if(!empty($prov_selected)){
			$city_selected = ((isset($this->obj_notify->arr_message['field']['city_rencana']))?$this->obj_notify->arr_message['field']['city_rencana']:0);
			$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($prov_selected));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					if($rec['id_city'] == $city_selected)
						$this->obj_tmpl->addVar('list_city_rencana', 'SELECTED', 'selected="selected"');
					else
						$this->obj_tmpl->addVar('list_city_rencana', 'SELECTED', '');
					$this->obj_tmpl->addVar('list_city_rencana', 'VALUE', $rec['id_city']);
					$this->obj_tmpl->addVar('list_city_rencana', 'NAME', $rec['city_name']);
					$this->obj_tmpl->ParseTemplate('list_city_rencana', 'a');
				}
			}
		}
	}
	
}

?>