<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_admin;
	protected $obj_registrasi;
	protected $obj_notify;
	protected $obj_mail;
	protected $obj_crypt;
	// variable definition
	protected $arr_params;
	private $obj_upload;
	protected $obj_bnihashing;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form');
	}
	
	protected function PageLoad(){ 
		/* -- Other object loaded below */
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');
		// plugins 
		$this->obj_ctrl->LoadFile('class.phpmailer.php', 'plugins/phpmailer');
		$this->obj_mail = new PHPMailer;
		$this->obj_upload = $this->obj_ctrl->LoadLibrary('Uploader'); //tambahan
		$this->obj_bnihashing = $this->obj_ctrl->LoadLibrary('Bnihashing');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'registrasi':
				self::RegistrasiProses();
				break;
			case 'forget':
				self::ForgetPassword();
				break;
			case 'varequest':
				self::VaReguest();
				break;	
			case 'kontak':
				self::AccountRequest();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	private function RegistrasiProses(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		$tgl_lahir = $this->arr_params['tahun'].'-'.$this->arr_params['bulan'].'-'.$this->arr_params['hari'];		
		$tgl_mulai = $this->arr_params['tahun_awal'].'-'.$this->arr_params['bulan_awal'];
		$tgl_selesai = $this->arr_params['tahun_akhir'].'-'.$this->arr_params['bulan_akhir'];
		if(empty($this->arr_params['hari'])){ $err[] = '<br /><b>Tanggal Lahir</b> harus diisi'; }
		if(empty($this->arr_params['bulan'])){ $err[] = '<br /><b>bulan</b> harus diisi'; }
		if(empty($this->arr_params['tahun'])){ $err[] = '<br /><b>Tahun</b> harus diisi'; }
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><b>Nama</b> harus diisi'; }
		if(empty($this->arr_params['ktp'])){ $err[] = '<br /><b>KTP</b> harus diisi'; }
		if(empty($this->arr_params['tmp_lahir'])){ $err[] = '<br /><b>Tempat lahir</b> harus diisi'; }
		if(empty($this->arr_params['gender'])){ $err[] = '<br /><b>Jenis kelamin</b> harus diisi'; }
		if(empty($this->arr_params['agama'])){ $err[] = '<br /><b>Agama</b> harus diisi'; }
		if(empty($this->arr_params['prov'])){ $err[] = '<br /><b>Provinsi</b> harus diisi'; }
		//if(empty($this->arr_params['prov_kom'])){ $err[] = '<br /><b>Provinsi Keanggotaan</b> harus diisi'; }
		if (($this->arr_params['prov_kom'] !=99) or ($this->arr_params['prov_kom'] !=100) or ($this->arr_params['prov_kom'] !=101) or ($this->arr_params['prov_kom'] !=102) or ($this->arr_params['prov_kom'] !=103) or ($this->arr_params['prov_kom'] !=104) or ($this->arr_params['prov_kom'] !=105) or ($this->arr_params['prov_kom'] !=106)){
	
		
		
		}
			$params_ktp = array($this->arr_params['ktp']);
			$params_email = array($this->arr_params['email']);
			$params_hp = array($this->arr_params['handphone']);
			
			$terdaftar_ktp_calon = $this->obj_registrasi->MemberAlreadyExistsCalonKtp($params_ktp);
			//if(!empty($terdaftar_ktp_calon)){ $err[] = '<br /><b>No KTP anda </b> Sudah Digunakan Mohon cek Kembali'; }
		//	print_r($terdaftar_ktp_calon);exit;
			$terdaftar2_email_calon = $this->obj_registrasi->MemberAlreadyExistsCalonEmail($params_email);
			if(!empty($terdaftar2_email_calon)){ $err[] = '<br /><b>Email anda </b> Sudah Digunakan Mohon cek Kembali'; }
			
			$terdaftar_hp_calon = $this->obj_registrasi->MemberAlreadyExistsCalonHp($params_hp);
			if(!empty($terdaftar_hp_calon)){ $err[] = '<br /><b>No Handphone anda </b> Sudah Digunakan Mohon cek Kembali'; }
			
			$terdaftar_ktp_anggota = $this->obj_registrasi->MemberAlreadyExistsAnggotaKtp($params_ktp);
			if(!empty($terdaftar_ktp_anggota)){ $err[] = '<br /><b>No KTP anda </b> Sudah Digunakan Mohon cek Kembali'; }
			
			$terdaftaremail_anggota = $this->obj_registrasi->MemberAlreadyExistsAnggotaEmail($params_email);
			if(!empty($terdaftaremail_anggota)){ $err[] = '<br /><b>Email anda </b> Sudah Digunakan Mohon cek Kembali'; }
			
			if(empty($this->arr_params['prov_kom'])){ $err[] = '<br /><b>Provinsi Keanggotaan</b> harus diisi'; }
		if(empty($this->arr_params['city_komisariat'])){ $err[] = '<br /><b>Kota Keanggotaan</b> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><b>PPNI Komisariat</b> harus diisi'; }
		
		//if(empty($this->arr_params['city_komisariat'])){ $err[] = '<br /><b>Kota Keanggotaan</b> harus diisi'; }
		//if(empty($this->arr_params['image'])){ $err[] = '<br /><b>Ijazah</b> harus diupload'; }
		if(empty($this->arr_params['alamat'])){ $err[] = '<br /><b>Alamat Tinggal</b> harus diisi'; }
		if(empty($this->arr_params['city'])){ $err[] = '<br /><b>Kota tinggal</b> harus diisi'; }
		//if(empty($this->arr_params['status_anggota'])){ $err[] = '<br /><b>Status anggota</b> harus diisi'; }
		//if(empty($this->arr_params['cabang'])){ $err[] = '<br /><b>PPNI Komisariat</b> harus diisi'; }
		if(empty($this->arr_params['college'])){ $err[] = '<br /><b>Tempat pendidikan</b> harus diisi'; }
		//if(empty($this->arr_params['tempat'])){ $err[] = '<br /><b>Tempat kerja</b> harus diisi'; }
		//if(empty($this->arr_params['status_pegawai'])){ $err[] = '<br /><b>Status kepegawaian</b> harus diisi'; }
		//if(empty($this->arr_params['status_pegawai'])){ $err[] = '<br /><b>Status kepegawaian</b> harus diisi'; }
		if(empty($this->arr_params['prov'])){ $err[] = '<br /><b>Provinsi Tinggal</b> harus diisi'; }
		//if(empty($this->arr_params['kota'])){ $err[] = '<br /><b>Kota Tinggal</b> harus diisi'; }
		if(empty($this->arr_params['kec'])){ $err[] = '<br /><b>Kecamatan Tinggal</b> harus diisi'; }
		if(empty($this->arr_params['kel'])){ $err[] = '<br /><b>Kelurahan Tinggal</b> harus diisi'; }
		if(empty($this->arr_params['handphone'])){ $err[] = '<br /><b>No Handphone</b> harus diisi'; }
		//if(empty($this->arr_params['nira'])){ $err[] = '<br /><b>Nira</b> harus diisi'; }
		//if(empty($this->arr_params['city_komisariat'])){ $err[] = '<br /><b>Kota Komisariat</b> harus diisi'; }
		$kota_kantor = $this->obj_registrasi->GetIdCityByName(array(trim($this->arr_params['city_office'])));
		//if(empty($kota_kantor)){ $err[] = '<br /><b>Nama kota kantor</b> harus diisi'; $this->arr_params['city_office'] = '';}
		// no anggota
		//if(empty($this->arr_params['no_anggota'][1])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// id city
		
		// email
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}else{
				// validasi email
				if($this->arr_params['email'] !== $this->arr_params['confirm_email']){
					$err[] = '<br /><b>Confirm E-mail</b> yang dimasukkan tidak valid'; 
				}
			}
		}
		// kode validasi
		//if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
			//$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
		//}
		// processing -----------------------------------------------------
		if(empty($err)){
			$this_day = date('Y').date('m').date('d');
			$params2 = array();
			$MaxId = $this->obj_registrasi->GetRecordIdcalonaMax($params2);
			$no_max = strval(intval($MaxId['id_calon'])+ 1);
			$id_person = $this->arr_params['hari'].$this->arr_params['bulan'].$this->arr_params['tahun'] .'-'.$no_max;
			
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array($this->arr_params['ktp'], trim($this->arr_params['email']));
			//$params2 = array(trim($this->arr_params['nira']));
			
		
			
		
			
		
			
			//$this->obj_registrasi->DebugQuery("MemberAlreadyExists2",$params2);
			//$terdaftar2 = $this->obj_registrasi->MemberAlreadyExists2($params2);
			
			/*if(empty($terdaftar2)){
				// redirect to already exist page
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'terdaftar_2', array($this->arr_params['nira']));
			}*/
			// insert into calon_anggota_m
			$file_name = str_replace(' ', '_', $_FILES['image']['name']);
			$file_path = 'doc/ijazah/'.$id_person.'/';	
			$params = array($id_person,$this->arr_params['nama'],$this->arr_params['ktp'], $tgl_lahir, $this->arr_params['tmp_lahir'], $this->arr_params['gender'], $this->arr_params['relasi'],$this->arr_params['prefix'], $this->arr_params['suffix'], $this->arr_params['alamat'],  $this->arr_params['prov'], $this->arr_params['city'], $this->arr_params['kec'],$this->arr_params['kel'], $this->arr_params['kodepos'], $this->arr_params['telepon'], $this->arr_params['handphone'],$this->arr_params['nira'], $this->arr_params['status_anggota'],$this->arr_params['jenis'],$this->arr_params['prov_kom'],$this->arr_params['city_komisariat'],  $this->arr_params['cabang'], $this->arr_params['email'], $this->arr_params['agama'], $this->arr_params['college'], $this->arr_params['jenjang'],$this->arr_params['concentration'], $this->arr_params['concentration_2'], $tgl_mulai, $tgl_selesai,$this->arr_params['ijazah'], $this->arr_params['tempat'], $this->arr_params['alamat_kantor'], $kota_kantor, $this->arr_params['status_pegawai'], $this->arr_params['jabatan'], $this->arr_params['telepon_kantor'], $file_name,$file_path);					
			// execute process
			//print_r($params);exit;
			//$this->obj_registrasi->DebugQuery("MemberRegistration",($params));exit;
			if($this->obj_registrasi->MemberRegistration($params)){
				// send email
				//tambahan
				 $this->arr_params['file_name'] = self::UploadImage($id_person);	
				 $this->arr_params['file_path'] = 'doc/ijazah/'.$id_person.'/';	
						
				self::SendEmail();				
				$id = $this->obj_registrasi->GetLastIdCalonAnggota(array());
				// redirect to success page ------------------------------------
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'sukses', array($id));
			}else{
				// filled last field
				$filled = array("nama" => $this->arr_params['nama'], "ktp" => $this->arr_params['ktp'],"ijazah" => $this->arr_params['ijazah'],"confirm_email" => $this->arr_params['confirm_email'],"image" => $this->arr_params['image'], "kec" => $this->arr_params['kec'],  "kel"=> $this->arr_params['kel'],"prov" => $this->arr_params['prov'],"city" => $this->arr_params['city'], "prov_kom"=> $this->arr_params['prov_kom'],  "city_komisariat"=> $this->arr_params['city_komisariat'],  "cabang"=> $this->arr_params['cabang'], "tahun" => $this->arr_params['tahun'], "bulan" => $this->arr_params['bulan'], "hari" => $this->arr_params['hari'], "tmp_lahir" => $this->arr_params['tmp_lahir'], $this->arr_params['gender'] => 'selected="selected"',$this->arr_params['relasi'] => 'selected="selected"',$this->arr_params['jenis'] => 'cheked="cheked"', "prefix" => $this->arr_params['prefix'], "suffix" => $this->arr_params['suffix'], "alamat" => $this->arr_params['alamat'], "kota" => $this->arr_params['kota'], "kodepos" => $this->arr_params['kodepos'], "telepon" => $this->arr_params['telepon'], "handphone" => $this->arr_params['handphone'],"cabang" => $this->arr_params['KOMISARIAT'], "no_idi" => $this->arr_params['no_idi'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], $this->arr_params['status_anggota'] => 'selected="selected"', "cabang" => $this->arr_params['cabang'], "email" => $this->arr_params['email'], "agama" => $this->arr_params['agama'], "college" => $this->arr_params['college'], "tahun_awal" => $this->arr_params['tahun_awal'], "bulan_awal" => $this->arr_params['bulan_awal'], "tahun_akhir" => $this->arr_params['tahun_akhir'], "bulan_akhir" => $this->arr_params['bulan_akhir'], "concentration" => $this->arr_params['concentration'], "concentration_2" => $this->arr_params['concentration_2'], "tempat" => $this->arr_params['tempat'], "city_office" => $this->arr_params['city_office'], "jabatan" => $this->arr_params['jabatan'], "alamat_kantor" => $this->arr_params['alamat_kantor'], "telepon_kantor" => $this->arr_params['telepon_kantor'], $this->arr_params['status_pegawai'] => 'selected="selected"');
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
				$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form');
			}	
		}else{
			// filled last field
			$filled = array("nama" => $this->arr_params['nama'], "ktp" => $this->arr_params['ktp'],"ijazah" => $this->arr_params['ijazah'],"confirm_email" => $this->arr_params['confirm_email'],"image" => $this->arr_params['image'], "kec" => $this->arr_params['kec'],  "kel"=> $this->arr_params['kel'],"prov" => $this->arr_params['prov'],"city" => $this->arr_params['city'], "prov_kom"=> $this->arr_params['prov_kom'],  "city_komisariat"=> $this->arr_params['city_komisariat'],  "cabang"=> $this->arr_params['cabang'], "tahun" => $this->arr_params['tahun'], "bulan" => $this->arr_params['bulan'], "hari" => $this->arr_params['hari'], "tmp_lahir" => $this->arr_params['tmp_lahir'], $this->arr_params['gender'] => 'selected="selected"',$this->arr_params['relasi'] => 'selected="selected"',$this->arr_params['jenis'] => 'cheked="cheked"', "prefix" => $this->arr_params['prefix'], "suffix" => $this->arr_params['suffix'], "alamat" => $this->arr_params['alamat'], "kota" => $this->arr_params['kota'], "kodepos" => $this->arr_params['kodepos'], "telepon" => $this->arr_params['telepon'], "handphone" => $this->arr_params['handphone'],"cabang" => $this->arr_params['KOMISARIAT'], "no_idi" => $this->arr_params['no_idi'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], $this->arr_params['status_anggota'] => 'selected="selected"', "cabang" => $this->arr_params['cabang'], "email" => $this->arr_params['email'], "agama" => $this->arr_params['agama'], "college" => $this->arr_params['college'], "tahun_awal" => $this->arr_params['tahun_awal'], "bulan_awal" => $this->arr_params['bulan_awal'], "tahun_akhir" => $this->arr_params['tahun_akhir'], "bulan_akhir" => $this->arr_params['bulan_akhir'], "concentration" => $this->arr_params['concentration'], "concentration_2" => $this->arr_params['concentration_2'], "tempat" => $this->arr_params['tempat'], "city_office" => $this->arr_params['city_office'], "jabatan" => $this->arr_params['jabatan'], "alamat_kantor" => $this->arr_params['alamat_kantor'], "telepon_kantor" => $this->arr_params['telepon_kantor'], $this->arr_params['status_pegawai'] => 'selected="selected"');
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form');
		}	
		// redirect page --------------------------------------------------		
	}	
	
	private function ForgetPassword(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		// no anggota
		if(empty($this->arr_params['no_anggota'])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// --
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}
		}
		// kode validasi
		//if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
		//	$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
	//	}
		// processing -----------------------------------------------------
		if(empty($err)){			
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array($this->arr_params['no_anggota'], $this->arr_params['email']);
		//$this->obj_registrasi->DebugQuery("ForgetPassword",$params);exit;
			$result = $this->obj_registrasi->ForgetPassword($params);			
			if(!empty($result)){
				// send email
				if(self::SendAccountToEmail($result)){
					self::SendNotification($err, $filled, 'Email already send.', 'success');
					// redirect to page error page ------------------------------------
				}else{
					self::SendNotification($err, $filled, 'Email not send, please retry your input.', 'error');
					// redirect to page error page ------------------------------------
				}
			}else{
				// filled last field
				$filled = array( "no_anggota" => $this->arr_params['no_anggota'], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "EMAIL" => $this->arr_params['email']);
				// error message
				self::SendNotification($err, $filled, 'Data anda tidak ditemukan.', 'error');
				// redirect to page error page ------------------------------------
			}
		}else{
			// filled last field
			$filled = array( "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "EMAIL" => $this->arr_params['email']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------				
		}	
		// redirect page --------------------------------------------------	
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'], 'forget-password');	
	}
	
	private function AccountRequest(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		// no anggota
		if(empty($this->arr_params['no_anggota'])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// --
		if(empty($this->arr_params['nama'])){ $err[] = '<br /><b>Nama lengkap</b> harus diisi'; }
		if(empty($this->arr_params['telepon'])){ $err[] = '<br /><b>Nomor telepon</b> harus diisi'; }
		if(empty($this->arr_params['handphone'])){ $err[] = '<br /><b>Nomor HP</b> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><b>PPNI Komisariat</b> harus diisi'; }
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}else{
				// validasi email
				if($this->arr_params['email'] !== $this->arr_params['confirm_email']){
					$err[] = '<br /><b>Confirm E-mail</b> yang dimasukkan tidak valid'; 
				}
			}
		}
		// kode validasi
		//if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
		//	$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
	//	}
		// processing -----------------------------------------------------
		if(empty($err)){
			// insert into calon_anggota_m
			$params = array($this->arr_params['nama'], $this->arr_params['no_anggota'], $this->arr_params['telepon'], $this->arr_params['handphone'], $this->arr_params['cabang'], $this->arr_params['email']);					
			// execute process
			if($this->obj_registrasi->SaveAccountRequest($params)){
				self::SendNotification($err, $filled, 'Data has been send.', 'success');
				// redirect to page error page ------------------------------------	
			}else{
				// filled last field
				$filled = array("NAMA" => $this->arr_params['nama'], "no_anggota_1" => $this->arr_params['no_anggota'], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "CABANG" => $this->arr_params['cabang'], "EMAIL" => $this->arr_params['email'], "TELEPON" => $this->arr_params['telepon'], "HANDPHONE" => $this->arr_params['handphone']);
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
			}	
		}else{
			// filled last field
			$filled = array("NAMA" => $this->arr_params['nama'], "no_anggota_1" => $this->arr_params['no_anggota'][1], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "CABANG" => $this->arr_params['cabang'], "EMAIL" => $this->arr_params['email'], "TELEPON" => $this->arr_params['telepon'], "HANDPHONE" => $this->arr_params['handphone']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'kontak-form');
	}	
	
	private function SendEmail(){
		// get data cabang
		$cabang = $this->obj_registrasi->GetInformasiCabangById(array($this->arr_params['cabang']));
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 500px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>PERSATUAN PERAWAT NASIONAL INDONESIA</h3>
						<h3>Komisariat ".$cabang['nama']."</h3>
						<p><small>".$cabang['alamat']."</small></p>
						<p><strong>".$this->arr_params['prefix'].' '.$this->arr_params['nama'].' '.$this->arr_params['suffix']."</strong>,<br>
						Pendaftaran anda telah diterima, tim administrator Komisariat yang bersangkutan akan melakukan verifikasi data yang anda masukkan dan selanjutnya dikonfirmasikan kembali melalui email ini.<br></p>
						<p> Terima kasih.</p>
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Konfirmasi pendaftaran";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);		
		$this->obj_mail->AddAddress($this->arr_params['email'], $this->arr_params['nama']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}	
	
	private function UploadImage($id_person){
		// allowed type
		$this->obj_upload->file_accept = array('jpg', 'jpeg', 'png');
      	$file_name = "";
		if(isset($_FILES['image']['tmp_name']) AND !empty($_FILES['image']['tmp_name'])){
			// name and path file
			$file_name = str_replace(' ', '_', $_FILES['image']['name']);
			$file_path = "doc/ijazah/".$id_person.'/';
			$this->obj_upload->RemoveDir($file_path);
			// processing
			$this->obj_upload->FileUpload($_FILES['image'], $file_path);
		}
		return $file_name;
	}
	private function SendAccountToEmail($result){
		$userid = $result['userid'];
		$pass = $this->obj_crypt->StandardDecrypt($result['pass'], $result['hash_key']);
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 400px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>PERSATUAN PERAWAT NASIONAL INDONESIA</h3>
						<h3>Komisariat ".$result['cabang']."</h3>
						<p><small>".$result['alamat_cabang']."</small></p>
						<p><strong>".$result['prefix'].' '.$result['nama_lengkap'].' '.$result['suffix']."</strong>,<br>
						Berikut ini adalah account setting anda dalam web aplikasi PPNI<br>
						User id : <strong>$userid</strong><br />
						Password : <strong>$pass</strong><br>
						</p>
						<p> Terima kasih.</p>
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Forget Your Password?";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);
		$this->obj_mail->AddAddress($result['email'], $result['nama_lengkap']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}
	
	private function VaReguest(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// ----------------------------------------------------------------	
		// no anggota
		//if(empty($this->arr_params['no_anggota'])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][2])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//if(empty($this->arr_params['no_anggota'][3])){ $err[] = '<br /><b>Nomor anggota</b> harus diisi'; }
		//$this->arr_params['no_anggota'] = implode(" ", $this->arr_params['no_anggota']);
		// --
		if(empty($this->arr_params['email'])){ $err[] = '<br /><b>Email</b> harus diisi'; }else{
			// eregi email
			$normal = "^[a-z0-9_\+-]+(\.[a-z0-9_\+-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,4})$";
			if(!eregi($normal, $this->arr_params['email'])){
			  $err[] = '<br /><b>Email</b> tidak sesuai dengan contoh format';
			}
		
		// kode validasi
		//if($this->arr_params['valid_code'] != $_SESSION['captcha']){ 
		//	$err[] = '<br /><b>Kode validasi</b> yang dimasukkan tidak valid';
	//	}
		// processing -----------------------------------------------------
		if(empty($err)){			
			// validasi nomor anggota yang sudah terdaftar (diambil dari table member_m)
			$params = array(trim($this->arr_params['email']));
		//$this->obj_registrasi->DebugQuery("Varequeste",$params);exit;
			$result = $this->obj_registrasi->Varequeste($params);			
			if(!empty($result)){
				// send email
			$params = $result;
		//	print_r($params);exit;
		$result2 = $this->obj_registrasi->GetCalonAnggotaById($params);	
		//print_r($this->arr_params['valid']);exit;	
			$params2 = array();
			$MaxId = $this->obj_registrasi->GetRecordVirtualAcountMax($params2);
			$angka_urut = $MaxId['id']+ 1;
			//print_r($result);exit;
			$angka_urut_va = self::tambah_nol($angka_urut ,6);
			$fix='988';
			$clienID='43147';
			$pembeda=substr($result2[handphone],-2);
			if($pembeda>0){
			   $pembeda_hp=substr($result2[id_person],-1);
			    
			}else{
			 $pembeda_hp=1;   
			}
			//print_r($pembeda_hp);exit;
			$virtual_accout=$fix.$clienID.$pembeda.$angka_urut_va;
			$expired_unit=date('c', time() + 168 * 3600);
			$tahun = date('Y');
			$mount='360000';
			$param_virtual_acount=array($result2['id_person'], $result2['nama'], $result2['email'],$result2['handphone'], $virtual_accout,$mount,$tahun, $expired_unit,'mandiri', $result2['id_person']);
			$param_urut_va=array($this->arr_params['id_person'],  $virtual_accout);	
				if(!empty($result2)){
				
			
				// Create Virtual Account
				$this->obj_registrasi->MemberVirtualAcount($param_virtual_acount);
				//urutvirtual_account
                $this->obj_registrasi->InsertNourutVirtualAcount($param_urut_va);
				if(!self::SendEmailVirtualAcoaunt($result2['id_cabang'], $result2, $virtual_accout)){
					$err[] = '<br /><b>Email</b> tidak dapat terkirim';
				}
				// BNI Create VA BNIHashing
					$client_id = '43147';
					$secret_key = 'fbf00c494cd8c7c3329a64dfe5eaf798';
					$url = 'https://api.bni-ecollection.com/';
					
					
					$data_asli = array(
						'type' => 'createbilling',
						'client_id' => $client_id,
						'trx_id' => mt_rand(), // fill with Billing ID
						'trx_amount' => 360000,
						'billing_type' => 'c',
						'datetime_expired' => date('c', time() + 168 * 3600), // billing will be expired in 2 hours
						'virtual_account' => $virtual_accout,
						'customer_name' => $result2['nama'],
						'customer_email' =>  $result2['email'],
						'customer_phone' => $result2['handphone'],
						'description' => 'DPW'.$result['id_province_kom'].'|'.'DPD'.$result['id_city_komisariat'].'|'.'DPK'.$result['id_cabang']
					);
					
					$hashed_string = $this->obj_bnihashing->hashData(
						$data_asli,
						$client_id,
						$secret_key
					);
					
					$data = array(
						'client_id' => $client_id,
						'data' => $hashed_string,
					);
					
					$response = self::get_content($url, json_encode($data));
					$response_json = json_decode($response, true);
					
					if ($response_json['status'] !== '000') {
						// handling jika gagal
						var_dump($response_json);
					}
					else {
						$data_response =  $this->obj_bnihashing->parseData($response_json['data'], $client_id, $secret_key);
						// $data_response will contains something like this: 
						// array(
						// 	'virtual_account' => 'xxxxx',
						// 	'trx_id' => 'xxx',
						// );
						
						var_dump($data_response);
					}
				// batas Va BNI 
				
				
					// redirect to page error page ------------------------------------
				
			}else{
				// filled last field
				$filled = array( "no_anggota" => $this->arr_params['no_anggota'], "no_anggota_2" => $this->arr_params['no_anggota'][2], "no_anggota_3" => $this->arr_params['no_anggota'][3], "EMAIL" => $this->arr_params['email']);
				// error message
				self::SendNotification($err, $filled, 'Data anda tidak ditemukan.', 'error');
				// redirect to page error page ------------------------------------
			}
		}else{
			// filled last field
			$filled = array( "EMAIL" => $this->arr_params['email']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------
		}
		}	
		// redirect page --------------------------------------------------	
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'], 'va_request');	
	}
	
	}
	
	
	private function SendEmailVirtualAcoaunt($id_cabang, $result,  $virtual_accout){
		// get data cabang
		$cabang = $this->obj_registrasi->GetInformasiCabangById(array($id_cabang));
                //$img_pembayaran = HTTPPATH.'doc/temp/pembayaran.jpg';
		// body
		$body	= "<body bgcolor=\"#CCCCCC\">
					<style>
					.page {
						margin: auto;
						padding: 5px 5px 5px 5px;
						width: 400px;
						background-color: #FFFFFF;
						border: 1px solid #999999;
						font-family: Verdana, Arial, Helvetica, sans-serif;
					}
					.page p {
						margin: 0px 0px 10px 0px;
						font-size: 11px;
						line-height: 16px;
					}
					.page H3 {
						margin: 0px 0px 10px 0px;
						font-size: 12px;
					}
					</style>
					<div class=\"page\">
						<h3>Persatuan Perawat Nasional Indonesia</h3>
						<h3>Komisariat ".$cabang['nama']."</h3>
						<p><small>".$cabang['alamat']."</small></p>
						<p><strong>".$result['prefix'].' '.$result['nama'].' '.$result['suffix']."</strong>,<br>
						Data anda telah diverifikasi oleh pengurus Komisariat. Selanjutnya silahkan anda melakukan pembayaran menngunakan virtual acount dari Bank BNI di bawah:<br>
						Virtual Acount:<strong> $virtual_accout</strong><br />
						Besaran yang harus di bayarkan sebesar <strong> Rp. 360.000</strong> silahkan anda melakukan pembayaran melalui ATM, Setor Tunai atau Internet Banking Bank BNI
						
						Setelah anda melakukan pembayaran akan dilakukan verifikasi administrasi lebih lanjut untuk penerbitan NIRA,user id dan Password yang akan di kirim via email.
						<img src='http://ppni-inna.org/doc/temp/pembayaran1.jpg' alt='test image 2'>
						
						</p>
						<p> Terima kasih.</p>
					</div>
					</body>";	
		// $body             = $this->obj_mail->getFile('doc/mail/contents.html');
		$body             = eregi_replace("[\]",'',$body);
		// this script will auto generate setting
                $this->obj_mail->AddEmbeddedImage('http://ppni-inna.org/doc/temp/pembayaran1.jpg', 'logo_2u');
		$this->obj_mail->IsSMTP();
		$this->obj_mail->SMTPAuth   = true;                  				// enable SMTP authentication
		$this->obj_mail->SMTPSecure = "ssl";                 				// sets the prefix to the servier
		$this->obj_mail->Host       = $this->arr_system_default['smtp_host'];    	// sets GMAIL as the SMTP server
		$this->obj_mail->Port       = $this->arr_system_default['smtp_port'];    	// set the SMTP port for the GMAIL server		
		$this->obj_mail->Username   = $this->arr_system_default['smtp_username'];    // GMAIL username
		$this->obj_mail->Password   = $this->arr_system_default['smtp_password'];    // GMAIL password		
		$this->obj_mail->AddReplyTo($this->arr_system_default['siteemail'], $this->arr_system_default['sitename']);		
		$this->obj_mail->From       = $this->arr_system_default['siteemail'];
		$this->obj_mail->FromName   = $this->arr_system_default['sitename'];		
		$this->obj_mail->Subject    = "Verifikasi pendaftaran";		
		//$this->obj_mail->Body       = "Hi,<br>This is the HTML BODY<br>";                      
		//HTML Body
		$this->obj_mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; 
		// optional, comment out and test
		$this->obj_mail->WordWrap   = 50; // set word wrap		
		$this->obj_mail->MsgHTML($body);		
		$this->obj_mail->AddAddress($result['email'], $result['prefix'].' '.$result['nama'].' '.$result['suffix']);		
		// $this->obj_mail->AddAttachment("images/phpmailer.gif");             // attachment
		$this->obj_mail->IsHTML(true); // send as HTML		
		if(!$this->obj_mail->Send())
			return false;
		else
			return true;
	}
	
	
	private function get_content($url, $post = '') {
	$usecookie = HTTPPATH.doc."/cookie.txt";
	$header[] = 'Content-Type: application/json';
	$header[] = "Accept-Encoding: gzip, deflate";
	$header[] = "Cache-Control: max-age=0";
	$header[] = "Connection: keep-alive";
	$header[] = "Accept-Language: en-US,en;q=0.8,id;q=0.6";

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_VERBOSE, false);
	// curl_setopt($ch, CURLOPT_NOBODY, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($ch, CURLOPT_ENCODING, true);
	curl_setopt($ch, CURLOPT_AUTOREFERER, true);
	curl_setopt($ch, CURLOPT_MAXREDIRS, 5);

	curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.120 Safari/537.36");

	if ($post)
	{
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
	}

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

	$rs = curl_exec($ch);

	if(empty($rs)){
		var_dump($rs, curl_error($ch));
                echo "$usecookie";exit;
		curl_close($ch);
		return false;
	}
	curl_close($ch);
	return $rs;
	}
	
	private  function tambah_nol($angka,$jumlah){	
		   $jumlah_nol = strlen($angka);
		   $angka_nol = $jumlah - $jumlah_nol;
		   $nol = "";
		   for($i=1;$i<=$angka_nol;$i++)
		   {
			  $nol .= '0';
		   }
		   return $nol.$angka;
	}	
	
}

?>