<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 
	private $obj_registrasi;
	private $obj_dashboard;
	private $obj_date;
	private $obj_maps;
	// init variable
	private $int_periode;
	
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        // add content template
		$this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		// load business		
		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);
		$this->obj_dashboard->UseQuery(array('pelamar'));	
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_registrasi->UseQuery(array('periode'));	
		// load library 
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_maps = $this->obj_ctrl->LoadLibrary('FusionMaps');
		// load javascript 
		$this->obj_ctrl->LoadJavascript('fusionmaps');
	}
	
	public function PageView(){	
		// display page link
		self::DisplayPageLink();	
		// display periode
		self::DisplayPeriode();	
		// display maps
		self::DisplayMap();		
		// display list fakultas
		self::DisplayListFakultas();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_PENDAFTARAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'info'));
	}
	
	private function DisplayPeriode(){
		$this->int_periode = (isset($this->arr_routes['params'][0])?$this->arr_routes['params'][0]:0);
		// display data
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetDetailPeriodePendaftaranById", array($this->int_periode));
		if(!empty($result)){
			$this->obj_tmpl->addVar('content', 'JUDUL', $result['nama']);
			$this->obj_tmpl->addVar('content', 'KETERANGAN', $result['keterangan']);
			$this->obj_tmpl->addVar('content', 'TGL_MULAI', $this->obj_date->GetFullDate($result['tgl_mulai']));
			$this->obj_tmpl->addVar('content', 'TGL_AKHIR', $this->obj_date->GetFullDate($result['tgl_akhir']));
		}
	}
	
	// maps
	
	private function DisplayMap(){
		$total = 0;
		$data = '';
		// get data
		$rs_id = $this->obj_dashboard->GetResourceId("GetPelamarPerPropinsi", array($this->int_periode));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-propinsi', array($this->int_periode, $rec['id_province']));
				$data .= "<entity id='".$rec['id_internal']."' value='".intval($rec['jumlah'])."' link='".$url."' />";
				$total = $total + intval($rec['jumlah']);
			}
		}		
		// map elemen
		$strXML = "<map animation='1' showShadow='0' showBevel='0' fillColor='58B15A' fillAlpha='100' borderColor='156100' baseFontSize='9' bgColor='37ADFF, FFFFFF' bgAlpha='30,30' showToolTip='1' showLabels='1' legendPosition='Bottom' useHoverColor='1' hoverColor='127C01'>";
		// Setting colors and parameter
		$strXML .= "<colorRange>";
		$strXML .= "<color minValue='1' maxValue='20' displayValue='1 - 20' color='FFFBC2' />";
		$strXML .= "<color minValue='21' maxValue='50' displayValue='20 - 50' color='FFEF3F' />";
		$strXML .= "<color minValue='51' maxValue='100' displayValue='51 - 100' color='FEA044' />";
		$strXML .= "<color minValue='101' maxValue='10000' displayValue='Diatas 100' color='FF6060' />";
		$strXML .= "</colorRange>";
		$strXML .= "<data>";
		$strXML .= $data;
		$strXML .= "</data>";
		$strXML .= "<styles>";
		$strXML .= "<definition>";
		$strXML .= "<style name='TTipFont' type='font' color='000000' bgColor='FFFFFF' borderColor='F4D78A' />";
		$strXML .= "<style type='animation' name='animX' param='_xscale' start='0' duration='1' />";
		$strXML .= "<style type='animation' name='animY' param='_yscale' start='0' duration='1' />";
		$strXML .= "</definition>";
		$strXML .= "<application>";
		$strXML .= "<apply toObject='TOOLTIP' styles='TTipFont' />";
		$strXML .= "<apply toObject='PLOT' styles='animX,animY' />";
		$strXML .= "</application>";
		$strXML .= "</styles>";
		$strXML .= "</map>";		
		// print out maps
		$maps = $this->obj_maps->UseMap('FCMap_Indonesia');
		$print_maps = $this->obj_maps->renderMap($maps, "", $strXML, "Indonesia", 500, 300, 0, 0);
		$this->obj_tmpl->addVar('content', 'MAP', $print_maps);
		// parse total pelamar
		$this->obj_tmpl->addVar('content', 'TOTAL', $total);		
	}
	
	private function DisplayListFakultas(){
		// display data
		$params = array($this->int_periode, $this->int_periode, $this->int_periode);
		$rs_id = $this->obj_dashboard->GetResourceId("GetListFakultasByPeriode", $params);
		if($rs_id){
			$no = 1;
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_fakultas', 'NO', $no);
				$this->obj_tmpl->addVar('list_fakultas', 'FAKULTAS', $rec['nama']);
				$total = (!empty($rec['jumlah'])?$rec['jumlah']:'-');
				$this->obj_tmpl->addVar('list_fakultas', 'JUMLAH', $total);
				$total = (!empty($rec['akademik'])?$rec['akademik']:'-');
				$this->obj_tmpl->addVar('list_fakultas', 'AKADEMIK', $total);
				$total = (!empty($rec['lulus'])?$rec['lulus']:'-');
				$this->obj_tmpl->addVar('list_fakultas', 'DITERIMA', $total);
				// url
				$this->obj_tmpl->addVar('list_fakultas', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'statistik-peminatan', array($this->int_periode, $rec['id_fakultas'])));
				// append
				$this->obj_tmpl->parseTemplate('list_fakultas', 'a');
				$no++;
			}
		}
	}
}

?>