<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_paging;
	protected $obj_overview;
	// advance parameter search
	protected $str_nama;
	protected $str_sex;
	protected $str_con;
	protected $str_workplace;
	protected $str_alamat;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		$this->obj_ctrl->SetBaseLayout();
		// call function to set page templates
		$this->SetPageTemplates();		
		// --
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');
		$this->obj_overview->SetUsesBusinessQuery($loaded_query);
		// --
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');	
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');
	}
	
	public function PageView(){
		// variable link
		self::DisplayVariable();
		// display list specialist
		self::GetParameters();
		// display list specialist
		self::DisplayListSpecialist();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayVariable(){
		$this->obj_tmpl->addVar('content', 'URL_SEARCH', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'process'));
		$this->obj_tmpl->addVar('content', 'URL_ADVANCE', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'advance-search'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
		$this->obj_tmpl->addVar('content', 'URL_WORKPLACE', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'tempat-praktik'));
	}	
	
	private function GetParameters(){
		$this->str_nama = '%';
		$this->str_sex = '%';
		$this->str_con = '%';
		$this->str_workplace = '%';
		$this->str_alamat = '%';
		if(isset($_SESSION['search_advance'])){
			// parse data
			$this->obj_tmpl->addVar('content', 'NAMA', $_SESSION['search_advance']['nama']);
			$this->obj_tmpl->addVar('content', 'ALAMAT', $_SESSION['search_advance']['alamat']);
			$this->obj_tmpl->addVar('content', 'CONCENTRATION', $_SESSION['search_advance']['concentration']);
			$this->obj_tmpl->addVar('content', 'WORKPLACE', $_SESSION['search_advance']['workplace']);
			$this->obj_tmpl->addVar('content', $_SESSION['search_advance']['sex'], 'selected="selected"');
			// set params
			$this->str_nama .= $_SESSION['search_advance']['nama'];
			$this->str_sex .= $_SESSION['search_advance']['sex'];
			$this->str_con .= $_SESSION['search_advance']['concentration'];
			$this->str_workplace .= $_SESSION['search_advance']['workplace'];
			$this->str_alamat .= $_SESSION['search_advance']['alamat'];
		}
		$this->str_nama .= '%';
		$this->str_sex .= '%';
		$this->str_con .= '%';
		$this->str_workplace .= '%';
		$this->str_alamat .= '%';
	}	
	
	private function DisplayListSpecialist(){
		$params = array($this->str_nama, $this->str_sex, $this->str_alamat, $this->str_con, $this->str_con, $this->str_workplace, $this->str_workplace);
		// set parameter pages on index [0]
		if(!isset($this->arr_routes['params'][0]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][0];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(20);
		// set total record
		$total = $this->obj_overview->GetDataAsSingleArray("GetTotalListSpecialistByAdvance", $params);
		$this->obj_paging->SetTotalRecord($total['total']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		// set template pagination
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$no = 1 + $start;
		$params = array($this->str_nama, $this->str_sex, $this->str_alamat, $this->str_con, $this->str_con, $this->str_workplace, $this->str_workplace, $start, $max);
		$rs_id = $this->obj_overview->GetResourceId("GetListSpecialistByAdvance", $params);
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_specialist', 'NO', $no);
				$this->obj_tmpl->addVar('list_specialist', 'ID', $rec['id_person']);
				$this->obj_tmpl->addVar('list_specialist', 'NAMA_LENGKAP', $rec['nama_lengkap']);
				$this->obj_tmpl->addVar('list_specialist', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));
				// $this->obj_tmpl->addVar('list_specialist', 'STATUS', $rec['status_pegawai']);
				// photo
				$photo_path = "doc/person/".$rec['id_person']."/foto/".$rec['photo'];
				if(is_file($photo_path)){
					$photo = '<img src="'.HTTPPATH.$photo_path.'" class="small-pic" />';
					$this->obj_tmpl->addVar('list_specialist', 'PHOTOPATH', $photo);
				}else{
					$photo = '<img src="'.HTTPPATH."doc/temp/blank.gif".'" class="small-pic" />';
					$this->obj_tmpl->addVar('list_specialist', 'PHOTOPATH', $photo);
				}
				// privacy settings
				if($rec['basic'] == 'all'){
					$this->obj_tmpl->addVar('list_specialist', 'CABANG', "Komisariat " . $rec['cabang']);				
					$this->obj_tmpl->addVar('list_specialist', 'NO_ANGGOTA', $rec['no_anggota']);
				}
				if($rec['workplace'] == 'all'){
					if(!empty($rec['jabatan']))
							$this->obj_tmpl->addVar('list_specialist', 'JABATAN', $rec['jabatan'] . '<br />');
					$this->obj_tmpl->addVar('list_specialist', 'TEMPAT_KERJA', $rec['tempat_1']);
					$this->obj_tmpl->addVar('list_specialist', 'ALAMAT_KERJA', $rec['alamat_kantor']);
				}
				if($rec['address'] == 'all'){
					$this->obj_tmpl->addVar('list_specialist', 'ALAMAT_TINGGAL', $rec['alamat_tinggal']);
					$this->obj_tmpl->addVar('list_specialist', 'KOTA', $rec['kota']);
					$this->obj_tmpl->addVar('list_specialist', 'EMAIL', $rec['email']);
				}				
				$this->obj_tmpl->ParseTemplate('list_specialist', 'a');
				$no++;
			}
		}
	}	
}

?>