<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_overview;
	private $int_province;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		$this->obj_ctrl->SetBaseLayout();
		// call function to set page templates
		$this->SetPageTemplates();		
		// --
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');
		$this->obj_overview->SetUsesBusinessQuery($loaded_query);
		// load javascript
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.dimensions', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.tooltip', 'jquery');
	}
	
	public function PageView(){
		// display variable
		self::DisplayVariable();
		// display overview province and city
		self::DisplayListProvince();
		self::DisplayListCity();
		// maps view
		self::DisplayMaps();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayVariable(){
		$this->obj_tmpl->addVar('content', 'URL_SEARCH', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'process'));
		$this->obj_tmpl->addVar('content', 'URL_ADVANCE', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'advance-search'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
		$this->obj_tmpl->addVar('maps', 'URL_MAP', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		// variable
		if(isset($this->arr_routes['params'][0]) AND !empty($this->arr_routes['params'][0])){
			$this->int_province = $this->arr_routes['params'][0];
		}else{
			$this->int_province = 0;
		}
	}	

	private function DisplayListProvince(){
		$rs_id = $this->obj_overview->GetResourceId("GetListProvince", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if(isset($this->int_province)){
					if($rec['id_province'] == $this->int_province)
						$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');
					else
						$this->obj_tmpl->addVar('list_province', 'SELECTED', '');
				}
				$this->obj_tmpl->addVar('list_province', 'VALUE', $rec['id_province']);
				$this->obj_tmpl->addVar('list_province', 'NAME', $rec['province_name']);
				$this->obj_tmpl->ParseTemplate('list_province', 'a');
			}
		}
	}			

	private function DisplayListCity(){
		if(isset($this->int_province)){
			$rs_id = $this->obj_overview->GetResourceId("GetListCityByProvince", array($this->int_province));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){				
					$this->obj_tmpl->addVar('list_city', 'VALUE', $rec['id_city']);
					$this->obj_tmpl->addVar('list_city', 'NAME', $rec['city_name']);
					$this->obj_tmpl->ParseTemplate('list_city', 'a');
				}
			}
		}
	}	

	private function DisplayMaps(){		
		switch($this->int_province){
			case 11:
				self::DisplayProvinceMaps(11);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_NAD');
				break;
			case 12:
				self::DisplayProvinceMaps(12);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SUMUT');
				break;
			case 13:
				self::DisplayProvinceMaps(13);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SUMBAR');
				break;
			case 14:
				self::DisplayProvinceMaps(14);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_RIAU');
				break;
			case 15:
				self::DisplayProvinceMaps(15);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_JAMBI');
				break;
			case 16:
				self::DisplayProvinceMaps(16);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SUMSEL');
				break;
			case 17:
				self::DisplayProvinceMaps(17);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_BENGKULU');
				break;
			case 18:
				self::DisplayProvinceMaps(18);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_LAMPUNG');
				break;
			case 19:
				self::DisplayProvinceMaps(19);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_BANGKA');
				break;
			case 21:
				self::DisplayProvinceMaps(21);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_KEPRI');
				break;
			case 31:
				self::DisplayProvinceMaps(31);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_JAKARTA');
				break;
			case 32:
				self::DisplayProvinceMaps(32);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_JABAR');
				break;
			case 33:
				self::DisplayProvinceMaps(33);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_JATENG');
				break;
			case 34:
				self::DisplayProvinceMaps(34);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_YOGYAKARTA');
				break;
			case 35:
				self::DisplayProvinceMaps(35);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_JATIM');
				break;
			case 36:
				self::DisplayProvinceMaps(36);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_BANTEN');
				break;
			case 51:
				self::DisplayProvinceMaps(51);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_BALI');
				break;
			case 52:
				self::DisplayProvinceMaps(52);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_NTB');
				break;
			case 53:
				self::DisplayProvinceMaps(53);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_NTT');
				break;
			case 61:
				self::DisplayProvinceMaps(61);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_KALBAR');
				break;
			case 62:
				self::DisplayProvinceMaps(62);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_KALTENG');
				break;
			case 63:
				self::DisplayProvinceMaps(63);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_KALSEL');
				break;
			case 64:
				self::DisplayProvinceMaps(64);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_KALTIM');
				break;
			case 71:
				self::DisplayProvinceMaps(71);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SULUT');
				break;
			case 72:
				self::DisplayProvinceMaps(72);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SULTENG');
				break;
			case 73:
				self::DisplayProvinceMaps(73);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SULSEL');
				break;
			case 74:
				self::DisplayProvinceMaps(74);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SULTRA');
				break;
			case 75:
				self::DisplayProvinceMaps(75);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_GORONTALO');
				break;
			case 76:
				self::DisplayProvinceMaps(76);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_SULBAR');
				break;
			case 81:
				self::DisplayProvinceMaps(81);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_MALUKU');
				break;
			case 82:
				self::DisplayProvinceMaps(82);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_MALUKU_UTARA');
				break;
			case 91:
				self::DisplayProvinceMaps(91);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_PAPUA');
				break;
			case 92:
				self::DisplayProvinceMaps(92);
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_IRJA_BARAT');
				break;
			default:
				self::DisplayIndonesiaMaps();
				$this->obj_tmpl->addVar('content', 'MAP', 'PETA_INDONESIA');
				break;
		}
	}
	
	private function DisplayIndonesiaMaps(){
		$rs_id = $this->obj_overview->GetResourceId("GetListProvinceWithSpecialist", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url = $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota', array($rec['id_province']));
				$this->obj_tmpl->addVar('list_area', 'URL_MAP', $url);
				$this->obj_tmpl->addVar('list_area', 'SHAPE', $rec['shape']);
				$this->obj_tmpl->addVar('list_area', 'COORDS', $rec['coords']);
				$this->obj_tmpl->addVar('list_area', 'NAME', $rec['province_name']);
				$this->obj_tmpl->addVar('list_area', 'JUMLAH', $rec['jumlah']);
				$this->obj_tmpl->ParseTemplate('list_area', 'a');
			}
		}		
	}
	
	private function DisplayProvinceMaps($id_province){
		$rs_id = $this->obj_overview->GetResourceId("GetListCityWithSpecialist", array($id_province));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$url = $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'result', array($rec['id_province'], $rec['id_city']));
				$this->obj_tmpl->addVar('list_area', 'URL_MAP', $url);
				$this->obj_tmpl->addVar('list_area', 'SHAPE', $rec['shape']);
				$this->obj_tmpl->addVar('list_area', 'COORDS', $rec['coords']);
				$this->obj_tmpl->addVar('list_area', 'NAME', $rec['city_name']);
				$this->obj_tmpl->addVar('list_area', 'JUMLAH', $rec['jumlah']);
				$this->obj_tmpl->ParseTemplate('list_area', 'a');
			}
		}	
	}
}

?>