<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_overview;
	protected $obj_date;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('content');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		// list member
		self::DisplayPopupMember($this->arr_routes['params'][0]);
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPopupMember($id_person){
		// basic information and address
		//$basic = $this->obj_overview->debugquery("GetMemberBasicInformationById", array($id_person));
		$basic = $this->obj_overview->GetDataAsSingleArray("GetMemberBasicInformationById", array($id_person));
		// education
		$education = $this->obj_overview->GetResourceId("GetMemberEducationById", array($id_person));
		// office
		$office = $this->obj_overview->GetDataAsSingleArray("GetMemberOfficeById", array($id_person));
		// workplace
		$workplace = $this->obj_overview->GetResourceId("GetMemberWorkplaceById", array($id_person));
		// privacy setting
		$privacy = $this->obj_overview->GetDataAsSingleArray("GetMemberPrivacyById", array($id_person));
		if(!empty($privacy)){
			$this->obj_tmpl->addVar('content', 'ID', str_replace("-", "_", $basic['id_person']));
			$this->obj_tmpl->addVar('content', 'NAMA_LENGKAP', $basic['nama_lengkap']);
			$photo_path = "doc/person/".$basic['id_person']."/foto/".$basic['photo'];
			if(is_file($photo_path)){
				//$photo = '<img src="'.HTTPPATH.$photo_path.'" width="80px" height="100px" />';
				$photo = '<img src="'.HTTPPATH.$photo_path.'" width="80px"  />';
				$this->obj_tmpl->addVar('content', 'PHOTOPATH', $photo);
			}else{
				//$photo = '<img src="'.HTTPPATH."doc/temp/blank.gif".'" width="80px" height="100px" />';
				$photo = '<img src="'.HTTPPATH."doc/temp/blank.gif".'" width="80px"  />';
				$this->obj_tmpl->addVar('content', 'PHOTOPATH', $photo);
			}
			// basic
			if($privacy['basic'] == 'all'){
				$this->obj_tmpl->addVar('content', 'TMP_LAHIR', $basic['tempat_lahir']);
				$this->obj_tmpl->addVar('content', 'TGL_LAHIR', $this->obj_date->GetFullDate($basic['tanggal_lahir'], 'ins'));
				$this->obj_tmpl->addVar('content', 'GENDER', ucwords($basic['jenis_kelamin']));
				$this->obj_tmpl->addVar('content', 'NO_ANGGOTA', $basic['no_anggota']);
				$this->obj_tmpl->addVar('content', 'CABANG', $basic['cabang']);
				$this->obj_tmpl->addVar('content', 'STATUS_ANGGOTA', $basic['status_anggota']);
			}
			// address
			if($privacy['address'] == 'all'){
				$this->obj_tmpl->addVar('content', 'ALAMAT', $basic['alamat']);
				$this->obj_tmpl->addVar('content', 'TELEPON', $basic['telepon']);
				$this->obj_tmpl->addVar('content', 'KOTA', $basic['kota']);
				$this->obj_tmpl->addVar('content', 'EMAIL', $basic['email']);
			}
			// education
			if($privacy['education'] == 'all'){
				if($education){
					$str_edu = "";
					while($rec = mysqli_fetch_assoc($education)){
						$str_edu .= '<tr><td colspan="2">';
						$str_edu .= $rec['college'] . ', ';
						$str_edu .= '('.$rec['tahun_masuk'].' s/d '.$rec['tahun_lulus'].')';
						$str_edu .= '</td></tr>';
					}
					$this->obj_tmpl->addVar('content', 'EDUCATION', $str_edu);
				}
			}
			// office
			if($privacy['workplace'] == 'all'){
				// office
				$this->obj_tmpl->addVar('content', 'OFFICE', $office['tempat']);
				$this->obj_tmpl->addVar('content', 'STATUS_KEPEGAWAIAN', $office['status_pegawai']);
				$this->obj_tmpl->addVar('content', 'JABATAN', $office['jabatan']);
				$this->obj_tmpl->addVar('content', 'ALAMAT_OFFICE', $office['alamat']);
				$this->obj_tmpl->addVar('content', 'TELP_OFFICE', $office['telepon']);
				$this->obj_tmpl->addVar('content', 'KOTA_OFFICE', $office['kota']);
				// workplace
				if($workplace){
					$str_workplace = "";
					while($rec = mysqli_fetch_assoc($workplace)){
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= '<b>'.$rec['tempat'].'</b>';
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['jabatan'];
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['alamat'] . '<br />' . $rec['telepon'];
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['kota'];
						$str_workplace .= '</td></tr>';						
					}
					$this->obj_tmpl->addVar('content', 'WORKPLACE', $str_workplace);
				}
			}
			$this->obj_tmpl->ParseTemplate('content', 'a');
		}
	}
	
}

?>