<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_overview;
	protected $obj_date;
	protected $obj_cpd;
	protected $id_periode;
	protected $int_periode = '';
	protected $str_tgl_mulai;
	protected $str_tgl_selesai;
	protected $arr_ranah_all = array();
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('content');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_user', 'mysql', $this->arr_config['db']);
		$loaded_query = array('evaluasi', 'kegiatan', 'str', 'dokumen');
		$this->obj_cpd->SetUsesQuery($loaded_query);
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		
	}
	
	public function PageView(){
		
		// display periode user
		self::DisplayDetailPeriode();
		// display tahun kegiatan
		self::GetListTahunKegiatan();
		// display keseluruhan
		self::DisplayTabelNilaiSKP();
		// display list dokumen
		// display variable
		self::DisplayVariable();
		// list member
		$id_person=(isset($this->arr_routes['params']['0'])?$this->arr_routes['params']['0']:0);
		self::DisplayPopupMember($id_person);
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayVariable(){
		$id_periode=(isset($this->arr_routes['params']['1'])?$this->arr_routes['params']['1']:0);
		// variable
		$this->obj_tmpl->AddVar('content', 'ID_PERSON', $this->arr_routes['params'][0]);
		$this->obj_tmpl->AddVar('content', 'ID_PERIODE',$id_periode);
	}
	
	private function DisplayPopupMember($id_person){
		// variable
		$id_periode=(isset($this->arr_routes['params']['1'])?$this->arr_routes['params']['1']:0);
		$this->obj_tmpl->AddVar('content', 'ID_PERSON', $this->arr_routes['params'][0]);
		$this->obj_tmpl->AddVar('content', 'ID_PERIODE', $id_periode);
		// basic information and address
		//$basic = $this->obj_overview->debugquery("GetMemberBasicInformationById", array($id_person));
		$basic = $this->obj_overview->GetDataAsSingleArray("GetMemberBasicInformationById", array($id_person));
		// education
		$education = $this->obj_overview->GetResourceId("GetMemberEducationById", array($id_person));
		// office
		$office = $this->obj_overview->GetDataAsSingleArray("GetMemberOfficeById", array($id_person));
		// workplace
		$workplace = $this->obj_overview->GetResourceId("GetMemberWorkplaceById", array($id_person));
		// privacy setting
		$privacy = $this->obj_overview->GetDataAsSingleArray("GetMemberPrivacyById", array($id_person));
		if(!empty($privacy)){
			$this->obj_tmpl->addVar('content', 'ID', str_replace("-", "_", $basic['id_person']));
			$this->obj_tmpl->addVar('content', 'NAMA_LENGKAP', $basic['nama_lengkap']);
			$photo_path = "doc/person/".$basic['id_person']."/foto/".$basic['photo'];
			if(is_file($photo_path)){
				$photo = '<img src="'.HTTPPATH.$photo_path.'" width="80px" height="100px" />';
				$this->obj_tmpl->addVar('content', 'PHOTOPATH', $photo);
			}else{
				$photo = '<img src="'.HTTPPATH."doc/temp/blank.gif".'" width="80px" height="100px" />';
				$this->obj_tmpl->addVar('content', 'PHOTOPATH', $photo);
			}
			// basic
			if($privacy['basic'] == 'all'){
				$this->obj_tmpl->addVar('content', 'TMP_LAHIR', $basic['tempat_lahir']);
				$this->obj_tmpl->addVar('content', 'TGL_LAHIR', $this->obj_date->GetFullDate($basic['tanggal_lahir'], 'ins'));
				$this->obj_tmpl->addVar('content', 'GENDER', ucwords($basic['jenis_kelamin']));
				$this->obj_tmpl->addVar('content', 'NO_ANGGOTA', $basic['no_anggota']);
				$this->obj_tmpl->addVar('content', 'CABANG', $basic['cabang']);
				$this->obj_tmpl->addVar('content', 'STATUS_ANGGOTA', $basic['status_anggota']);
			}
			// address
			if($privacy['address'] == 'all'){
				$this->obj_tmpl->addVar('content', 'ALAMAT', $basic['alamat']);
				$this->obj_tmpl->addVar('content', 'TELEPON', $basic['telepon']);
				$this->obj_tmpl->addVar('content', 'KOTA', $basic['kota']);
				$this->obj_tmpl->addVar('content', 'EMAIL', $basic['email']);
			}
			// education
			if($privacy['education'] == 'all'){
				if($education){
					$str_edu = "";
					while($rec = mysqli_fetch_assoc($education)){
						$str_edu .= '<tr><td colspan="2">';
						$str_edu .= $rec['college'] . ', ';
						$str_edu .= '('.$rec['tahun_masuk'].' s/d '.$rec['tahun_lulus'].')';
						$str_edu .= '</td></tr>';
					}
					$this->obj_tmpl->addVar('content', 'EDUCATION', $str_edu);
				}
			}
			// office
			if($privacy['workplace'] == 'all'){
				// office
				$this->obj_tmpl->addVar('content', 'OFFICE', $office['tempat']);
				$this->obj_tmpl->addVar('content', 'STATUS_KEPEGAWAIAN', $office['status_pegawai']);
				$this->obj_tmpl->addVar('content', 'JABATAN', $office['jabatan']);
				$this->obj_tmpl->addVar('content', 'ALAMAT_OFFICE', $office['alamat']);
				$this->obj_tmpl->addVar('content', 'TELP_OFFICE', $office['telepon']);
				$this->obj_tmpl->addVar('content', 'KOTA_OFFICE', $office['kota']);
				// workplace
				if($workplace){
					$str_workplace = "";
					while($rec = mysqli_fetch_assoc($workplace)){
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= '<b>'.$rec['tempat'].'</b>';
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['jabatan'];
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['alamat'] . '<br />' . $rec['telepon'];
						$str_workplace .= '</td></tr>';
						$str_workplace .= '<tr><td colspan="2">';
						$str_workplace .= $rec['kota'];
						$str_workplace .= '</td></tr>';						
					}
					$this->obj_tmpl->addVar('content', 'WORKPLACE', $str_workplace);
				}
			}
			$this->obj_tmpl->ParseTemplate('content', 'a');
		}
	}
	
	private function DisplayDetailPeriode(){
		$id_periode=(isset($this->arr_routes['params']['1'])?$this->arr_routes['params']['1']:0);
		$result = $this->obj_cpd->GetDataAsSingleArray("GetDetailPeriodeStrById", array($this->arr_routes['params'][0], $id_periode));
		if(!empty($result)){
			$this->int_periode = $result['id_periode'];
			$tgl_periode = $this->obj_date->GetFullDate($result['tgl_mulai']) . ' s/d ' .$this->obj_date->GetFullDate($result['tgl_selesai']);
			$this->obj_tmpl->AddVar('content', 'STR_PERIODE', $tgl_periode);
		}
	}
	
	// get nilai
	
	private function GetListTahunKegiatan(){
		$skp_total = 0;
		$formulas = 250 / 150;
		// get tgl mulai dan tgl selesai
		//$this->obj_cpd->debugQuery("GetListPeriodeKegiatanById", array($this->int_periode, $this->arr_routes['params'][0]));
		$rs_id = $this->obj_cpd->GetResourceId("GetListPeriodeKegiatanById", array($this->int_periode, $this->arr_routes['params'][0]));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// get nilai per tahun
				// get nilai by params 
				$nilai = self::GetNilaiByTanggal($this->arr_routes['params'][0], $rec['tgl_mulai'], $rec['tgl_selesai']);
				$skp_total = $skp_total + $nilai;
				// --
				$this->obj_tmpl->addVar('list_tahun', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'diri', array($this->arr_routes['params'][0], $this->int_periode, $rec['id_tahun_periode'])));
				$this->obj_tmpl->addVar('list_tahun', 'ID', $rec['id_tahun_periode']);
				$this->obj_tmpl->addVar('list_tahun', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai'], 'ins'));
				$this->obj_tmpl->addVar('list_tahun', 'TGL_SELESAI', $this->obj_date->GetFullDate($rec['tgl_selesai'], 'ins'));
				switch($rec['status_pengajuan']){
					case 'yes':
						$this->obj_tmpl->addVar('list_tahun', 'PENGAJUAN', 'greedin-ico.jpg');
						break;
					default :
						$this->obj_tmpl->addVar('list_tahun', 'PENGAJUAN', 'orangin-ico.jpg');
					 	break;
				}
				switch($rec['status_evaluasi']){
					case 'accepted':
						$this->obj_tmpl->addVar('list_tahun', 'EVALUASI', 'greedin-ico.jpg');
						$this->obj_tmpl->addVar('list_tahun', 'CHECKED', 'checked="checked"');
						break;
					case 'rejected':
						$this->obj_tmpl->addVar('list_tahun', 'EVALUASI', 'redin-ico.jpg');
						break;
					default :
						$this->obj_tmpl->addVar('list_tahun', 'EVALUASI', 'orangin-ico.jpg');
					 	break;
				}
				// total skp PPNI
				$skp_IFI = number_format($nilai, 2, ',', '');
				$this->obj_tmpl->addVar('list_tahun', 'TOTAL', $skp_IFI);
				// total skp konversi
				$skp_konversi = $nilai * $formulas;
				$skp_konversi = number_format($skp_konversi, 2, ',', '');
				$this->obj_tmpl->addVar('list_tahun', 'TOTAL_KONVERSI', $skp_konversi);
				// append
				$this->obj_tmpl->ParseTemplate('list_tahun', 'a');
			}
		}
		$skp_IFI_total = number_format($skp_total, 2, ',', '');
		$this->obj_tmpl->addVar('content', 'TOTAL_PERTAHUN_ALL', $skp_IFI_total);
		$skp_konversi_total = $skp_total * $formulas;
		$skp_konversi_total = number_format($skp_konversi_total, 2, ',', '');
		$this->obj_tmpl->addVar('content', 'TOTAL_PERTAHUN_KONVERSI', $skp_konversi_total);
	}
	
	private function GetNilaiByTanggal($id_person, $str_tgl_mulai, $str_tgl_selesai){
		$total = 0;
		// parameter
		$params = array($id_person, $str_tgl_mulai, $str_tgl_selesai);
		// get data
		$rs_id = $this->obj_cpd->GetResourceId("GetEvaluatedP2KBGroupByForm", $params);
		// parse data
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// set ranah
				if(!isset($this->arr_ranah_all[$rec['ranah']])){$this->arr_ranah_all[$rec['ranah']] = '';}
				// get nilai skp
				if($rec['tipe'] == 'rutin')
					$nilai = self::GetNilaiSkpRutin($id_person, $rec['id_form'], $str_tgl_mulai, $str_tgl_selesai);
				else
					$nilai = $rec['nilai'];
				// tabel by ranah
				$this->arr_ranah_all[$rec['ranah']] = $this->arr_ranah_all[$rec['ranah']] + $nilai;		
				$total = $total + $nilai;
			}
		}
		return $total;
	}
	
	private function GetNilaiSkpRutin($id_person, $id_form, $str_tgl_mulai, $str_tgl_selesai){
		$nilai = 0;
		$jumlah = 0;
		// get parameter and indikator
		$arr = $this->obj_cpd->GetDataAsSingleArray("GetParameterAndEngineByForm", array($id_form, $id_form));
		$id_parameter = $arr['parameter'];
		$id_engine = $arr['indikator'];
		// get nilai dalam range tahun kegiatannya
		$rs_id = $this->obj_cpd->GetResourceId("GetDataKegiatanByFormDate", array($id_person, $id_form, $str_tgl_mulai, $str_tgl_selesai));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$arr_field = "";
				$xml = simplexml_load_string($rec["data_kegiatan"]);
				// echo does the casting for you
				$count = count($xml->item);
				for($i=0;$i<$count;$i++){
					$id = intval($xml->item[$i]->idt);
					$value = strval($xml->item[$i]->value);
					if($id == $id_parameter){
						$jumlah = $jumlah + $value;
						break;
					}
				}
			}
		}
		// get list elemen
		$rs_id_list = $this->obj_cpd->GetResourceId("GetElemenListByEngine", array($id_engine));
		if($rs_id_list){
			$group_list = "FIND_IN_SET(0, group_elemen_list)";
			while($rec = mysqli_fetch_assoc($rs_id_list)){
				$range_value = explode('-', $rec['list_value'], 2);
				if(sizeof($range_value) >= 2){
					$batas_bawah = round($range_value[0], 2);
					$batas_atas = round($range_value[1], 2);
				}else{
					$batas_bawah = 0;
					$batas_atas = 0;
				}	
				if($jumlah >= $batas_bawah AND $jumlah <= $batas_atas){
					$group_list = "FIND_IN_SET(".$rec['id_list'].", group_elemen_list)";
					break;
				}
			}
		}
		$nilai = $this->obj_cpd->GetDataAsSingleArray("GetNilaiSkpByEngine", array($group_list));	
		if(!empty($nilai))
			return $nilai['nilai_skp'];
		else
			return 0;
	}
	
	private function DisplayTabelNilaiSKP(){
		$formulas = 250 / 150;
		// parse data	
		$rs_id = $this->obj_cpd->GetResourceId("GetListRanah", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				// set ranah
				if(!isset($this->arr_ranah_all[$rec['alphabet']])){$this->arr_ranah_all[$rec['alphabet']] = 0;}
				// --
				$this->obj_tmpl->addVar('list_ranah_all', 'ALPHABET', $rec['alphabet']);
				$this->obj_tmpl->addVar('list_ranah_all', 'NAMA', $rec['nama']);
				// skp PPNI
				$skp_IFI = number_format($this->arr_ranah_all[$rec['alphabet']], 2, ',', '');
				$this->obj_tmpl->addVar('list_ranah_all', 'TOTAL', $skp_IFI);
				// skp konversi
				$skp_konversi = $this->arr_ranah_all[$rec['alphabet']] * $formulas;
				$skp_konversi = number_format($skp_konversi, 2, ',', '');
				$this->obj_tmpl->addVar('list_ranah_all', 'TOTAL_KONVERSI', $skp_konversi);
				$this->obj_tmpl->ParseTemplate('list_ranah_all', 'a');
			}
		}
		$skp_IFI = number_format(array_sum($this->arr_ranah_all), 2, ',', '');
		$this->obj_tmpl->addVar('content', 'TOTAL_NILAI_ALL', $skp_IFI);
		$skp_konversi = array_sum($this->arr_ranah_all) * $formulas;
		$skp_konversi = number_format($skp_konversi, 2, ',', '');
		$this->obj_tmpl->addVar('content', 'TOTAL_NILAI_ALL_KONVERSI', $skp_konversi);
	}
	
}

?>