<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	var $obj_anggota;
	var $obj_notify;
	// variable definition
	var $arr_params;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		// example
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view');	
	}
	
	protected function BaseLoad(){ }
	
	protected function BaseView(){ }
	
	protected function PageLoad(){ 
		/* -- Other object loaded below */
		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		// controller to manage process that page requested
		switch($action[0]){
			case 'normal_search':
				self::NormalSearch();
				break;
			case 'advance_search':
				self::AdvanceSearch();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	private function NormalSearch(){
		$int_prov = (isset($this->arr_params['prov'])?$this->arr_params['prov']:'');
		$int_city = (isset($this->arr_params['city'])?$this->arr_params['city']:'');
		if(!empty($int_prov) AND !empty($int_city))
			// redirect url
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], 'overview', 'statistik', 'result', array($int_prov, $int_city));	
		else
			// redirect url
			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], 'overview', 'statistik', 'anggota', array($int_prov));	
	}
	
	private function AdvanceSearch(){
		$_SESSION['search_advance']['nama'] = trim($this->arr_params['nama']);
		$_SESSION['search_advance']['sex'] = trim($this->arr_params['sex']);
		$_SESSION['search_advance']['concentration'] = trim($this->arr_params['concentration']);
		$_SESSION['search_advance']['workplace'] = trim($this->arr_params['workplace']);
		$_SESSION['search_advance']['alamat'] = trim($this->arr_params['alamat']);
		// redirect url
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], 'overview', 'statistik', 'advance-search');	
	}
	
	private function InsertOperation(){
		$err = array();	
		$filled = array();	
		// check / validate parameter 
		if(empty($this->arr_params['sitename'])){ $err[] = '<br /><strong>Site name</strong> must be filled'; }
		if(empty($this->arr_params['siteemail'])){ $err[] = '<br /><strong>Site email</strong> must be filled'; }
		if(empty($this->arr_params['version'])){ $err[] = '<br /><strong>Version</strong> must be filled'; }
		if(empty($this->arr_params['smtp_host'])){ $err[] = '<br /><strong>SMTP Host name</strong> must be filled'; }
		if(empty($this->arr_params['smtp_port'])){ $err[] = '<br /><strong>SMTP Port</strong> must be filled'; }
		if(empty($this->arr_params['smtp_username'])){ $err[] = '<br /><strong>SMTP Userid</strong> must be filled'; }
		if(empty($this->arr_params['smtp_password'])){ $err[] = '<br /><strong>SMTP Password</strong> must be filled'; }
		// processing --------------------------------------------------
		if(empty($err)){
			$params = array('parameters 1', 'parameters 2');
			// execute process
			if($this->obj_system->InsertOperation($params)){
				// notification message				
				self::SendNotification($err, $filled, 'Data has been saved.', 'success');
				// redirect to success page ------------------------------------
			}else{
				// error message
				self::SendNotification($err, $filled, 'Business process failure.', 'error');
				// redirect to page error page ------------------------------------	
			}	
		}else{
			// filled field with last input
			$filled = array("SITENAME" => $this->arr_params['sitename'], "SITEEMAIL" => $this->arr_params['siteemail']);
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page ------------------------------------		
		}
	}
}

?>