<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_chart;
	protected $obj_paging;
	protected $obj_overview;
	protected $int_province;
	protected $int_city;
	protected $arr_status;
	protected $arr_colors = array();
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		$this->obj_ctrl->SetBaseLayout();
		// call function to set page templates
		$this->SetPageTemplates();			
		// --
		$this->obj_overview = $this->obj_ctrl->LoadBusiness('overview', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');
		$this->obj_overview->SetUsesBusinessQuery($loaded_query);
		// --
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('fusioncharts');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
		// fusioncharts object loaded
		$param['type'] = '';
		$param['width'] = '';
		$param['height'] = '';
		$param['ID'] = '';
		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);
	}
	
	public function PageView(){
		// display variable
		self::DisplayVariable();
		// display overview province and city
		self::DisplayListProvince();
		self::DisplayListCity();
		// display list specialist
		self::DisplayListSpecialist();
		// display chart
		self::DisplayChartCity();
		self::DisplayChartIndonesia();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayVariable(){
		// arr color
		$this->arr_colors[0] = "59A929"; // TNI
		$this->arr_colors[1] = "A06A1C"; // Polri
		$this->arr_colors[2] = "F0D417"; // PNS
		$this->arr_colors[3] = "F5F5F5"; // Pensiun
		$this->arr_colors[4] = "969696"; // PTT
		$this->arr_colors[5] = "42A6E0"; // Swasta
		$this->arr_colors[6] = "E08542"; // BLU
		$this->arr_colors[7] = "9D5AF1"; // BUMN
		$this->arr_colors[8] = "314701"; // BUMN
		// page link
		$this->obj_tmpl->addVar('content', 'URL_SEARCH', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'process'));
		$this->obj_tmpl->addVar('content', 'URL_ADVANCE', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'advance-search'));
		$this->obj_tmpl->addVar('content', 'URL_MAP', $this->obj_ctrl->GetURL($this->arr_routes['app'], 'overview', 'statistik', 'anggota'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		// variable
		if(isset($this->arr_routes['params'][0]) AND !empty($this->arr_routes['params'][0])){
			$this->int_province = $this->arr_routes['params'][0];
		}else{
			$this->int_province = 0;
		}
		// --
		if(isset($this->arr_routes['params'][1]) AND !empty($this->arr_routes['params'][1])){
			$this->int_city = $this->arr_routes['params'][1];
		}else{
			$this->int_city = 0;
		}
		// --
		$this->arr_status = array('Tenaga_kerja_sukarela','Tenaga_honorer','PNS','Dosen_PNS','Dosen_Swasta','Pegawai_swasta','TNI','Polri','Tenaga_kontrak');
	}	

	private function DisplayListProvince(){
		$rs_id = $this->obj_overview->GetResourceId("GetListProvince", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($rec['id_province'] == $this->int_province)
					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_province', 'VALUE', $rec['id_province']);
				$this->obj_tmpl->addVar('list_province', 'NAME', $rec['province_name']);
				$this->obj_tmpl->ParseTemplate('list_province', 'a');
			}
		}
	}			

	private function DisplayListCity(){
		if(isset($this->int_province)){
			$rs_id = $this->obj_overview->GetResourceId("GetListCityByProvince", array($this->int_province));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					if($rec['id_city'] == $this->int_city){
						$this->obj_tmpl->addVar('list_city', 'SELECTED', 'selected="selected"');
						$this->obj_tmpl->addVar('content', 'KOTA', $rec['city_name']);
					}else{
						$this->obj_tmpl->addVar('list_city', 'SELECTED', '');
					}
					$this->obj_tmpl->addVar('list_city', 'VALUE', $rec['id_city']);
					$this->obj_tmpl->addVar('list_city', 'NAME', $rec['city_name']);
					$this->obj_tmpl->ParseTemplate('list_city', 'a');
				}
			}
		}
	}	
	
	private function DisplayChartCity(){
		// get data
		$str_set = '';
		$result = $this->obj_overview->GetDatasetAsArray("GetTotalSpecialistByCityGroupByStatus", array($this->int_city, $this->int_city, $this->int_city));
		if(!empty($result)){
			foreach($result as $rec){
				$value[$rec['status_pegawai']] = $rec['total'];
			}
			$i = 0;
			foreach($this->arr_status as $rec){
				if(isset($value[$rec]))
					$str_set .= "<set name='".$rec."' value='".$value[$rec]."' color='".$this->arr_colors[$i]."'  />";
				else
					$str_set .= "<set name='".$rec."' value='' color='".$this->arr_colors[$i]."'  />";
				$i++;
			}
		}else{
			$str_set = "<set />";
		}		
		// parsing chart
		$bg = HTTPPATH."doc/temp/bg380.jpg";
		$strXML = "<graph caption=' ' subcaption='' numberPrefix='' showNames='1' numVDivLines='29' vDivLineAlpha='30' formatNumberScale='1' rotateNames='1'  decimalPrecision='0' bgSWF='".$bg."' yAxisMinValue='0' yAxisMaxValue='20'>
			$str_set
		</graph> ";
		$path_chart = $this->obj_chart->UseChart("FCF_Column3D");
		$this->obj_tmpl->addVar('content', 'CHART', renderChartHTML($path_chart, "", $strXML, "ChartExample", 280, 250, false));
	}	
	
	private function DisplayChartIndonesia(){
		// get data
		$str_set = '';
		//$this->obj_overview->DebugQuery("GetTotalSpecialistGroupByStatus", array($this->int_city));
		$result = $this->obj_overview->GetDatasetAsArray("GetTotalSpecialistGroupByStatus", array($this->int_city));
		if(!empty($result)){
			foreach($result as $rec){
				$value[$rec['status_pegawai']] = $rec['total'];
			}
			$i = 0;
			foreach($this->arr_status as $rec){
				if(isset($value[$rec]))
					$str_set .= "<set name='".$rec."' value='".$value[$rec]."' color='".$this->arr_colors[$i]."' />";
				else
					$str_set .= "<set name='".$rec."' value='0' color='".$this->arr_colors[$i]."'  />";
				$i++;
			}
		}		
		// parsing chart
		$bg = HTTPPATH."doc/temp/bg380.jpg";
		$strXML = "<graph caption=' ' subcaption='' numberPrefix='' showNames='1' numVDivLines='29' vDivLineAlpha='30' formatNumberScale='2' rotateNames='1'  decimalPrecision='0' bgSWF='".$bg."' yAxisMinValue='0' yAxisMaxValue='20'>
			$str_set
		</graph> ";
		$path_chart = $this->obj_chart->UseChart("FCF_Column3D");
		$this->obj_tmpl->addVar('content', 'CHART_ALL', renderChartHTML($path_chart, "", $strXML, "ChartExample", 280, 250, false));
	}
	
	private function DisplayListSpecialist(){
		if(isset($this->int_city)){
			// set parameter pages on index [0]
			if(!isset($this->arr_routes['params'][2]))
				$page = 1;
			else
				$page = $this->arr_routes['params'][2];
			// set active page number
			$this->obj_paging->SetPagesNumber($page);
			// set max record
			$this->obj_paging->SetMaxRecord(20);
			// set total record
			$total = $this->obj_overview->GetDataAsSingleArray("GetTotalListSpecialistByCity", array($this->int_city));
			$this->obj_paging->SetTotalRecord($total['total']);
			// set url
			$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->int_province, $this->int_city, '')));
			// set template pagination
			$this->obj_paging->SetTempatePaging('pagination');
			// parse paging with list
			$this->obj_paging->SetTempateList('list_pagination');
			$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
			// get start record
			$start = $this->obj_paging->int_start_record;
			$max = $this->obj_paging->int_max_record;
			//$this->obj_overview->debugquery("GetListSpecialistByCity", array($this->int_city, $start, $max));
			$rs_id = $this->obj_overview->GetResourceId("GetListSpecialistByCity", array($this->int_city, $start, $max));
			if($rs_id){
				while($rec = mysqli_fetch_assoc($rs_id)){
					$this->obj_tmpl->addVar('list_specialist', 'ID', $rec['id_person']);
					$this->obj_tmpl->addVar('list_specialist', 'NAMA_LENGKAP', $rec['nama_lengkap']);
					// --
					$this->obj_tmpl->addVar('list_specialist', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));
					// $this->obj_tmpl->addVar('list_specialist', 'STATUS', $rec['status_pegawai']);
					// photo
					$photo_path = "doc/person/".$rec['id_person']."/foto/".$rec['photo'];
					if(is_file($photo_path)){
						$photo = '<img src="'.HTTPPATH.$photo_path.'" class="small-pic" />';
						$this->obj_tmpl->addVar('list_specialist', 'PHOTOPATH', $photo);
					}else{
						$photo = '<img src="'.HTTPPATH."doc/temp/blank.gif".'" class="small-pic" />';
						$this->obj_tmpl->addVar('list_specialist', 'PHOTOPATH', $photo);
					}
					// privacy settings
					if($rec['basic'] == 'all'){
						$this->obj_tmpl->addVar('list_specialist', 'CABANG', "Komisariat " . $rec['cabang']);				
						$this->obj_tmpl->addVar('list_specialist', 'NO_ANGGOTA', $rec['no_anggota']);
					}
					if($rec['workplace'] == 'all'){
						if(!empty($rec['jabatan']))
							$this->obj_tmpl->addVar('list_specialist', 'JABATAN', $rec['jabatan'] . '<br />');
						$this->obj_tmpl->addVar('list_specialist', 'TEMPAT_KERJA', $rec['tempat']);
						$this->obj_tmpl->addVar('list_specialist', 'ALAMAT_KERJA', $rec['alamat_kerja']);
					}
					if($rec['address'] == 'all'){
						$this->obj_tmpl->addVar('list_specialist', 'ALAMAT_TINGGAL', $rec['alamat_tinggal']);
						$this->obj_tmpl->addVar('list_specialist', 'KOTA', $rec['kota']);
						$this->obj_tmpl->addVar('list_specialist', 'EMAIL', $rec['email']);
					}			
					$this->obj_tmpl->ParseTemplate('list_specialist', 'a');
				}
			}else{
				$this->obj_tmpl->setAttribute('list_specialist', 'visibility', 'hidden');
			}
		}
	}	
}

?>